!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 323

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(2917)
  integer, parameter :: nGC_8228 = 1
  integer, parameter :: nGC_8229 = 2
  integer, parameter :: nGC_8222 = 3
  integer, parameter :: nGC_8223 = 4
  integer, parameter :: nGC_8220 = 5
  integer, parameter :: nGC_8221 = 6
  integer, parameter :: nGC_8226 = 7
  integer, parameter :: nGC_8227 = 8
  integer, parameter :: nGC_8224 = 9
  integer, parameter :: nGC_8225 = 10
  integer, parameter :: nGC_7906 = 11
  integer, parameter :: nGC_7907 = 12
  integer, parameter :: nGC_7905 = 13
  integer, parameter :: nGC_7900 = 14
  integer, parameter :: nGC_7901 = 15
  integer, parameter :: nGC_7908 = 16
  integer, parameter :: nGC_8316 = 17
  integer, parameter :: nGC_8317 = 18
  integer, parameter :: nGC_8314 = 19
  integer, parameter :: nGC_8315 = 20
  integer, parameter :: nGC_8312 = 21
  integer, parameter :: nGC_8313 = 22
  integer, parameter :: nGC_8310 = 23
  integer, parameter :: nGC_8311 = 24
  integer, parameter :: nGC_8318 = 25
  integer, parameter :: nGC_8319 = 26
  integer, parameter :: nGC_8488 = 27
  integer, parameter :: nGC_8550 = 28
  integer, parameter :: nGC_8551 = 29
  integer, parameter :: nGC_8552 = 30
  integer, parameter :: nGC_8553 = 31
  integer, parameter :: nGC_8554 = 32
  integer, parameter :: nGC_8007 = 33
  integer, parameter :: nGC_8004 = 34
  integer, parameter :: nGC_8005 = 35
  integer, parameter :: nGC_8558 = 36
  integer, parameter :: nGC_8559 = 37
  integer, parameter :: nGC_8008 = 38
  integer, parameter :: nGC_8009 = 39
  integer, parameter :: nGC_8110 = 40
  integer, parameter :: nGC_8111 = 41
  integer, parameter :: nGC_8386 = 42
  integer, parameter :: nGC_8112 = 43
  integer, parameter :: nGC_9374 = 44
  integer, parameter :: nGC_8114 = 45
  integer, parameter :: nGC_9378 = 46
  integer, parameter :: nGC_8115 = 47
  integer, parameter :: nGC_8178 = 48
  integer, parameter :: nGC_8179 = 49
  integer, parameter :: nGC_8176 = 50
  integer, parameter :: nGC_8177 = 51
  integer, parameter :: nGC_8172 = 52
  integer, parameter :: nGC_8173 = 53
  integer, parameter :: nGC_8170 = 54
  integer, parameter :: nGC_8388 = 55
  integer, parameter :: nGC_8389 = 56
  integer, parameter :: nGC_7902 = 57
  integer, parameter :: nGC_7903 = 58
  integer, parameter :: nGC_7909 = 59
  integer, parameter :: nGC_349 = 60
  integer, parameter :: nGC_347 = 61
  integer, parameter :: nGC_345 = 62
  integer, parameter :: nGC_343 = 63
  integer, parameter :: nGC_8605 = 64
  integer, parameter :: nGC_168 = 65
  integer, parameter :: nGC_169 = 66
  integer, parameter :: nGC_162 = 67
  integer, parameter :: nGC_163 = 68
  integer, parameter :: nGC_160 = 69
  integer, parameter :: nGC_161 = 70
  integer, parameter :: nGC_166 = 71
  integer, parameter :: nGC_167 = 72
  integer, parameter :: nGC_164 = 73
  integer, parameter :: nGC_165 = 74
  integer, parameter :: nGC_8608 = 75
  integer, parameter :: nGC_8609 = 76
  integer, parameter :: nGC_7973 = 77
  integer, parameter :: nGC_7972 = 78
  integer, parameter :: nGC_7971 = 79
  integer, parameter :: nGC_7970 = 80
  integer, parameter :: nGC_7977 = 81
  integer, parameter :: nGC_7976 = 82
  integer, parameter :: nGC_7974 = 83
  integer, parameter :: nGC_7978 = 84
  integer, parameter :: nGC_8363 = 85
  integer, parameter :: nGC_8362 = 86
  integer, parameter :: nGC_8361 = 87
  integer, parameter :: nGC_8360 = 88
  integer, parameter :: nGC_8367 = 89
  integer, parameter :: nGC_8366 = 90
  integer, parameter :: nGC_8365 = 91
  integer, parameter :: nGC_8364 = 92
  integer, parameter :: nGC_8369 = 93
  integer, parameter :: nGC_8368 = 94
  integer, parameter :: nGC_MHA = 95
  integer, parameter :: nGC_MHC = 96
  integer, parameter :: nGC_MHL = 97
  integer, parameter :: nGC_8569 = 98
  integer, parameter :: nGC_8568 = 99
  integer, parameter :: nGC_8565 = 100
  integer, parameter :: nGC_8564 = 101
  integer, parameter :: nGC_8567 = 102
  integer, parameter :: nGC_8566 = 103
  integer, parameter :: nGC_8561 = 104
  integer, parameter :: nGC_8560 = 105
  integer, parameter :: nGC_8563 = 106
  integer, parameter :: nGC_8562 = 107
  integer, parameter :: nGC_8586 = 108
  integer, parameter :: nGC_8585 = 109
  integer, parameter :: nGC_8584 = 110
  integer, parameter :: nGC_8582 = 111
  integer, parameter :: nGC_8581 = 112
  integer, parameter :: nGC_8580 = 113
  integer, parameter :: nGC_8589 = 114
  integer, parameter :: nGC_8588 = 115
  integer, parameter :: nGC_9363 = 116
  integer, parameter :: nGC_8489 = 117
  integer, parameter :: nGC_8109 = 118
  integer, parameter :: nGC_8108 = 119
  integer, parameter :: nGC_8103 = 120
  integer, parameter :: nGC_8102 = 121
  integer, parameter :: nGC_8107 = 122
  integer, parameter :: nGC_8104 = 123
  integer, parameter :: nGC_8485 = 124
  integer, parameter :: nGC_8482 = 125
  integer, parameter :: nGC_8483 = 126
  integer, parameter :: nGC_8480 = 127
  integer, parameter :: nGC_8481 = 128
  integer, parameter :: nGC_8617 = 129
  integer, parameter :: nGC_8616 = 130
  integer, parameter :: nGC_8615 = 131
  integer, parameter :: nGC_8614 = 132
  integer, parameter :: nGC_8611 = 133
  integer, parameter :: nGC_8610 = 134
  integer, parameter :: nGC_8618 = 135
  integer, parameter :: nGC_8002 = 136
  integer, parameter :: nGC_8003 = 137
  integer, parameter :: nGC_8000 = 138
  integer, parameter :: nGC_8001 = 139
  integer, parameter :: nGC_8006 = 140
  integer, parameter :: nGC_8555 = 141
  integer, parameter :: nGC_8556 = 142
  integer, parameter :: nGC_8557 = 143
  integer, parameter :: nGC_593 = 144
  integer, parameter :: nGC_597 = 145
  integer, parameter :: nGC_359 = 146
  integer, parameter :: nGC_355 = 147
  integer, parameter :: nGC_357 = 148
  integer, parameter :: nGC_351 = 149
  integer, parameter :: nGC_353 = 150
  integer, parameter :: nGC_8484 = 151
  integer, parameter :: nGC_179 = 152
  integer, parameter :: nGC_178 = 153
  integer, parameter :: nGC_171 = 154
  integer, parameter :: nGC_170 = 155
  integer, parameter :: nGC_173 = 156
  integer, parameter :: nGC_172 = 157
  integer, parameter :: nGC_175 = 158
  integer, parameter :: nGC_174 = 159
  integer, parameter :: nGC_177 = 160
  integer, parameter :: nGC_176 = 161
  integer, parameter :: nGC_15541 = 162
  integer, parameter :: nGC_7962 = 163
  integer, parameter :: nGC_7963 = 164
  integer, parameter :: nGC_7964 = 165
  integer, parameter :: nGC_7965 = 166
  integer, parameter :: nGC_7968 = 167
  integer, parameter :: nGC_8370 = 168
  integer, parameter :: nGC_8371 = 169
  integer, parameter :: nGC_8372 = 170
  integer, parameter :: nGC_8373 = 171
  integer, parameter :: nGC_8374 = 172
  integer, parameter :: nGC_8375 = 173
  integer, parameter :: nGC_8376 = 174
  integer, parameter :: nGC_8377 = 175
  integer, parameter :: nGC_8378 = 176
  integer, parameter :: nGC_8379 = 177
  integer, parameter :: nGC_138 = 178
  integer, parameter :: nGC_9515 = 179
  integer, parameter :: nGC_9514 = 180
  integer, parameter :: nGC_8578 = 181
  integer, parameter :: nGC_8579 = 182
  integer, parameter :: nGC_8572 = 183
  integer, parameter :: nGC_8573 = 184
  integer, parameter :: nGC_8570 = 185
  integer, parameter :: nGC_8577 = 186
  integer, parameter :: nGC_8575 = 187
  integer, parameter :: nGC_8594 = 188
  integer, parameter :: nGC_8595 = 189
  integer, parameter :: nGC_8596 = 190
  integer, parameter :: nGC_8597 = 191
  integer, parameter :: nGC_8590 = 192
  integer, parameter :: nGC_8591 = 193
  integer, parameter :: nGC_8592 = 194
  integer, parameter :: nGC_8593 = 195
  integer, parameter :: nGC_8598 = 196
  integer, parameter :: nGC_9358 = 197
  integer, parameter :: nGC_8119 = 198
  integer, parameter :: nGC_99 = 199
  integer, parameter :: nGC_98 = 200
  integer, parameter :: nGC_97 = 201
  integer, parameter :: nGC_96 = 202
  integer, parameter :: nGC_95 = 203
  integer, parameter :: nGC_94 = 204
  integer, parameter :: nGC_93 = 205
  integer, parameter :: nGC_92 = 206
  integer, parameter :: nGC_91 = 207
  integer, parameter :: nGC_90 = 208
  integer, parameter :: nGC_75 = 209
  integer, parameter :: nGC_74 = 210
  integer, parameter :: nGC_77 = 211
  integer, parameter :: nGC_76 = 212
  integer, parameter :: nGC_71 = 213
  integer, parameter :: nGC_70 = 214
  integer, parameter :: nGC_73 = 215
  integer, parameter :: nGC_72 = 216
  integer, parameter :: nGC_79 = 217
  integer, parameter :: nGC_78 = 218
  integer, parameter :: nGC_8606 = 219
  integer, parameter :: nGC_8600 = 220
  integer, parameter :: nGC_8601 = 221
  integer, parameter :: nGC_8602 = 222
  integer, parameter :: nGC_8603 = 223
  integer, parameter :: nGC_8174 = 224
  integer, parameter :: nGC_8175 = 225
  integer, parameter :: nGC_9647 = 226
  integer, parameter :: nGC_9646 = 227
  integer, parameter :: nGC_9645 = 228
  integer, parameter :: nGC_9644 = 229
  integer, parameter :: nGC_9643 = 230
  integer, parameter :: nGC_9642 = 231
  integer, parameter :: nGC_9641 = 232
  integer, parameter :: nGC_9640 = 233
  integer, parameter :: nGC_8171 = 234
  integer, parameter :: nGC_9649 = 235
  integer, parameter :: nGC_9648 = 236
  integer, parameter :: nGC_13484 = 237
  integer, parameter :: nGC_8327 = 238
  integer, parameter :: nGC_8442 = 239
  integer, parameter :: nGC_369 = 240
  integer, parameter :: nGC_363 = 241
  integer, parameter :: nGC_365 = 242
  integer, parameter :: nGC_367 = 243
  integer, parameter :: nGC_144 = 244
  integer, parameter :: nGC_146 = 245
  integer, parameter :: nGC_147 = 246
  integer, parameter :: nGC_140 = 247
  integer, parameter :: nGC_141 = 248
  integer, parameter :: nGC_142 = 249
  integer, parameter :: nGC_143 = 250
  integer, parameter :: nGC_148 = 251
  integer, parameter :: nGC_149 = 252
  integer, parameter :: nGC_125 = 253
  integer, parameter :: nGC_MI = 254
  integer, parameter :: nGC_7959 = 255
  integer, parameter :: nGC_7958 = 256
  integer, parameter :: nGC_MM = 257
  integer, parameter :: nGC_MC = 258
  integer, parameter :: nGC_MB = 259
  integer, parameter :: nGC_7957 = 260
  integer, parameter :: nGC_7956 = 261
  integer, parameter :: nGC_7951 = 262
  integer, parameter :: nGC_7950 = 263
  integer, parameter :: nGC_7953 = 264
  integer, parameter :: nGC_7952 = 265
  integer, parameter :: nGC_MZ = 266
  integer, parameter :: nGC_8349 = 267
  integer, parameter :: nGC_8348 = 268
  integer, parameter :: nGC_8345 = 269
  integer, parameter :: nGC_8344 = 270
  integer, parameter :: nGC_8347 = 271
  integer, parameter :: nGC_8346 = 272
  integer, parameter :: nGC_8341 = 273
  integer, parameter :: nGC_8340 = 274
  integer, parameter :: nGC_8343 = 275
  integer, parameter :: nGC_8342 = 276
  integer, parameter :: nGC_18262 = 277
  integer, parameter :: nGC_18260 = 278
  integer, parameter :: nGC_18261 = 279
  integer, parameter :: nGC_13528 = 280
  integer, parameter :: nGC_9503 = 281
  integer, parameter :: nGC_9504 = 282
  integer, parameter :: nGC_9505 = 283
  integer, parameter :: nGC_9506 = 284
  integer, parameter :: nGC_1079 = 285
  integer, parameter :: nGC_8299 = 286
  integer, parameter :: nGC_8298 = 287
  integer, parameter :: nGC_8443 = 288
  integer, parameter :: nGC_8292 = 289
  integer, parameter :: nGC_8291 = 290
  integer, parameter :: nGC_8290 = 291
  integer, parameter :: nGC_8296 = 292
  integer, parameter :: nGC_8295 = 293
  integer, parameter :: nGC_8294 = 294
  integer, parameter :: nGC_8337 = 295
  integer, parameter :: nGC_8330 = 296
  integer, parameter :: nGC_8331 = 297
  integer, parameter :: nGC_13327 = 298
  integer, parameter :: nGC_8124 = 299
  integer, parameter :: nGC_8126 = 300
  integer, parameter :: nGC_8121 = 301
  integer, parameter :: nGC_8120 = 302
  integer, parameter :: nGC_8123 = 303
  integer, parameter :: nGC_8122 = 304
  integer, parameter :: nGC_8128 = 305
  integer, parameter :: nGC_9345 = 306
  integer, parameter :: nGC_80 = 307
  integer, parameter :: nGC_81 = 308
  integer, parameter :: nGC_84 = 309
  integer, parameter :: nGC_85 = 310
  integer, parameter :: nGC_86 = 311
  integer, parameter :: nGC_87 = 312
  integer, parameter :: nGC_145 = 313
  integer, parameter :: nGC_TS_GC_125_Hh = 314
  integer, parameter :: nGC_67 = 315
  integer, parameter :: nGC_64 = 316
  integer, parameter :: nGC_65 = 317
  integer, parameter :: nGC_16318 = 318
  integer, parameter :: nGC_63 = 319
  integer, parameter :: nGC_60 = 320
  integer, parameter :: nGC_61 = 321
  integer, parameter :: nGC_TS_GC_70_Hh = 322
  integer, parameter :: nGC_TS_GC_70_Hl = 323
  integer, parameter :: nGC_68 = 324
  integer, parameter :: nGC_69 = 325
  integer, parameter :: nGC_8631 = 326
  integer, parameter :: nGC_8630 = 327
  integer, parameter :: nGC_8633 = 328
  integer, parameter :: nGC_8632 = 329
  integer, parameter :: nGC_8635 = 330
  integer, parameter :: nGC_8634 = 331
  integer, parameter :: nGC_8637 = 332
  integer, parameter :: nGC_8636 = 333
  integer, parameter :: nGC_8639 = 334
  integer, parameter :: nGC_8638 = 335
  integer, parameter :: nGC_89 = 336
  integer, parameter :: nGC_TS_GC_141_Hl = 337
  integer, parameter :: nGC_14814 = 338
  integer, parameter :: nGC_14811 = 339
  integer, parameter :: nGC_377 = 340
  integer, parameter :: nGC_375 = 341
  integer, parameter :: nGC_373 = 342
  integer, parameter :: nGC_371 = 343
  integer, parameter :: nGC_379 = 344
  integer, parameter :: nGC_101 = 345
  integer, parameter :: nGC_153 = 346
  integer, parameter :: nGC_152 = 347
  integer, parameter :: nGC_151 = 348
  integer, parameter :: nGC_150 = 349
  integer, parameter :: nGC_157 = 350
  integer, parameter :: nGC_156 = 351
  integer, parameter :: nGC_155 = 352
  integer, parameter :: nGC_154 = 353
  integer, parameter :: nGC_159 = 354
  integer, parameter :: nGC_158 = 355
  integer, parameter :: nGC_15141 = 356
  integer, parameter :: nGC_7948 = 357
  integer, parameter :: nGC_7949 = 358
  integer, parameter :: nGC_8439 = 359
  integer, parameter :: nGC_7942 = 360
  integer, parameter :: nGC_7943 = 361
  integer, parameter :: nGC_7940 = 362
  integer, parameter :: nGC_7941 = 363
  integer, parameter :: nGC_7946 = 364
  integer, parameter :: nGC_7947 = 365
  integer, parameter :: nGC_1919 = 366
  integer, parameter :: nGC_7945 = 367
  integer, parameter :: nGC_8359 = 368
  integer, parameter :: nGC_8352 = 369
  integer, parameter :: nGC_8353 = 370
  integer, parameter :: nGC_8350 = 371
  integer, parameter :: nGC_8351 = 372
  integer, parameter :: nGC_8356 = 373
  integer, parameter :: nGC_8357 = 374
  integer, parameter :: nGC_8354 = 375
  integer, parameter :: nGC_8355 = 376
  integer, parameter :: nGC_8434 = 377
  integer, parameter :: nGC_8432 = 378
  integer, parameter :: nGC_13067 = 379
  integer, parameter :: nGC_8431 = 380
  integer, parameter :: nGC_14219 = 381
  integer, parameter :: nGC_1283 = 382
  integer, parameter :: nGC_8754 = 383
  integer, parameter :: nGC_8517 = 384
  integer, parameter :: nGC_8288 = 385
  integer, parameter :: nGC_8289 = 386
  integer, parameter :: nGC_8280 = 387
  integer, parameter :: nGC_8281 = 388
  integer, parameter :: nGC_8282 = 389
  integer, parameter :: nGC_8283 = 390
  integer, parameter :: nGC_8284 = 391
  integer, parameter :: nGC_8285 = 392
  integer, parameter :: nGC_8286 = 393
  integer, parameter :: nGC_8287 = 394
  integer, parameter :: nGC_12751 = 395
  integer, parameter :: nGC_15252 = 396
  integer, parameter :: nGC_9408 = 397
  integer, parameter :: nGC_8130 = 398
  integer, parameter :: nGC_8131 = 399
  integer, parameter :: nGC_8136 = 400
  integer, parameter :: nGC_8137 = 401
  integer, parameter :: nGC_8134 = 402
  integer, parameter :: nGC_8135 = 403
  integer, parameter :: nGC_9403 = 404
  integer, parameter :: nGC_9404 = 405
  integer, parameter :: nGC_9407 = 406
  integer, parameter :: nGC_2961 = 407
  integer, parameter :: nGC_23677 = 408
  integer, parameter :: nGC_53 = 409
  integer, parameter :: nGC_52 = 410
  integer, parameter :: nGC_51 = 411
  integer, parameter :: nGC_50 = 412
  integer, parameter :: nGC_57 = 413
  integer, parameter :: nGC_56 = 414
  integer, parameter :: nGC_55 = 415
  integer, parameter :: nGC_54 = 416
  integer, parameter :: nGC_13410 = 417
  integer, parameter :: nGC_59 = 418
  integer, parameter :: nGC_58 = 419
  integer, parameter :: nGC_TS_GC_169_Hl = 420
  integer, parameter :: nGC_8629 = 421
  integer, parameter :: nGC_8626 = 422
  integer, parameter :: nGC_8627 = 423
  integer, parameter :: nGC_8624 = 424
  integer, parameter :: nGC_8625 = 425
  integer, parameter :: nGC_8620 = 426
  integer, parameter :: nGC_8621 = 427
  integer, parameter :: nGC_23249 = 428
  integer, parameter :: nGC_ME = 429
  integer, parameter :: nGC_MD = 430
  integer, parameter :: nGC_MS = 431
  integer, parameter :: nGC_MW = 432
  integer, parameter :: nGC_8659 = 433
  integer, parameter :: nGC_8658 = 434
  integer, parameter :: nGC_MU = 435
  integer, parameter :: nGC_17437 = 436
  integer, parameter :: nGC_MT = 437
  integer, parameter :: nGC_8650 = 438
  integer, parameter :: nGC_15259 = 439
  integer, parameter :: nGC_419 = 440
  integer, parameter :: nGC_417 = 441
  integer, parameter :: nGC_415 = 442
  integer, parameter :: nGC_411 = 443
  integer, parameter :: nGC_13650 = 444
  integer, parameter :: nGC_13651 = 445
  integer, parameter :: nGC_15375 = 446
  integer, parameter :: nGC_15372 = 447
  integer, parameter :: nGC_MW_GF = 448
  integer, parameter :: nGC_14510 = 449
  integer, parameter :: nGC_14222 = 450
  integer, parameter :: nGC_14220 = 451
  integer, parameter :: nGC_14221 = 452
  integer, parameter :: nGC_8486 = 453
  integer, parameter :: nGC_12746 = 454
  integer, parameter :: nGC_9414 = 455
  integer, parameter :: nGC_9413 = 456
  integer, parameter :: nGC_8487 = 457
  integer, parameter :: nGC_7991 = 458
  integer, parameter :: nGC_7990 = 459
  integer, parameter :: nGC_7993 = 460
  integer, parameter :: nGC_7992 = 461
  integer, parameter :: nGC_7995 = 462
  integer, parameter :: nGC_7994 = 463
  integer, parameter :: nGC_7997 = 464
  integer, parameter :: nGC_7996 = 465
  integer, parameter :: nGC_7999 = 466
  integer, parameter :: nGC_7998 = 467
  integer, parameter :: nGC_12693 = 468
  integer, parameter :: nGC_12697 = 469
  integer, parameter :: nGC_8381 = 470
  integer, parameter :: nGC_8380 = 471
  integer, parameter :: nGC_8383 = 472
  integer, parameter :: nGC_8382 = 473
  integer, parameter :: nGC_8385 = 474
  integer, parameter :: nGC_8384 = 475
  integer, parameter :: nGC_8387 = 476
  integer, parameter :: nGC_8438 = 477
  integer, parameter :: nGC_8437 = 478
  integer, parameter :: nGC_8435 = 479
  integer, parameter :: nGC_8433 = 480
  integer, parameter :: nGC_8430 = 481
  integer, parameter :: nGC_23035 = 482
  integer, parameter :: nGC_9388 = 483
  integer, parameter :: nGC_TS_GC_173_Hh = 484
  integer, parameter :: nGC_48 = 485
  integer, parameter :: nGC_49 = 486
  integer, parameter :: nGC_44 = 487
  integer, parameter :: nGC_45 = 488
  integer, parameter :: nGC_46 = 489
  integer, parameter :: nGC_47 = 490
  integer, parameter :: nGC_40 = 491
  integer, parameter :: nGC_41 = 492
  integer, parameter :: nGC_42 = 493
  integer, parameter :: nGC_43 = 494
  integer, parameter :: nGC_23248 = 495
  integer, parameter :: nGC_23032 = 496
  integer, parameter :: nGC_8653 = 497
  integer, parameter :: nGC_8652 = 498
  integer, parameter :: nGC_8651 = 499
  integer, parameter :: nGC_8657 = 500
  integer, parameter :: nGC_8656 = 501
  integer, parameter :: nGC_8655 = 502
  integer, parameter :: nGC_8654 = 503
  integer, parameter :: nGC_13559 = 504
  integer, parameter :: nGC_8293 = 505
  integer, parameter :: nGC_8436 = 506
  integer, parameter :: nGC_15012 = 507
  integer, parameter :: nGC_15013 = 508
  integer, parameter :: nGC_TS_GC_161_Hl = 509
  integer, parameter :: nGC_405 = 510
  integer, parameter :: nGC_407 = 511
  integer, parameter :: nGC_401 = 512
  integer, parameter :: nGC_403 = 513
  integer, parameter :: nGC_14695 = 514
  integer, parameter :: nGC_15344 = 515
  integer, parameter :: nGC_14762 = 516
  integer, parameter :: nGC_8125 = 517
  integer, parameter :: nGC_23683 = 518
  integer, parameter :: nGC_25950 = 519
  integer, parameter :: nGC_25951 = 520
  integer, parameter :: nGC_25952 = 521
  integer, parameter :: nGC_8688 = 522
  integer, parameter :: nGC_7935 = 523
  integer, parameter :: nGC_9342 = 524
  integer, parameter :: nGC_9435 = 525
  integer, parameter :: nGC_9436 = 526
  integer, parameter :: nGC_9437 = 527
  integer, parameter :: nGC_123 = 528
  integer, parameter :: nGC_9346 = 529
  integer, parameter :: nGC_88 = 530
  integer, parameter :: nGC_12915 = 531
  integer, parameter :: nGC_9462 = 532
  integer, parameter :: nGC_9468 = 533
  integer, parameter :: nGC_82 = 534
  integer, parameter :: nGC_83 = 535
  integer, parameter :: nGC_7988 = 536
  integer, parameter :: nGC_7989 = 537
  integer, parameter :: nGC_7986 = 538
  integer, parameter :: nGC_7987 = 539
  integer, parameter :: nGC_7984 = 540
  integer, parameter :: nGC_7985 = 541
  integer, parameter :: nGC_7982 = 542
  integer, parameter :: nGC_7983 = 543
  integer, parameter :: nGC_7980 = 544
  integer, parameter :: nGC_7981 = 545
  integer, parameter :: nGC_8428 = 546
  integer, parameter :: nGC_8429 = 547
  integer, parameter :: nGC_8398 = 548
  integer, parameter :: nGC_8399 = 549
  integer, parameter :: nGC_8424 = 550
  integer, parameter :: nGC_8425 = 551
  integer, parameter :: nGC_8421 = 552
  integer, parameter :: nGC_8422 = 553
  integer, parameter :: nGC_8423 = 554
  integer, parameter :: nGC_16321 = 555
  integer, parameter :: nGC_31 = 556
  integer, parameter :: nGC_30 = 557
  integer, parameter :: nGC_33 = 558
  integer, parameter :: nGC_32 = 559
  integer, parameter :: nGC_35 = 560
  integer, parameter :: nGC_34 = 561
  integer, parameter :: nGC_37 = 562
  integer, parameter :: nGC_36 = 563
  integer, parameter :: nGC_23257 = 564
  integer, parameter :: nGC_23256 = 565
  integer, parameter :: nGC_23250 = 566
  integer, parameter :: nGC_8648 = 567
  integer, parameter :: nGC_8649 = 568
  integer, parameter :: nGC_9284 = 569
  integer, parameter :: nGC_9282 = 570
  integer, parameter :: nGC_14157 = 571
  integer, parameter :: nGC_66 = 572
  integer, parameter :: nGC_17634 = 573
  integer, parameter :: nGC_62 = 574
  integer, parameter :: nGC_196 = 575
  integer, parameter :: nGC_7975 = 576
  integer, parameter :: nGC_16459 = 577
  integer, parameter :: nGC_15253 = 578
  integer, parameter :: nGC_7979 = 579
  integer, parameter :: nGC_329 = 580
  integer, parameter :: nGC_325 = 581
  integer, parameter :: nGC_327 = 582
  integer, parameter :: nGC_323 = 583
  integer, parameter :: nGC_MTA = 584
  integer, parameter :: nGC_188 = 585
  integer, parameter :: nGC_189 = 586
  integer, parameter :: nGC_180 = 587
  integer, parameter :: nGC_181 = 588
  integer, parameter :: nGC_182 = 589
  integer, parameter :: nGC_183 = 590
  integer, parameter :: nGC_184 = 591
  integer, parameter :: nGC_185 = 592
  integer, parameter :: nGC_186 = 593
  integer, parameter :: nGC_187 = 594
  integer, parameter :: nGC_433 = 595
  integer, parameter :: nGC_TS_GC_92_Hh = 596
  integer, parameter :: nGC_435 = 597
  integer, parameter :: nGC_9339 = 598
  integer, parameter :: nGC_13741 = 599
  integer, parameter :: nGC_13745 = 600
  integer, parameter :: nGC_8243 = 601
  integer, parameter :: nGC_19298 = 602
  integer, parameter :: nGC_13989 = 603
  integer, parameter :: nGC_TS_GC_91_Hl = 604
  integer, parameter :: nGC_19290 = 605
  integer, parameter :: nGC_19291 = 606
  integer, parameter :: nGC_19292 = 607
  integer, parameter :: nGC_19297 = 608
  integer, parameter :: nGC_14240 = 609
  integer, parameter :: nGC_14845 = 610
  integer, parameter :: nGC_8099 = 611
  integer, parameter :: nGC_8098 = 612
  integer, parameter :: nGC_8095 = 613
  integer, parameter :: nGC_8094 = 614
  integer, parameter :: nGC_8097 = 615
  integer, parameter :: nGC_8096 = 616
  integer, parameter :: nGC_8091 = 617
  integer, parameter :: nGC_8090 = 618
  integer, parameter :: nGC_8093 = 619
  integer, parameter :: nGC_8092 = 620
  integer, parameter :: nGC_8259 = 621
  integer, parameter :: nGC_8258 = 622
  integer, parameter :: nGC_8256 = 623
  integer, parameter :: nGC_8255 = 624
  integer, parameter :: nGC_8253 = 625
  integer, parameter :: nGC_8252 = 626
  integer, parameter :: nGC_8251 = 627
  integer, parameter :: nGC_13181 = 628
  integer, parameter :: nGC_13187 = 629
  integer, parameter :: nGC_13188 = 630
  integer, parameter :: nGC_TS_GC_64_Hl = 631
  integer, parameter :: nGC_TS_GC_64_Hh = 632
  integer, parameter :: nGC_9476 = 633
  integer, parameter :: nGC_13161 = 634
  integer, parameter :: nGC_12711 = 635
  integer, parameter :: nGC_8419 = 636
  integer, parameter :: nGC_8418 = 637
  integer, parameter :: nGC_7904 = 638
  integer, parameter :: nGC_8411 = 639
  integer, parameter :: nGC_8410 = 640
  integer, parameter :: nGC_8413 = 641
  integer, parameter :: nGC_8412 = 642
  integer, parameter :: nGC_8415 = 643
  integer, parameter :: nGC_8414 = 644
  integer, parameter :: nGC_8417 = 645
  integer, parameter :: nGC_8416 = 646
  integer, parameter :: nGC_17102 = 647
  integer, parameter :: nGC_28 = 648
  integer, parameter :: nGC_29 = 649
  integer, parameter :: nGC_22 = 650
  integer, parameter :: nGC_23 = 651
  integer, parameter :: nGC_20 = 652
  integer, parameter :: nGC_21 = 653
  integer, parameter :: nGC_26 = 654
  integer, parameter :: nGC_27 = 655
  integer, parameter :: nGC_24 = 656
  integer, parameter :: nGC_25 = 657
  integer, parameter :: nGC_8675 = 658
  integer, parameter :: nGC_8674 = 659
  integer, parameter :: nGC_8671 = 660
  integer, parameter :: nGC_8670 = 661
  integer, parameter :: nGC_8673 = 662
  integer, parameter :: nGC_8672 = 663
  integer, parameter :: nGC_8679 = 664
  integer, parameter :: nGC_8077 = 665
  integer, parameter :: nGC_8076 = 666
  integer, parameter :: nGC_8075 = 667
  integer, parameter :: nGC_8074 = 668
  integer, parameter :: nGC_8073 = 669
  integer, parameter :: nGC_8072 = 670
  integer, parameter :: nGC_8071 = 671
  integer, parameter :: nGC_8070 = 672
  integer, parameter :: nGC_8677 = 673
  integer, parameter :: nGC_17101 = 674
  integer, parameter :: nGC_8676 = 675
  integer, parameter :: nGC_MHH = 676
  integer, parameter :: nGC_9431 = 677
  integer, parameter :: nGC_339 = 678
  integer, parameter :: nGC_TS_GC_32_Hh = 679
  integer, parameter :: nGC_12857 = 680
  integer, parameter :: nGC_333 = 681
  integer, parameter :: nGC_331 = 682
  integer, parameter :: nGC_337 = 683
  integer, parameter :: nGC_335 = 684
  integer, parameter :: nGC_8257 = 685
  integer, parameter :: nGC_197 = 686
  integer, parameter :: nGC_195 = 687
  integer, parameter :: nGC_194 = 688
  integer, parameter :: nGC_193 = 689
  integer, parameter :: nGC_192 = 690
  integer, parameter :: nGC_191 = 691
  integer, parameter :: nGC_190 = 692
  integer, parameter :: nGC_198 = 693
  integer, parameter :: nGC_427 = 694
  integer, parameter :: nGC_425 = 695
  integer, parameter :: nGC_423 = 696
  integer, parameter :: nGC_TS_GC_24_Hl = 697
  integer, parameter :: nGC_8587 = 698
  integer, parameter :: nGC_601 = 699
  integer, parameter :: nGC_8254 = 700
  integer, parameter :: nGC_8583 = 701
  integer, parameter :: nGC_103 = 702
  integer, parameter :: nGC_8127 = 703
  integer, parameter :: nGC_15437 = 704
  integer, parameter :: nGC_8678 = 705
  integer, parameter :: nGC_12851 = 706
  integer, parameter :: nGC_23702 = 707
  integer, parameter :: nGC_19289 = 708
  integer, parameter :: nGC_13997 = 709
  integer, parameter :: nGC_8250 = 710
  integer, parameter :: nGC_8088 = 711
  integer, parameter :: nGC_8089 = 712
  integer, parameter :: nGC_8082 = 713
  integer, parameter :: nGC_8083 = 714
  integer, parameter :: nGC_8080 = 715
  integer, parameter :: nGC_8081 = 716
  integer, parameter :: nGC_8086 = 717
  integer, parameter :: nGC_8087 = 718
  integer, parameter :: nGC_8084 = 719
  integer, parameter :: nGC_8085 = 720
  integer, parameter :: nGC_8248 = 721
  integer, parameter :: nGC_8249 = 722
  integer, parameter :: nGC_8244 = 723
  integer, parameter :: nGC_8245 = 724
  integer, parameter :: nGC_8246 = 725
  integer, parameter :: nGC_8247 = 726
  integer, parameter :: nGC_8240 = 727
  integer, parameter :: nGC_8241 = 728
  integer, parameter :: nGC_8242 = 729
  integer, parameter :: nGC_13197 = 730
  integer, parameter :: nGC_13379 = 731
  integer, parameter :: nGC_13373 = 732
  integer, parameter :: nGC_9449 = 733
  integer, parameter :: nGC_9448 = 734
  integer, parameter :: nGC_9445 = 735
  integer, parameter :: nGC_9447 = 736
  integer, parameter :: nGC_9446 = 737
  integer, parameter :: nGC_8406 = 738
  integer, parameter :: nGC_8407 = 739
  integer, parameter :: nGC_8404 = 740
  integer, parameter :: nGC_8405 = 741
  integer, parameter :: nGC_8402 = 742
  integer, parameter :: nGC_8403 = 743
  integer, parameter :: nGC_8400 = 744
  integer, parameter :: nGC_8401 = 745
  integer, parameter :: nGC_1319 = 746
  integer, parameter :: nGC_8408 = 747
  integer, parameter :: nGC_8409 = 748
  integer, parameter :: nGC_13289 = 749
  integer, parameter :: nGC_13288 = 750
  integer, parameter :: nGC_12804 = 751
  integer, parameter :: nGC_12805 = 752
  integer, parameter :: nGC_13287 = 753
  integer, parameter :: nGC_17 = 754
  integer, parameter :: nGC_16 = 755
  integer, parameter :: nGC_15 = 756
  integer, parameter :: nGC_14 = 757
  integer, parameter :: nGC_13 = 758
  integer, parameter :: nGC_12 = 759
  integer, parameter :: nGC_11 = 760
  integer, parameter :: nGC_10 = 761
  integer, parameter :: nGC_19 = 762
  integer, parameter :: nGC_18 = 763
  integer, parameter :: nGC_8662 = 764
  integer, parameter :: nGC_8660 = 765
  integer, parameter :: nGC_8661 = 766
  integer, parameter :: nGC_8666 = 767
  integer, parameter :: nGC_8667 = 768
  integer, parameter :: nGC_8664 = 769
  integer, parameter :: nGC_8665 = 770
  integer, parameter :: nGC_8668 = 771
  integer, parameter :: nGC_8669 = 772
  integer, parameter :: nGC_7899 = 773
  integer, parameter :: nGC_8065 = 774
  integer, parameter :: nGC_8066 = 775
  integer, parameter :: nGC_8067 = 776
  integer, parameter :: nGC_8060 = 777
  integer, parameter :: nGC_8061 = 778
  integer, parameter :: nGC_8062 = 779
  integer, parameter :: nGC_8063 = 780
  integer, parameter :: nGC_8101 = 781
  integer, parameter :: nGC_9627 = 782
  integer, parameter :: nGC_9626 = 783
  integer, parameter :: nGC_8068 = 784
  integer, parameter :: nGC_8129 = 785
  integer, parameter :: nGC_9629 = 786
  integer, parameter :: nGC_9628 = 787
  integer, parameter :: nGC_8069 = 788
  integer, parameter :: nGC_8105 = 789
  integer, parameter :: nGC_18958 = 790
  integer, parameter :: nGC_18959 = 791
  integer, parameter :: nGC_13727 = 792
  integer, parameter :: nGC_TS_GC_13_Hh = 793
  integer, parameter :: nGC_9422 = 794
  integer, parameter :: nGC_TS_GC_13_Hl = 795
  integer, parameter :: nGC_15055 = 796
  integer, parameter :: nGC_12845 = 797
  integer, parameter :: nGC_TS_GC_25_Hh = 798
  integer, parameter :: nGC_15739 = 799
  integer, parameter :: nGC_15421 = 800
  integer, parameter :: nGC_TS_GC_192_Hl = 801
  integer, parameter :: nGC_14081 = 802
  integer, parameter :: nGC_14087 = 803
  integer, parameter :: nGC_TS_GC_99_Hl = 804
  integer, parameter :: nGC_TS_GC_99_Hh = 805
  integer, parameter :: nGC_8613 = 806
  integer, parameter :: nGC_7916 = 807
  integer, parameter :: nGC_8612 = 808
  integer, parameter :: nGC_8279 = 809
  integer, parameter :: nGC_8278 = 810
  integer, parameter :: nGC_8271 = 811
  integer, parameter :: nGC_8270 = 812
  integer, parameter :: nGC_8273 = 813
  integer, parameter :: nGC_8275 = 814
  integer, parameter :: nGC_8274 = 815
  integer, parameter :: nGC_8277 = 816
  integer, parameter :: nGC_8276 = 817
  integer, parameter :: nGC_14394 = 818
  integer, parameter :: nGC_14467 = 819
  integer, parameter :: nGC_8619 = 820
  integer, parameter :: nGC_1491 = 821
  integer, parameter :: nGC_12704 = 822
  integer, parameter :: nGC_8183 = 823
  integer, parameter :: nGC_8182 = 824
  integer, parameter :: nGC_8181 = 825
  integer, parameter :: nGC_8180 = 826
  integer, parameter :: nGC_8187 = 827
  integer, parameter :: nGC_8186 = 828
  integer, parameter :: nGC_8185 = 829
  integer, parameter :: nGC_8184 = 830
  integer, parameter :: nGC_9452 = 831
  integer, parameter :: nGC_9453 = 832
  integer, parameter :: nGC_9450 = 833
  integer, parameter :: nGC_8188 = 834
  integer, parameter :: nGC_13142 = 835
  integer, parameter :: nGC_9457 = 836
  integer, parameter :: nGC_13140 = 837
  integer, parameter :: nGC_13141 = 838
  integer, parameter :: nGC_8473 = 839
  integer, parameter :: nGC_8472 = 840
  integer, parameter :: nGC_8471 = 841
  integer, parameter :: nGC_8470 = 842
  integer, parameter :: nGC_8477 = 843
  integer, parameter :: nGC_8476 = 844
  integer, parameter :: nGC_8475 = 845
  integer, parameter :: nGC_8474 = 846
  integer, parameter :: nGC_TS_GC_65_Hl = 847
  integer, parameter :: nGC_8478 = 848
  integer, parameter :: nGC_12811 = 849
  integer, parameter :: nGC_12817 = 850
  integer, parameter :: nGC_13544 = 851
  integer, parameter :: nGC_8698 = 852
  integer, parameter :: nGC_8697 = 853
  integer, parameter :: nGC_8696 = 854
  integer, parameter :: nGC_8695 = 855
  integer, parameter :: nGC_8694 = 856
  integer, parameter :: nGC_8693 = 857
  integer, parameter :: nGC_8692 = 858
  integer, parameter :: nGC_8691 = 859
  integer, parameter :: nGC_8690 = 860
  integer, parameter :: nGC_8051 = 861
  integer, parameter :: nGC_8050 = 862
  integer, parameter :: nGC_8053 = 863
  integer, parameter :: nGC_8052 = 864
  integer, parameter :: nGC_8055 = 865
  integer, parameter :: nGC_8054 = 866
  integer, parameter :: nGC_8509 = 867
  integer, parameter :: nGC_8508 = 868
  integer, parameter :: nGC_8507 = 869
  integer, parameter :: nGC_8506 = 870
  integer, parameter :: nGC_8505 = 871
  integer, parameter :: nGC_8504 = 872
  integer, parameter :: nGC_8503 = 873
  integer, parameter :: nGC_8502 = 874
  integer, parameter :: nGC_8501 = 875
  integer, parameter :: nGC_8500 = 876
  integer, parameter :: nGC_12676 = 877
  integer, parameter :: nGC_12672 = 878
  integer, parameter :: nGC_9632 = 879
  integer, parameter :: nGC_9633 = 880
  integer, parameter :: nGC_9631 = 881
  integer, parameter :: nGC_9636 = 882
  integer, parameter :: nGC_9637 = 883
  integer, parameter :: nGC_9634 = 884
  integer, parameter :: nGC_9635 = 885
  integer, parameter :: nGC_9638 = 886
  integer, parameter :: nGC_9639 = 887
  integer, parameter :: nGC_TS_GC_33_Hh = 888
  integer, parameter :: nGC_TS_GC_165_Hh = 889
  integer, parameter :: nGC_9463 = 890
  integer, parameter :: nGC_8543 = 891
  integer, parameter :: nGC_8542 = 892
  integer, parameter :: nGC_8541 = 893
  integer, parameter :: nGC_8118 = 894
  integer, parameter :: nGC_8011 = 895
  integer, parameter :: nGC_8010 = 896
  integer, parameter :: nGC_14307 = 897
  integer, parameter :: nGC_8116 = 898
  integer, parameter :: nGC_8544 = 899
  integer, parameter :: nGC_16731 = 900
  integer, parameter :: nGC_661 = 901
  integer, parameter :: nGC_8018 = 902
  integer, parameter :: nGC_21273 = 903
  integer, parameter :: nGC_14898 = 904
  integer, parameter :: nGC_14897 = 905
  integer, parameter :: nGC_14896 = 906
  integer, parameter :: nGC_15389 = 907
  integer, parameter :: nGC_1153 = 908
  integer, parameter :: nGC_9438 = 909
  integer, parameter :: nGC_1795 = 910
  integer, parameter :: nGC_9492 = 911
  integer, parameter :: nGC_8426 = 912
  integer, parameter :: nGC_8395 = 913
  integer, parameter :: nGC_8420 = 914
  integer, parameter :: nGC_13975 = 915
  integer, parameter :: nGC_15251 = 916
  integer, parameter :: nGC_15254 = 917
  integer, parameter :: nGC_15704 = 918
  integer, parameter :: nGC_8266 = 919
  integer, parameter :: nGC_8267 = 920
  integer, parameter :: nGC_8264 = 921
  integer, parameter :: nGC_8265 = 922
  integer, parameter :: nGC_8262 = 923
  integer, parameter :: nGC_8263 = 924
  integer, parameter :: nGC_8260 = 925
  integer, parameter :: nGC_8261 = 926
  integer, parameter :: nGC_8268 = 927
  integer, parameter :: nGC_8269 = 928
  integer, parameter :: nGC_12956 = 929
  integer, parameter :: nGC_14477 = 930
  integer, parameter :: nGC_13770 = 931
  integer, parameter :: nGC_13773 = 932
  integer, parameter :: nGC_14478 = 933
  integer, parameter :: nGC_13151 = 934
  integer, parameter :: nGC_8191 = 935
  integer, parameter :: nGC_8192 = 936
  integer, parameter :: nGC_8193 = 937
  integer, parameter :: nGC_8194 = 938
  integer, parameter :: nGC_8195 = 939
  integer, parameter :: nGC_8196 = 940
  integer, parameter :: nGC_8197 = 941
  integer, parameter :: nGC_8198 = 942
  integer, parameter :: nGC_8199 = 943
  integer, parameter :: nGC_8460 = 944
  integer, parameter :: nGC_39 = 945
  integer, parameter :: nGC_8463 = 946
  integer, parameter :: nGC_23031 = 947
  integer, parameter :: nGC_23030 = 948
  integer, parameter :: nGC_8466 = 949
  integer, parameter :: nGC_8467 = 950
  integer, parameter :: nGC_8468 = 951
  integer, parameter :: nGC_8469 = 952
  integer, parameter :: nGC_12826 = 953
  integer, parameter :: nGC_13808 = 954
  integer, parameter :: nGC_13556 = 955
  integer, parameter :: nGC_13550 = 956
  integer, parameter :: nGC_8113 = 957
  integer, parameter :: nGC_8689 = 958
  integer, parameter :: nGC_8684 = 959
  integer, parameter :: nGC_8685 = 960
  integer, parameter :: nGC_8686 = 961
  integer, parameter :: nGC_8687 = 962
  integer, parameter :: nGC_8680 = 963
  integer, parameter :: nGC_8681 = 964
  integer, parameter :: nGC_8682 = 965
  integer, parameter :: nGC_8683 = 966
  integer, parameter :: nGC_8518 = 967
  integer, parameter :: nGC_8519 = 968
  integer, parameter :: nGC_8048 = 969
  integer, parameter :: nGC_8049 = 970
  integer, parameter :: nGC_8046 = 971
  integer, parameter :: nGC_8515 = 972
  integer, parameter :: nGC_8516 = 973
  integer, parameter :: nGC_8045 = 974
  integer, parameter :: nGC_8510 = 975
  integer, parameter :: nGC_8511 = 976
  integer, parameter :: nGC_8512 = 977
  integer, parameter :: nGC_8513 = 978
  integer, parameter :: nGC_TS_GC_103_Hl = 979
  integer, parameter :: nGC_TS_GC_103_Hh = 980
  integer, parameter :: nGC_7944 = 981
  integer, parameter :: nGC_16252 = 982
  integer, parameter :: nGC_8358 = 983
  integer, parameter :: nGC_9481 = 984
  integer, parameter :: nGC_9480 = 985
  integer, parameter :: nGC_9483 = 986
  integer, parameter :: nGC_9482 = 987
  integer, parameter :: nGC_9485 = 988
  integer, parameter :: nGC_9484 = 989
  integer, parameter :: nGC_9486 = 990
  integer, parameter :: nGC_9489 = 991
  integer, parameter :: nGC_9335 = 992
  integer, parameter :: nGC_9333 = 993
  integer, parameter :: nGC_9331 = 994
  integer, parameter :: nGC_9330 = 995
  integer, parameter :: nGC_23251 = 996
  integer, parameter :: nGC_MMW_GF = 997
  integer, parameter :: nGC_8117 = 998
  integer, parameter :: nGC_8640 = 999
  integer, parameter :: nGC_8641 = 1000
  integer, parameter :: nGC_8642 = 1001
  integer, parameter :: nGC_8643 = 1002
  integer, parameter :: nGC_8644 = 1003
  integer, parameter :: nGC_38 = 1004
  integer, parameter :: nGC_8645 = 1005
  integer, parameter :: nGC_8646 = 1006
  integer, parameter :: nGC_8647 = 1007
  integer, parameter :: nGC_389 = 1008
  integer, parameter :: nGC_383 = 1009
  integer, parameter :: nGC_387 = 1010
  integer, parameter :: nGC_385 = 1011
  integer, parameter :: nGC_20408 = 1012
  integer, parameter :: nGC_9491 = 1013
  integer, parameter :: nGC_20407 = 1014
  integer, parameter :: nGC_9280 = 1015
  integer, parameter :: nGC_8022 = 1016
  integer, parameter :: nGC_16728 = 1017
  integer, parameter :: nGC_MZ_GF = 1018
  integer, parameter :: nGC_15391 = 1019
  integer, parameter :: nGC_15390 = 1020
  integer, parameter :: nGC_15392 = 1021
  integer, parameter :: nGC_15397 = 1022
  integer, parameter :: nGC_15629 = 1023
  integer, parameter :: nGC_15623 = 1024
  integer, parameter :: nGC_15400 = 1025
  integer, parameter :: nGC_15408 = 1026
  integer, parameter :: nGC_126 = 1027
  integer, parameter :: nGC_127 = 1028
  integer, parameter :: nGC_124 = 1029
  integer, parameter :: nGC_122 = 1030
  integer, parameter :: nGC_120 = 1031
  integer, parameter :: nGC_121 = 1032
  integer, parameter :: nGC_128 = 1033
  integer, parameter :: nGC_129 = 1034
  integer, parameter :: nGC_13014 = 1035
  integer, parameter :: nGC_TS_GC_180_Hh = 1036
  integer, parameter :: nGC_14046 = 1037
  integer, parameter :: nGC_8027 = 1038
  integer, parameter :: nGC_8213 = 1039
  integer, parameter :: nGC_8212 = 1040
  integer, parameter :: nGC_8211 = 1041
  integer, parameter :: nGC_8210 = 1042
  integer, parameter :: nGC_8217 = 1043
  integer, parameter :: nGC_8216 = 1044
  integer, parameter :: nGC_8215 = 1045
  integer, parameter :: nGC_8214 = 1046
  integer, parameter :: nGC_8219 = 1047
  integer, parameter :: nGC_8218 = 1048
  integer, parameter :: nGC_8449 = 1049
  integer, parameter :: nGC_7939 = 1050
  integer, parameter :: nGC_7938 = 1051
  integer, parameter :: nGC_7937 = 1052
  integer, parameter :: nGC_7936 = 1053
  integer, parameter :: nGC_I = 1054
  integer, parameter :: nGC_7934 = 1055
  integer, parameter :: nGC_7933 = 1056
  integer, parameter :: nGC_7932 = 1057
  integer, parameter :: nGC_7931 = 1058
  integer, parameter :: nGC_8459 = 1059
  integer, parameter :: nGC_8458 = 1060
  integer, parameter :: nGC_8329 = 1061
  integer, parameter :: nGC_8328 = 1062
  integer, parameter :: nGC_8326 = 1063
  integer, parameter :: nGC_8325 = 1064
  integer, parameter :: nGC_8323 = 1065
  integer, parameter :: nGC_8322 = 1066
  integer, parameter :: nGC_7930 = 1067
  integer, parameter :: nGC_TS_GC_129_Hh = 1068
  integer, parameter :: nGC_13239 = 1069
  integer, parameter :: nGC_TS_GC_25_Hl = 1070
  integer, parameter :: nGC_13237 = 1071
  integer, parameter :: nGC_3 = 1072
  integer, parameter :: nGC_2 = 1073
  integer, parameter :: nGC_1 = 1074
  integer, parameter :: nGC_7 = 1075
  integer, parameter :: nGC_6 = 1076
  integer, parameter :: nGC_5 = 1077
  integer, parameter :: nGC_4 = 1078
  integer, parameter :: nGC_9038 = 1079
  integer, parameter :: nGC_9039 = 1080
  integer, parameter :: nGC_9 = 1081
  integer, parameter :: nGC_8 = 1082
  integer, parameter :: nGC_8529 = 1083
  integer, parameter :: nGC_8528 = 1084
  integer, parameter :: nGC_8039 = 1085
  integer, parameter :: nGC_8038 = 1086
  integer, parameter :: nGC_12729 = 1087
  integer, parameter :: nGC_8663 = 1088
  integer, parameter :: nGC_8454 = 1089
  integer, parameter :: nGC_8521 = 1090
  integer, parameter :: nGC_8520 = 1091
  integer, parameter :: nGC_8523 = 1092
  integer, parameter :: nGC_8522 = 1093
  integer, parameter :: nGC_8525 = 1094
  integer, parameter :: nGC_8524 = 1095
  integer, parameter :: nGC_8527 = 1096
  integer, parameter :: nGC_8526 = 1097
  integer, parameter :: nGC_8324 = 1098
  integer, parameter :: nGC_8451 = 1099
  integer, parameter :: nGC_8450 = 1100
  integer, parameter :: nGC_TS_GC_34_Hh = 1101
  integer, parameter :: nGC_8321 = 1102
  integer, parameter :: nGC_8320 = 1103
  integer, parameter :: nGC_8147 = 1104
  integer, parameter :: nGC_8146 = 1105
  integer, parameter :: nGC_8145 = 1106
  integer, parameter :: nGC_8144 = 1107
  integer, parameter :: nGC_9498 = 1108
  integer, parameter :: nGC_9499 = 1109
  integer, parameter :: nGC_9324 = 1110
  integer, parameter :: nGC_9497 = 1111
  integer, parameter :: nGC_9326 = 1112
  integer, parameter :: nGC_9320 = 1113
  integer, parameter :: nGC_9493 = 1114
  integer, parameter :: nGC_8149 = 1115
  integer, parameter :: nGC_8148 = 1116
  integer, parameter :: nGC_8106 = 1117
  integer, parameter :: nGC_3231 = 1118
  integer, parameter :: nGC_12716 = 1119
  integer, parameter :: nGC_16624 = 1120
  integer, parameter :: nGC_17717 = 1121
  integer, parameter :: nGC_17719 = 1122
  integer, parameter :: nGC_TS_GC_36_Hl = 1123
  integer, parameter :: nGC_8628 = 1124
  integer, parameter :: nGC_20057 = 1125
  integer, parameter :: nGC_399 = 1126
  integer, parameter :: nGC_391 = 1127
  integer, parameter :: nGC_8444 = 1128
  integer, parameter :: nGC_393 = 1129
  integer, parameter :: nGC_397 = 1130
  integer, parameter :: nGC_8079 = 1131
  integer, parameter :: nGC_14342 = 1132
  integer, parameter :: nGC_8445 = 1133
  integer, parameter :: nGC_TS_GC_120_Hl = 1134
  integer, parameter :: nGC_8427 = 1135
  integer, parameter :: nGC_8132 = 1136
  integer, parameter :: nGC_8133 = 1137
  integer, parameter :: nGC_9032 = 1138
  integer, parameter :: nGC_9034 = 1139
  integer, parameter :: nGC_8037 = 1140
  integer, parameter :: nGC_9035 = 1141
  integer, parameter :: nGC_13958 = 1142
  integer, parameter :: nGC_9036 = 1143
  integer, parameter :: nGC_8078 = 1144
  integer, parameter :: nGC_9037 = 1145
  integer, parameter :: nGC_13954 = 1146
  integer, parameter :: nGC_135 = 1147
  integer, parameter :: nGC_134 = 1148
  integer, parameter :: nGC_137 = 1149
  integer, parameter :: nGC_136 = 1150
  integer, parameter :: nGC_131 = 1151
  integer, parameter :: nGC_130 = 1152
  integer, parameter :: nGC_133 = 1153
  integer, parameter :: nGC_132 = 1154
  integer, parameter :: nGC_8036 = 1155
  integer, parameter :: nGC_139 = 1156
  integer, parameter :: nGC_8138 = 1157
  integer, parameter :: nGC_8139 = 1158
  integer, parameter :: nGC_14054 = 1159
  integer, parameter :: nGC_13009 = 1160
  integer, parameter :: nGC_8200 = 1161
  integer, parameter :: nGC_8201 = 1162
  integer, parameter :: nGC_8202 = 1163
  integer, parameter :: nGC_8203 = 1164
  integer, parameter :: nGC_8204 = 1165
  integer, parameter :: nGC_8205 = 1166
  integer, parameter :: nGC_8206 = 1167
  integer, parameter :: nGC_8207 = 1168
  integer, parameter :: nGC_8208 = 1169
  integer, parameter :: nGC_8209 = 1170
  integer, parameter :: nGC_TS_GC_23_Hh = 1171
  integer, parameter :: nGC_14454 = 1172
  integer, parameter :: nGC_14453 = 1173
  integer, parameter :: nGC_TS_GC_16_Hh = 1174
  integer, parameter :: nGC_12994 = 1175
  integer, parameter :: nGC_12992 = 1176
  integer, parameter :: nGC_8033 = 1177
  integer, parameter :: nGC_7928 = 1178
  integer, parameter :: nGC_7929 = 1179
  integer, parameter :: nGC_8032 = 1180
  integer, parameter :: nGC_7924 = 1181
  integer, parameter :: nGC_7925 = 1182
  integer, parameter :: nGC_7926 = 1183
  integer, parameter :: nGC_7927 = 1184
  integer, parameter :: nGC_7920 = 1185
  integer, parameter :: nGC_7921 = 1186
  integer, parameter :: nGC_7922 = 1187
  integer, parameter :: nGC_7923 = 1188
  integer, parameter :: nGC_8448 = 1189
  integer, parameter :: nGC_8030 = 1190
  integer, parameter :: nGC_8338 = 1191
  integer, parameter :: nGC_8339 = 1192
  integer, parameter :: nGC_20453 = 1193
  integer, parameter :: nGC_8334 = 1194
  integer, parameter :: nGC_8335 = 1195
  integer, parameter :: nGC_8440 = 1196
  integer, parameter :: nGC_8441 = 1197
  integer, parameter :: nGC_8446 = 1198
  integer, parameter :: nGC_8447 = 1199
  integer, parameter :: nGC_8332 = 1200
  integer, parameter :: nGC_8333 = 1201
  integer, parameter :: nGC_8140 = 1202
  integer, parameter :: nGC_8035 = 1203
  integer, parameter :: nGC_8034 = 1204
  integer, parameter :: nGC_12666 = 1205
  integer, parameter :: nGC_12660 = 1206
  integer, parameter :: nGC_15899 = 1207
  integer, parameter :: nGC_13228 = 1208
  integer, parameter :: nGC_8536 = 1209
  integer, parameter :: nGC_8537 = 1210
  integer, parameter :: nGC_8534 = 1211
  integer, parameter :: nGC_8535 = 1212
  integer, parameter :: nGC_8532 = 1213
  integer, parameter :: nGC_8533 = 1214
  integer, parameter :: nGC_8530 = 1215
  integer, parameter :: nGC_8531 = 1216
  integer, parameter :: nGC_9005 = 1217
  integer, parameter :: nGC_9004 = 1218
  integer, parameter :: nGC_9007 = 1219
  integer, parameter :: nGC_9006 = 1220
  integer, parameter :: nGC_9001 = 1221
  integer, parameter :: nGC_9000 = 1222
  integer, parameter :: nGC_8538 = 1223
  integer, parameter :: nGC_8539 = 1224
  integer, parameter :: nGC_8028 = 1225
  integer, parameter :: nGC_8029 = 1226
  integer, parameter :: nGC_8020 = 1227
  integer, parameter :: nGC_8021 = 1228
  integer, parameter :: nGC_TS_GC_16_Hl = 1229
  integer, parameter :: nGC_8023 = 1230
  integer, parameter :: nGC_8024 = 1231
  integer, parameter :: nGC_8025 = 1232
  integer, parameter :: nGC_8026 = 1233
  integer, parameter :: nGC_19951 = 1234
  integer, parameter :: nGC_14649 = 1235
  integer, parameter :: nGC_8154 = 1236
  integer, parameter :: nGC_8155 = 1237
  integer, parameter :: nGC_8156 = 1238
  integer, parameter :: nGC_8157 = 1239
  integer, parameter :: nGC_8150 = 1240
  integer, parameter :: nGC_8151 = 1241
  integer, parameter :: nGC_8152 = 1242
  integer, parameter :: nGC_8153 = 1243
  integer, parameter :: nGC_2153 = 1244
  integer, parameter :: nGC_9313 = 1245
  integer, parameter :: nGC_8158 = 1246
  integer, parameter :: nGC_8159 = 1247
  integer, parameter :: nGC_9317 = 1248
  integer, parameter :: nGC_9316 = 1249
  integer, parameter :: nGC_7960 = 1250
  integer, parameter :: nGC_8455 = 1251
  integer, parameter :: nGC_7961 = 1252
  integer, parameter :: nGC_9177 = 1253
  integer, parameter :: nGC_9176 = 1254
  integer, parameter :: nGC_TS_GC_15_Hh = 1255
  integer, parameter :: nGC_7967 = 1256
  integer, parameter :: nGC_9179 = 1257
  integer, parameter :: nGC_9178 = 1258
  integer, parameter :: nGC_17720 = 1259
  integer, parameter :: nGC_TS_GC_153_Hl = 1260
  integer, parameter :: nGC_8457 = 1261
  integer, parameter :: nGC_TS_GC_177_Hl = 1262
  integer, parameter :: nGC_8456 = 1263
  integer, parameter :: nGC_9246 = 1264
  integer, parameter :: nGC_19777 = 1265
  integer, parameter :: nGC_TS_GC_145_Hl = 1266
  integer, parameter :: nGC_19778 = 1267
  integer, parameter :: nGC_8100 = 1268
  integer, parameter :: nGC_9051 = 1269
  integer, parameter :: nGC_14902 = 1270
  integer, parameter :: nGC_14906 = 1271
  integer, parameter :: nGC_7955 = 1272
  integer, parameter :: nGC_8453 = 1273
  integer, parameter :: nGC_8143 = 1274
  integer, parameter :: nGC_8142 = 1275
  integer, parameter :: nGC_8141 = 1276
  integer, parameter :: nGC_7954 = 1277
  integer, parameter :: nGC_8452 = 1278
  integer, parameter :: nGC_9494 = 1279
  integer, parameter :: nGC_14842 = 1280
  integer, parameter :: nGC_14841 = 1281
  integer, parameter :: nGC_8622 = 1282
  integer, parameter :: nGC_8623 = 1283
  integer, parameter :: nGC_8047 = 1284
  integer, parameter :: nGC_8881 = 1285
  integer, parameter :: nGC_8272 = 1286
  integer, parameter :: nGC_13169 = 1287
  integer, parameter :: nGC_8064 = 1288
  integer, parameter :: nGC_8044 = 1289
  integer, parameter :: nGC_8886 = 1290
  integer, parameter :: nGC_TS_GC_63_Hh = 1291
  integer, parameter :: nGC_TS_GC_63_Hl = 1292
  integer, parameter :: nGC_13929 = 1293
  integer, parameter :: nGC_14604 = 1294
  integer, parameter :: nGC_13927 = 1295
  integer, parameter :: nGC_14601 = 1296
  integer, parameter :: nGC_14602 = 1297
  integer, parameter :: nGC_14603 = 1298
  integer, parameter :: nGC_100 = 1299
  integer, parameter :: nGC_15260 = 1300
  integer, parameter :: nGC_102 = 1301
  integer, parameter :: nGC_104 = 1302
  integer, parameter :: nGC_105 = 1303
  integer, parameter :: nGC_106 = 1304
  integer, parameter :: nGC_107 = 1305
  integer, parameter :: nGC_108 = 1306
  integer, parameter :: nGC_109 = 1307
  integer, parameter :: nGC_14393 = 1308
  integer, parameter :: nGC_14021 = 1309
  integer, parameter :: nGC_8297 = 1310
  integer, parameter :: nGC_8042 = 1311
  integer, parameter :: nGC_13038 = 1312
  integer, parameter :: nGC_25005 = 1313
  integer, parameter :: nGC_8239 = 1314
  integer, parameter :: nGC_8238 = 1315
  integer, parameter :: nGC_8235 = 1316
  integer, parameter :: nGC_8234 = 1317
  integer, parameter :: nGC_8237 = 1318
  integer, parameter :: nGC_8236 = 1319
  integer, parameter :: nGC_8231 = 1320
  integer, parameter :: nGC_8230 = 1321
  integer, parameter :: nGC_8233 = 1322
  integer, parameter :: nGC_8232 = 1323
  integer, parameter :: nGC_8043 = 1324
  integer, parameter :: nGC_13721 = 1325
  integer, parameter :: nGC_8707 = 1326
  integer, parameter :: nGC_13459 = 1327
  integer, parameter :: nGC_12983 = 1328
  integer, parameter :: nGC_8040 = 1329
  integer, parameter :: nGC_12989 = 1330
  integer, parameter :: nGC_13100 = 1331
  integer, parameter :: nGC_13101 = 1332
  integer, parameter :: nGC_13454 = 1333
  integer, parameter :: nGC_13455 = 1334
  integer, parameter :: nGC_7919 = 1335
  integer, parameter :: nGC_7918 = 1336
  integer, parameter :: nGC_7911 = 1337
  integer, parameter :: nGC_7910 = 1338
  integer, parameter :: nGC_7913 = 1339
  integer, parameter :: nGC_7912 = 1340
  integer, parameter :: nGC_7915 = 1341
  integer, parameter :: nGC_7914 = 1342
  integer, parameter :: nGC_7917 = 1343
  integer, parameter :: nGC_8461 = 1344
  integer, parameter :: nGC_8309 = 1345
  integer, parameter :: nGC_8308 = 1346
  integer, parameter :: nGC_8514 = 1347
  integer, parameter :: nGC_8041 = 1348
  integer, parameter :: nGC_8301 = 1349
  integer, parameter :: nGC_8300 = 1350
  integer, parameter :: nGC_8303 = 1351
  integer, parameter :: nGC_8302 = 1352
  integer, parameter :: nGC_8305 = 1353
  integer, parameter :: nGC_8304 = 1354
  integer, parameter :: nGC_8307 = 1355
  integer, parameter :: nGC_8306 = 1356
  integer, parameter :: nGC_8031 = 1357
  integer, parameter :: nGC_8462 = 1358
  integer, parameter :: nGC_8491 = 1359
  integer, parameter :: nGC_8490 = 1360
  integer, parameter :: nGC_8493 = 1361
  integer, parameter :: nGC_8492 = 1362
  integer, parameter :: nGC_8495 = 1363
  integer, parameter :: nGC_8494 = 1364
  integer, parameter :: nGC_8497 = 1365
  integer, parameter :: nGC_8496 = 1366
  integer, parameter :: nGC_8499 = 1367
  integer, parameter :: nGC_8498 = 1368
  integer, parameter :: nGC_8944 = 1369
  integer, parameter :: nGC_8943 = 1370
  integer, parameter :: nGC_8942 = 1371
  integer, parameter :: nGC_8941 = 1372
  integer, parameter :: nGC_8700 = 1373
  integer, parameter :: nGC_13218 = 1374
  integer, parameter :: nGC_431 = 1375
  integer, parameter :: nGC_13214 = 1376
  integer, parameter :: nGC_13212 = 1377
  integer, parameter :: nGC_18762 = 1378
  integer, parameter :: nGC_18761 = 1379
  integer, parameter :: nGC_18760 = 1380
  integer, parameter :: nGC_8015 = 1381
  integer, parameter :: nGC_8014 = 1382
  integer, parameter :: nGC_8017 = 1383
  integer, parameter :: nGC_8016 = 1384
  integer, parameter :: nGC_8547 = 1385
  integer, parameter :: nGC_8546 = 1386
  integer, parameter :: nGC_8013 = 1387
  integer, parameter :: nGC_8012 = 1388
  integer, parameter :: nGC_9012 = 1389
  integer, parameter :: nGC_9013 = 1390
  integer, parameter :: nGC_8549 = 1391
  integer, parameter :: nGC_8548 = 1392
  integer, parameter :: nGC_8019 = 1393
  integer, parameter :: nGC_9015 = 1394
  integer, parameter :: nGC_8786 = 1395
  integer, parameter :: nGC_8780 = 1396
  integer, parameter :: nGC_8699 = 1397
  integer, parameter :: nGC_8464 = 1398
  integer, parameter :: nGC_8789 = 1399
  integer, parameter :: nGC_8788 = 1400
  integer, parameter :: nGC_26922 = 1401
  integer, parameter :: nGC_8396 = 1402
  integer, parameter :: nGC_8465 = 1403
  integer, parameter :: nGC_8189 = 1404
  integer, parameter :: nGC_9307 = 1405
  integer, parameter :: nGC_9304 = 1406
  integer, parameter :: nGC_9451 = 1407
  integer, parameter :: nGC_9302 = 1408
  integer, parameter :: nGC_9303 = 1409
  integer, parameter :: nGC_9300 = 1410
  integer, parameter :: nGC_8397 = 1411
  integer, parameter :: nGC_9456 = 1412
  integer, parameter :: nGC_9308 = 1413
  integer, parameter :: nGC_9309 = 1414
  integer, parameter :: nGC_8161 = 1415
  integer, parameter :: nGC_8160 = 1416
  integer, parameter :: nGC_8163 = 1417
  integer, parameter :: nGC_8162 = 1418
  integer, parameter :: nGC_8165 = 1419
  integer, parameter :: nGC_8164 = 1420
  integer, parameter :: nGC_8167 = 1421
  integer, parameter :: nGC_8166 = 1422
  integer, parameter :: nGC_8169 = 1423
  integer, parameter :: nGC_8168 = 1424
  integer, parameter :: nGC_9455 = 1425
  integer, parameter :: nGC_9260 = 1426
  integer, parameter :: nGC_8394 = 1427
  integer, parameter :: nGC_23034 = 1428
  integer, parameter :: nGC_8604 = 1429
  integer, parameter :: nGC_8336 = 1430
  integer, parameter :: nGC_9162 = 1431
  integer, parameter :: nGC_9160 = 1432
  integer, parameter :: nGC_9161 = 1433
  integer, parameter :: nGC_8479 = 1434
  integer, parameter :: nGC_8392 = 1435
  integer, parameter :: nGC_8571 = 1436
  integer, parameter :: nGC_8576 = 1437
  integer, parameter :: nGC_8574 = 1438
  integer, parameter :: nGC_8393 = 1439
  integer, parameter :: nGC_8190 = 1440
  integer, parameter :: nGC_TS_GC_35_Hl = 1441
  integer, parameter :: nGC_23182 = 1442
  integer, parameter :: nGC_8607 = 1443
  integer, parameter :: nGC_8390 = 1444
  integer, parameter :: nGC_8391 = 1445
  integer, parameter :: nGC_7966 = 1446
  integer, parameter :: nGC_14938 = 1447
  integer, parameter :: nGC_14939 = 1448
  integer, parameter :: nGC_14936 = 1449
  integer, parameter :: nGC_8977 = 1450
  integer, parameter :: nGC_8057 = 1451
  integer, parameter :: nGC_13932 = 1452
  integer, parameter :: nGC_8540 = 1453
  integer, parameter :: nGC_25006 = 1454
  integer, parameter :: nGC_25007 = 1455
  integer, parameter :: nGC_8056 = 1456
  integer, parameter :: nGC_25008 = 1457
  integer, parameter :: nGC_7969 = 1458
  integer, parameter :: nGC_8059 = 1459
  integer, parameter :: nGC_9321 = 1460
  integer, parameter :: nGC_9458 = 1461
  integer, parameter :: nGC_118 = 1462
  integer, parameter :: nGC_8599 = 1463
  integer, parameter :: nGC_8058 = 1464
  integer, parameter :: nGC_21320 = 1465
  integer, parameter :: nGC_8896 = 1466
  integer, parameter :: nGC_9459 = 1467
  integer, parameter :: nGC_8545 = 1468
  integer, parameter :: nGC_13930 = 1469
  integer, parameter :: nGC_119 = 1470
  integer, parameter :: nGC_9350 = 1471
  integer, parameter :: nGC_117 = 1472
  integer, parameter :: nGC_116 = 1473
  integer, parameter :: nGC_115 = 1474
  integer, parameter :: nGC_114 = 1475
  integer, parameter :: nGC_113 = 1476
  integer, parameter :: nGC_112 = 1477
  integer, parameter :: nGC_111 = 1478
  integer, parameter :: nGC_110 = 1479
  integer, parameter :: nGC_21922 = 1480
  integer, parameter :: nGC_13732 = 1481
  integer, parameter :: nGC_15456 = 1482
  integer, parameter :: nGC_803 = 1483
  integer, parameter :: nGC_13119 = 1484
  integer, parameter :: nGC_13117 = 1485
  integer, parameter :: nGC_13444 = 1486
  integer, parameter :: nGC_17047 = 1487
  integer, parameter :: nGC_12866 = 1488
  integer, parameter :: nGC_12867 = 1489
  integer, parameter :: nGC_12868 = 1490
  integer, parameter :: nGC_12869 = 1491
  integer, parameter :: nGC_9427 = 1492
  integer, parameter :: nGC_9426 = 1493
  integer, parameter :: nGC_13021 = 1494
  integer, parameter :: nGC_TS_GC_137_Hh = 1495
  integer, parameter :: nGC_13024 = 1496
  integer, parameter :: nGC_12888 = 1497
  integer, parameter :: nGC_9356 = 1498
  integer, parameter :: nGC_8958 = 1499
  integer, parameter :: nGC_8959 = 1500
  integer, parameter :: nGC_TS_GC_111_Hh = 1501
  integer, parameter :: nGC_8956 = 1502
  integer, parameter :: nGC_8957 = 1503
  integer, parameter :: nGC_8950 = 1504
  integer, parameter :: nGC_8951 = 1505
  integer, parameter :: nGC_8952 = 1506
  integer, parameter :: nGC_13203 = 1507
  integer, parameter :: nGC_9421 = 1508
  integer, parameter :: nGC_13207 = 1509
  integer, parameter :: nGC_5227 = 1510
  integer, parameter :: nGC_9352 = 1511
  integer, parameter :: nGC_1247 = 1512
  integer, parameter :: nGC_8792 = 1513
  integer, parameter :: nGC_8790 = 1514
  integer, parameter :: nGC_8824 = 1515
  integer, parameter :: nGC_8797 = 1516
  integer, parameter :: nGC_8795 = 1517
  integer, parameter :: nGC_8829 = 1518
  integer, parameter :: nGC_8798 = 1519
  integer, parameter :: nGC_8799 = 1520
  integer, parameter :: nGC_TS_GC_22_Hh = 1521
  integer, parameter :: nGC_TS_GC_22_Hl = 1522
  integer, parameter :: nGC_9373 = 1523
  integer, parameter :: nGC_9372 = 1524
  integer, parameter :: nGC_17104 = 1525
  integer, parameter :: nGC_9370 = 1526
  integer, parameter :: nGC_9377 = 1527
  integer, parameter :: nGC_9376 = 1528
  integer, parameter :: nGC_9375 = 1529
  integer, parameter :: nGC_9379 = 1530
  integer, parameter :: nGC_TS_GC_12_Hh = 1531
  integer, parameter :: nGC_12640 = 1532
  integer, parameter :: nGC_17699 = 1533
  integer, parameter :: nGC_16613 = 1534
  integer, parameter :: nGC_16612 = 1535
  integer, parameter :: nGC_9197 = 1536
  integer, parameter :: nGC_9192 = 1537
  integer, parameter :: nGC_9191 = 1538
  integer, parameter :: nGC_9190 = 1539
  integer, parameter :: nGC_TS_GC_118_Hh = 1540
  integer, parameter :: nGC_TS_GC_14_Hl = 1541
  integer, parameter :: nGC_TS_GC_69_Hh = 1542
  integer, parameter :: nGC_TS_GC_69_Hl = 1543
  integer, parameter :: nGC_TS_GC_188_Hh = 1544
  integer, parameter :: nGC_16507 = 1545
  integer, parameter :: nGC_16506 = 1546
  integer, parameter :: nGC_13566 = 1547
  integer, parameter :: nGC_14924 = 1548
  integer, parameter :: nGC_14927 = 1549
  integer, parameter :: nGC_18118 = 1550
  integer, parameter :: nGC_18115 = 1551
  integer, parameter :: nGC_18116 = 1552
  integer, parameter :: nGC_18117 = 1553
  integer, parameter :: nGC_23891 = 1554
  integer, parameter :: nGC_23890 = 1555
  integer, parameter :: nGC_25013 = 1556
  integer, parameter :: nGC_25015 = 1557
  integer, parameter :: nGC_25014 = 1558
  integer, parameter :: nGC_25017 = 1559
  integer, parameter :: nGC_25016 = 1560
  integer, parameter :: nGC_15669 = 1561
  integer, parameter :: nGC_20847 = 1562
  integer, parameter :: nGC_TS_GC_49_Hl = 1563
  integer, parameter :: nGC_TS_GC_49_Hh = 1564
  integer, parameter :: nGC_19213 = 1565
  integer, parameter :: nGC_14629 = 1566
  integer, parameter :: nGC_1529 = 1567
  integer, parameter :: nGC_8705 = 1568
  integer, parameter :: nGC_15339 = 1569
  integer, parameter :: nGC_15440 = 1570
  integer, parameter :: nGC_14314 = 1571
  integer, parameter :: nGC_12877 = 1572
  integer, parameter :: nGC_14000 = 1573
  integer, parameter :: nGC_8969 = 1574
  integer, parameter :: nGC_8968 = 1575
  integer, parameter :: nGC_12899 = 1576
  integer, parameter :: nGC_20978 = 1577
  integer, parameter :: nGC_8963 = 1578
  integer, parameter :: nGC_8962 = 1579
  integer, parameter :: nGC_8964 = 1580
  integer, parameter :: nGC_8967 = 1581
  integer, parameter :: nGC_8966 = 1582
  integer, parameter :: nGC_5233 = 1583
  integer, parameter :: nGC_5231 = 1584
  integer, parameter :: nGC_TS_GC_108_Hl = 1585
  integer, parameter :: nGC_8819 = 1586
  integer, parameter :: nGC_8818 = 1587
  integer, parameter :: nGC_8815 = 1588
  integer, parameter :: nGC_8817 = 1589
  integer, parameter :: nGC_8810 = 1590
  integer, parameter :: nGC_8760 = 1591
  integer, parameter :: nGC_TS_GC_41_Hl = 1592
  integer, parameter :: nGC_TS_GC_41_Hh = 1593
  integer, parameter :: nGC_12762 = 1594
  integer, parameter :: nGC_12765 = 1595
  integer, parameter :: nGC_13303 = 1596
  integer, parameter :: nGC_9360 = 1597
  integer, parameter :: nGC_9361 = 1598
  integer, parameter :: nGC_9362 = 1599
  integer, parameter :: nGC_9364 = 1600
  integer, parameter :: nGC_9365 = 1601
  integer, parameter :: nGC_9366 = 1602
  integer, parameter :: nGC_9367 = 1603
  integer, parameter :: nGC_9368 = 1604
  integer, parameter :: nGC_9369 = 1605
  integer, parameter :: nGC_12657 = 1606
  integer, parameter :: nGC_12656 = 1607
  integer, parameter :: nGC_12650 = 1608
  integer, parameter :: nGC_12653 = 1609
  integer, parameter :: nGC_13168 = 1610
  integer, parameter :: nGC_9184 = 1611
  integer, parameter :: nGC_9186 = 1612
  integer, parameter :: nGC_9216 = 1613
  integer, parameter :: nGC_9217 = 1614
  integer, parameter :: nGC_9210 = 1615
  integer, parameter :: nGC_9211 = 1616
  integer, parameter :: nGC_9212 = 1617
  integer, parameter :: nGC_TS_GC_28_Hl = 1618
  integer, parameter :: nGC_16080 = 1619
  integer, parameter :: nGC_16081 = 1620
  integer, parameter :: nGC_TS_GC_38_Hh = 1621
  integer, parameter :: nGC_TS_GC_94_Hh = 1622
  integer, parameter :: nGC_TS_GC_94_Hl = 1623
  integer, parameter :: nGC_18946 = 1624
  integer, parameter :: nGC_14838 = 1625
  integer, parameter :: nGC_8820 = 1626
  integer, parameter :: nGC_8793 = 1627
  integer, parameter :: nGC_8822 = 1628
  integer, parameter :: nGC_8791 = 1629
  integer, parameter :: nGC_8796 = 1630
  integer, parameter :: nGC_8825 = 1631
  integer, parameter :: nGC_8826 = 1632
  integer, parameter :: nGC_8827 = 1633
  integer, parameter :: nGC_14633 = 1634
  integer, parameter :: nGC_13919 = 1635
  integer, parameter :: nGC_TS_GC_110_Hl = 1636
  integer, parameter :: nGC_13686 = 1637
  integer, parameter :: nGC_15549 = 1638
  integer, parameter :: nGC_14677 = 1639
  integer, parameter :: nGC_14123 = 1640
  integer, parameter :: nGC_14125 = 1641
  integer, parameter :: nGC_14126 = 1642
  integer, parameter :: nGC_13467 = 1643
  integer, parameter :: nGC_13466 = 1644
  integer, parameter :: nGC_827 = 1645
  integer, parameter :: nGC_18259 = 1646
  integer, parameter :: nGC_18258 = 1647
  integer, parameter :: nGC_13867 = 1648
  integer, parameter :: nGC_18257 = 1649
  integer, parameter :: nGC_13047 = 1650
  integer, parameter :: nGC_13044 = 1651
  integer, parameter :: nGC_14547 = 1652
  integer, parameter :: nGC_13041 = 1653
  integer, parameter :: nGC_14544 = 1654
  integer, parameter :: nGC_9513 = 1655
  integer, parameter :: nGC_9512 = 1656
  integer, parameter :: nGC_9511 = 1657
  integer, parameter :: nGC_9510 = 1658
  integer, parameter :: nGC_9517 = 1659
  integer, parameter :: nGC_9516 = 1660
  integer, parameter :: nGC_13261 = 1661
  integer, parameter :: nGC_9519 = 1662
  integer, parameter :: nGC_9518 = 1663
  integer, parameter :: nGC_1061 = 1664
  integer, parameter :: nGC_12790 = 1665
  integer, parameter :: nGC_8808 = 1666
  integer, parameter :: nGC_8809 = 1667
  integer, parameter :: nGC_9371 = 1668
  integer, parameter :: nGC_TS_GC_68_Hh = 1669
  integer, parameter :: nGC_17105 = 1670
  integer, parameter :: nGC_TS_GC_68_Hl = 1671
  integer, parameter :: nGC_13313 = 1672
  integer, parameter :: nGC_13312 = 1673
  integer, parameter :: nGC_17103 = 1674
  integer, parameter :: nGC_9359 = 1675
  integer, parameter :: nGC_9429 = 1676
  integer, parameter :: nGC_9428 = 1677
  integer, parameter :: nGC_9355 = 1678
  integer, parameter :: nGC_9354 = 1679
  integer, parameter :: nGC_9425 = 1680
  integer, parameter :: nGC_9424 = 1681
  integer, parameter :: nGC_9423 = 1682
  integer, parameter :: nGC_9353 = 1683
  integer, parameter :: nGC_9420 = 1684
  integer, parameter :: nGC_8976 = 1685
  integer, parameter :: nGC_8974 = 1686
  integer, parameter :: nGC_8975 = 1687
  integer, parameter :: nGC_8972 = 1688
  integer, parameter :: nGC_8973 = 1689
  integer, parameter :: nGC_8970 = 1690
  integer, parameter :: nGC_8971 = 1691
  integer, parameter :: nGC_8978 = 1692
  integer, parameter :: nGC_8979 = 1693
  integer, parameter :: nGC_TS_GC_40_Hh = 1694
  integer, parameter :: nGC_TS_GC_40_Hl = 1695
  integer, parameter :: nGC_9500 = 1696
  integer, parameter :: nGC_TS_GC_157_Hh = 1697
  integer, parameter :: nGC_24499 = 1698
  integer, parameter :: nGC_TS_GC_119_Hl = 1699
  integer, parameter :: nGC_16093 = 1700
  integer, parameter :: nGC_16563 = 1701
  integer, parameter :: nGC_16561 = 1702
  integer, parameter :: nGC_17941 = 1703
  integer, parameter :: nGC_17415 = 1704
  integer, parameter :: nGC_14801 = 1705
  integer, parameter :: nGC_24531 = 1706
  integer, parameter :: nGC_14808 = 1707
  integer, parameter :: nGC_23926 = 1708
  integer, parameter :: nGC_9509 = 1709
  integer, parameter :: nGC_13677 = 1710
  integer, parameter :: nGC_13678 = 1711
  integer, parameter :: nGC_TS_GC_61_Hh = 1712
  integer, parameter :: nGC_TS_GC_61_Hl = 1713
  integer, parameter :: nGC_19301 = 1714
  integer, parameter :: nGC_15311 = 1715
  integer, parameter :: nGC_15314 = 1716
  integer, parameter :: nGC_781 = 1717
  integer, parameter :: nGC_14372 = 1718
  integer, parameter :: nGC_TS_GC_31_Hl = 1719
  integer, parameter :: nGC_13418 = 1720
  integer, parameter :: nGC_13899 = 1721
  integer, parameter :: nGC_18265 = 1722
  integer, parameter :: nGC_13070 = 1723
  integer, parameter :: nGC_13074 = 1724
  integer, parameter :: nGC_13079 = 1725
  integer, parameter :: nGC_14570 = 1726
  integer, parameter :: nGC_TS_GC_48_Hh = 1727
  integer, parameter :: nGC_23113 = 1728
  integer, parameter :: nGC_14202 = 1729
  integer, parameter :: nGC_13256 = 1730
  integer, parameter :: nGC_13098 = 1731
  integer, parameter :: nGC_9501 = 1732
  integer, parameter :: nGC_9502 = 1733
  integer, parameter :: nGC_9507 = 1734
  integer, parameter :: nGC_9508 = 1735
  integer, parameter :: nGC_13091 = 1736
  integer, parameter :: nGC_13097 = 1737
  integer, parameter :: nGC_12787 = 1738
  integer, parameter :: nGC_12784 = 1739
  integer, parameter :: nGC_12780 = 1740
  integer, parameter :: nGC_8749 = 1741
  integer, parameter :: nGC_8748 = 1742
  integer, parameter :: nGC_8741 = 1743
  integer, parameter :: nGC_8740 = 1744
  integer, parameter :: nGC_8743 = 1745
  integer, parameter :: nGC_8742 = 1746
  integer, parameter :: nGC_8745 = 1747
  integer, parameter :: nGC_8744 = 1748
  integer, parameter :: nGC_8747 = 1749
  integer, parameter :: nGC_8746 = 1750
  integer, parameter :: nGC_TS_GC_37_Hh = 1751
  integer, parameter :: nGC_TS_GC_37_Hl = 1752
  integer, parameter :: nGC_13325 = 1753
  integer, parameter :: nGC_9348 = 1754
  integer, parameter :: nGC_9349 = 1755
  integer, parameter :: nGC_9439 = 1756
  integer, parameter :: nGC_9434 = 1757
  integer, parameter :: nGC_9343 = 1758
  integer, parameter :: nGC_9340 = 1759
  integer, parameter :: nGC_9341 = 1760
  integer, parameter :: nGC_9430 = 1761
  integer, parameter :: nGC_9347 = 1762
  integer, parameter :: nGC_9344 = 1763
  integer, parameter :: nGC_9433 = 1764
  integer, parameter :: nGC_8902 = 1765
  integer, parameter :: nGC_8900 = 1766
  integer, parameter :: nGC_8907 = 1767
  integer, parameter :: nGC_8906 = 1768
  integer, parameter :: nGC_8905 = 1769
  integer, parameter :: nGC_8904 = 1770
  integer, parameter :: nGC_8909 = 1771
  integer, parameter :: nGC_8908 = 1772
  integer, parameter :: nGC_TS_GC_27_Hh = 1773
  integer, parameter :: nGC_9236 = 1774
  integer, parameter :: nGC_9237 = 1775
  integer, parameter :: nGC_9232 = 1776
  integer, parameter :: nGC_9233 = 1777
  integer, parameter :: nGC_9231 = 1778
  integer, parameter :: nGC_9238 = 1779
  integer, parameter :: nGC_9239 = 1780
  integer, parameter :: nGC_23260 = 1781
  integer, parameter :: nGC_16959 = 1782
  integer, parameter :: nGC_16554 = 1783
  integer, parameter :: nGC_16559 = 1784
  integer, parameter :: nGC_TS_GC_29_Hh = 1785
  integer, parameter :: nGC_9650 = 1786
  integer, parameter :: nGC_31266 = 1787
  integer, parameter :: nGC_17310 = 1788
  integer, parameter :: nGC_TS_GC_66_Hh = 1789
  integer, parameter :: nGC_12669 = 1790
  integer, parameter :: nGC_9415 = 1791
  integer, parameter :: nGC_17406 = 1792
  integer, parameter :: nGC_9102 = 1793
  integer, parameter :: nGC_9103 = 1794
  integer, parameter :: nGC_15142 = 1795
  integer, parameter :: nGC_15143 = 1796
  integer, parameter :: nGC_15762 = 1797
  integer, parameter :: nGC_15764 = 1798
  integer, parameter :: nGC_14789 = 1799
  integer, parameter :: nGC_15490 = 1800
  integer, parameter :: nGC_797 = 1801
  integer, parameter :: nGC_14786 = 1802
  integer, parameter :: nGC_1913 = 1803
  integer, parameter :: nGC_13795 = 1804
  integer, parameter :: nGC_13882 = 1805
  integer, parameter :: nGC_13881 = 1806
  integer, parameter :: nGC_14567 = 1807
  integer, parameter :: nGC_13062 = 1808
  integer, parameter :: nGC_13538 = 1809
  integer, parameter :: nGC_13249 = 1810
  integer, parameter :: nGC_8756 = 1811
  integer, parameter :: nGC_8757 = 1812
  integer, parameter :: nGC_8755 = 1813
  integer, parameter :: nGC_8752 = 1814
  integer, parameter :: nGC_8753 = 1815
  integer, parameter :: nGC_8750 = 1816
  integer, parameter :: nGC_8751 = 1817
  integer, parameter :: nGC_8758 = 1818
  integer, parameter :: nGC_8759 = 1819
  integer, parameter :: nGC_12935 = 1820
  integer, parameter :: nGC_12753 = 1821
  integer, parameter :: nGC_9409 = 1822
  integer, parameter :: nGC_9401 = 1823
  integer, parameter :: nGC_9400 = 1824
  integer, parameter :: nGC_9402 = 1825
  integer, parameter :: nGC_9405 = 1826
  integer, parameter :: nGC_9406 = 1827
  integer, parameter :: nGC_12686 = 1828
  integer, parameter :: nGC_TS_GC_117_Hh = 1829
  integer, parameter :: nGC_8913 = 1830
  integer, parameter :: nGC_12682 = 1831
  integer, parameter :: nGC_8915 = 1832
  integer, parameter :: nGC_8917 = 1833
  integer, parameter :: nGC_8918 = 1834
  integer, parameter :: nGC_8919 = 1835
  integer, parameter :: nGC_9391 = 1836
  integer, parameter :: nGC_9390 = 1837
  integer, parameter :: nGC_9392 = 1838
  integer, parameter :: nGC_9395 = 1839
  integer, parameter :: nGC_9394 = 1840
  integer, parameter :: nGC_9397 = 1841
  integer, parameter :: nGC_9396 = 1842
  integer, parameter :: nGC_9399 = 1843
  integer, parameter :: nGC_9398 = 1844
  integer, parameter :: nGC_9243 = 1845
  integer, parameter :: nGC_9242 = 1846
  integer, parameter :: nGC_9241 = 1847
  integer, parameter :: nGC_9240 = 1848
  integer, parameter :: nGC_9247 = 1849
  integer, parameter :: nGC_9245 = 1850
  integer, parameter :: nGC_9249 = 1851
  integer, parameter :: nGC_9248 = 1852
  integer, parameter :: nGC_19791 = 1853
  integer, parameter :: nGC_9257 = 1854
  integer, parameter :: nGC_16437 = 1855
  integer, parameter :: nGC_17439 = 1856
  integer, parameter :: nGC_17434 = 1857
  integer, parameter :: nGC_16129 = 1858
  integer, parameter :: nGC_16128 = 1859
  integer, parameter :: nGC_20802 = 1860
  integer, parameter :: nGC_15020 = 1861
  integer, parameter :: nGC_TS_GC_116_Hh = 1862
  integer, parameter :: nGC_20975 = 1863
  integer, parameter :: nGC_15153 = 1864
  integer, parameter :: nGC_15157 = 1865
  integer, parameter :: nGC_TS_GC_149_Hh = 1866
  integer, parameter :: nGC_15773 = 1867
  integer, parameter :: nGC_15775 = 1868
  integer, parameter :: nGC_15377 = 1869
  integer, parameter :: nGC_15378 = 1870
  integer, parameter :: nGC_TS_GC_48_Hl = 1871
  integer, parameter :: nGC_14514 = 1872
  integer, parameter :: nGC_14516 = 1873
  integer, parameter :: nGC_14517 = 1874
  integer, parameter :: nGC_14518 = 1875
  integer, parameter :: nGC_TS_GC_30_Hl = 1876
  integer, parameter :: nGC_9520 = 1877
  integer, parameter :: nGC_8723 = 1878
  integer, parameter :: nGC_8722 = 1879
  integer, parameter :: nGC_8721 = 1880
  integer, parameter :: nGC_8726 = 1881
  integer, parameter :: nGC_8725 = 1882
  integer, parameter :: nGC_8724 = 1883
  integer, parameter :: nGC_12927 = 1884
  integer, parameter :: nGC_13435 = 1885
  integer, parameter :: nGC_12748 = 1886
  integer, parameter :: nGC_20059 = 1887
  integer, parameter :: nGC_12743 = 1888
  integer, parameter :: nGC_12740 = 1889
  integer, parameter :: nGC_9416 = 1890
  integer, parameter :: nGC_9417 = 1891
  integer, parameter :: nGC_13346 = 1892
  integer, parameter :: nGC_13347 = 1893
  integer, parameter :: nGC_9412 = 1894
  integer, parameter :: nGC_9410 = 1895
  integer, parameter :: nGC_9411 = 1896
  integer, parameter :: nGC_13348 = 1897
  integer, parameter :: nGC_13349 = 1898
  integer, parameter :: nGC_9418 = 1899
  integer, parameter :: nGC_9419 = 1900
  integer, parameter :: nGC_12699 = 1901
  integer, parameter :: nGC_12690 = 1902
  integer, parameter :: nGC_8929 = 1903
  integer, parameter :: nGC_8928 = 1904
  integer, parameter :: nGC_8927 = 1905
  integer, parameter :: nGC_8921 = 1906
  integer, parameter :: nGC_8920 = 1907
  integer, parameter :: nGC_8922 = 1908
  integer, parameter :: nGC_9389 = 1909
  integer, parameter :: nGC_9386 = 1910
  integer, parameter :: nGC_9387 = 1911
  integer, parameter :: nGC_9384 = 1912
  integer, parameter :: nGC_9385 = 1913
  integer, parameter :: nGC_9382 = 1914
  integer, parameter :: nGC_9383 = 1915
  integer, parameter :: nGC_9380 = 1916
  integer, parameter :: nGC_9381 = 1917
  integer, parameter :: nGC_9255 = 1918
  integer, parameter :: nGC_9256 = 1919
  integer, parameter :: nGC_TS_GC_124_Hl = 1920
  integer, parameter :: nGC_9258 = 1921
  integer, parameter :: nGC_9259 = 1922
  integer, parameter :: nGC_9095 = 1923
  integer, parameter :: nGC_TS_GC_11_Hl = 1924
  integer, parameter :: nGC_15971 = 1925
  integer, parameter :: nGC_17339 = 1926
  integer, parameter :: nGC_17338 = 1927
  integer, parameter :: nGC_17337 = 1928
  integer, parameter :: nGC_13901 = 1929
  integer, parameter :: nGC_16444 = 1930
  integer, parameter :: nGC_16445 = 1931
  integer, parameter :: nGC_16440 = 1932
  integer, parameter :: nGC_15018 = 1933
  integer, parameter :: nGC_15019 = 1934
  integer, parameter :: nGC_15349 = 1935
  integer, parameter :: nGC_15347 = 1936
  integer, parameter :: nGC_14183 = 1937
  integer, parameter :: nGC_14186 = 1938
  integer, parameter :: nGC_14185 = 1939
  integer, parameter :: nGC_14184 = 1940
  integer, parameter :: nGC_18712 = 1941
  integer, parameter :: nGC_14504 = 1942
  integer, parameter :: nGC_13643 = 1943
  integer, parameter :: nGC_13642 = 1944
  integer, parameter :: nGC_14508 = 1945
  integer, parameter :: nGC_9432 = 1946
  integer, parameter :: nGC_8730 = 1947
  integer, parameter :: nGC_8731 = 1948
  integer, parameter :: nGC_8732 = 1949
  integer, parameter :: nGC_8733 = 1950
  integer, parameter :: nGC_8734 = 1951
  integer, parameter :: nGC_8735 = 1952
  integer, parameter :: nGC_8736 = 1953
  integer, parameter :: nGC_8737 = 1954
  integer, parameter :: nGC_8738 = 1955
  integer, parameter :: nGC_8739 = 1956
  integer, parameter :: nGC_12916 = 1957
  integer, parameter :: nGC_12917 = 1958
  integer, parameter :: nGC_12911 = 1959
  integer, parameter :: nGC_13422 = 1960
  integer, parameter :: nGC_12777 = 1961
  integer, parameter :: nGC_12772 = 1962
  integer, parameter :: nGC_13357 = 1963
  integer, parameter :: nGC_9461 = 1964
  integer, parameter :: nGC_13354 = 1965
  integer, parameter :: nGC_9467 = 1966
  integer, parameter :: nGC_9466 = 1967
  integer, parameter :: nGC_9465 = 1968
  integer, parameter :: nGC_9464 = 1969
  integer, parameter :: nGC_9469 = 1970
  integer, parameter :: nGC_8938 = 1971
  integer, parameter :: nGC_8939 = 1972
  integer, parameter :: nGC_8930 = 1973
  integer, parameter :: nGC_8936 = 1974
  integer, parameter :: nGC_8937 = 1975
  integer, parameter :: nGC_8934 = 1976
  integer, parameter :: nGC_8935 = 1977
  integer, parameter :: nGC_16323 = 1978
  integer, parameter :: nGC_9265 = 1979
  integer, parameter :: nGC_9264 = 1980
  integer, parameter :: nGC_9267 = 1981
  integer, parameter :: nGC_9266 = 1982
  integer, parameter :: nGC_9261 = 1983
  integer, parameter :: nGC_9263 = 1984
  integer, parameter :: nGC_9262 = 1985
  integer, parameter :: nGC_9069 = 1986
  integer, parameter :: nGC_9068 = 1987
  integer, parameter :: nGC_9067 = 1988
  integer, parameter :: nGC_9066 = 1989
  integer, parameter :: nGC_9065 = 1990
  integer, parameter :: nGC_9064 = 1991
  integer, parameter :: nGC_9063 = 1992
  integer, parameter :: nGC_9062 = 1993
  integer, parameter :: nGC_9061 = 1994
  integer, parameter :: nGC_9060 = 1995
  integer, parameter :: nGC_9287 = 1996
  integer, parameter :: nGC_9286 = 1997
  integer, parameter :: nGC_9285 = 1998
  integer, parameter :: nGC_9283 = 1999
  integer, parameter :: nGC_9281 = 2000
  integer, parameter :: nGC_9289 = 2001
  integer, parameter :: nGC_9288 = 2002
  integer, parameter :: nGC_15900 = 2003
  integer, parameter :: nGC_14983 = 2004
  integer, parameter :: nGC_14986 = 2005
  integer, parameter :: nGC_14985 = 2006
  integer, parameter :: nGC_14984 = 2007
  integer, parameter :: nGC_16105 = 2008
  integer, parameter :: nGC_16107 = 2009
  integer, parameter :: nGC_16106 = 2010
  integer, parameter :: nGC_9110 = 2011
  integer, parameter :: nGC_TS_GC_195_Hh = 2012
  integer, parameter :: nGC_13352 = 2013
  integer, parameter :: nGC_16079 = 2014
  integer, parameter :: nGC_9198 = 2015
  integer, parameter :: nGC_9336 = 2016
  integer, parameter :: nGC_TS_GC_26_Hl = 2017
  integer, parameter :: nGC_TS_GC_26_Hh = 2018
  integer, parameter :: nGC_TS_GC_109_Hl = 2019
  integer, parameter :: nGC_13747 = 2020
  integer, parameter :: nGC_13748 = 2021
  integer, parameter :: nGC_12973 = 2022
  integer, parameter :: nGC_19299 = 2023
  integer, parameter :: nGC_13982 = 2024
  integer, parameter :: nGC_13631 = 2025
  integer, parameter :: nGC_13984 = 2026
  integer, parameter :: nGC_13292 = 2027
  integer, parameter :: nGC_13293 = 2028
  integer, parameter :: nGC_13290 = 2029
  integer, parameter :: nGC_13291 = 2030
  integer, parameter :: nGC_21863 = 2031
  integer, parameter :: nGC_21865 = 2032
  integer, parameter :: nGC_TS_GC_184_Hl = 2033
  integer, parameter :: nGC_8708 = 2034
  integer, parameter :: nGC_12901 = 2035
  integer, parameter :: nGC_8704 = 2036
  integer, parameter :: nGC_8706 = 2037
  integer, parameter :: nGC_8701 = 2038
  integer, parameter :: nGC_8703 = 2039
  integer, parameter :: nGC_8702 = 2040
  integer, parameter :: nGC_13182 = 2041
  integer, parameter :: nGC_13183 = 2042
  integer, parameter :: nGC_13184 = 2043
  integer, parameter :: nGC_14409 = 2044
  integer, parameter :: nGC_19125 = 2045
  integer, parameter :: nGC_8895 = 2046
  integer, parameter :: nGC_8897 = 2047
  integer, parameter :: nGC_13369 = 2048
  integer, parameter :: nGC_8890 = 2049
  integer, parameter :: nGC_8893 = 2050
  integer, parameter :: nGC_8892 = 2051
  integer, parameter :: nGC_8899 = 2052
  integer, parameter :: nGC_8898 = 2053
  integer, parameter :: nGC_9470 = 2054
  integer, parameter :: nGC_9471 = 2055
  integer, parameter :: nGC_9472 = 2056
  integer, parameter :: nGC_9473 = 2057
  integer, parameter :: nGC_9474 = 2058
  integer, parameter :: nGC_9475 = 2059
  integer, parameter :: nGC_9477 = 2060
  integer, parameter :: nGC_9478 = 2061
  integer, parameter :: nGC_9479 = 2062
  integer, parameter :: nGC_12712 = 2063
  integer, parameter :: nGC_8885 = 2064
  integer, parameter :: nGC_8961 = 2065
  integer, parameter :: nGC_12894 = 2066
  integer, parameter :: nGC_9278 = 2067
  integer, parameter :: nGC_9279 = 2068
  integer, parameter :: nGC_9272 = 2069
  integer, parameter :: nGC_9273 = 2070
  integer, parameter :: nGC_9270 = 2071
  integer, parameter :: nGC_9271 = 2072
  integer, parameter :: nGC_9276 = 2073
  integer, parameter :: nGC_9277 = 2074
  integer, parameter :: nGC_9274 = 2075
  integer, parameter :: nGC_9275 = 2076
  integer, parameter :: nGC_9074 = 2077
  integer, parameter :: nGC_9075 = 2078
  integer, parameter :: nGC_9076 = 2079
  integer, parameter :: nGC_9077 = 2080
  integer, parameter :: nGC_9070 = 2081
  integer, parameter :: nGC_9071 = 2082
  integer, parameter :: nGC_9072 = 2083
  integer, parameter :: nGC_9073 = 2084
  integer, parameter :: nGC_9294 = 2085
  integer, parameter :: nGC_9295 = 2086
  integer, parameter :: nGC_9296 = 2087
  integer, parameter :: nGC_9297 = 2088
  integer, parameter :: nGC_9290 = 2089
  integer, parameter :: nGC_9291 = 2090
  integer, parameter :: nGC_9292 = 2091
  integer, parameter :: nGC_9293 = 2092
  integer, parameter :: nGC_9298 = 2093
  integer, parameter :: nGC_9299 = 2094
  integer, parameter :: nGC_TS_GC_10_Hl = 2095
  integer, parameter :: nGC_TS_GC_10_Hh = 2096
  integer, parameter :: nGC_16460 = 2097
  integer, parameter :: nGC_9150 = 2098
  integer, parameter :: nGC_16464 = 2099
  integer, parameter :: nGC_16465 = 2100
  integer, parameter :: nGC_9157 = 2101
  integer, parameter :: nGC_16663 = 2102
  integer, parameter :: nGC_17440 = 2103
  integer, parameter :: nGC_16668 = 2104
  integer, parameter :: nGC_16669 = 2105
  integer, parameter :: nGC_8766 = 2106
  integer, parameter :: nGC_15291 = 2107
  integer, parameter :: nGC_8816 = 2108
  integer, parameter :: nGC_8762 = 2109
  integer, parameter :: nGC_8761 = 2110
  integer, parameter :: nGC_8812 = 2111
  integer, parameter :: nGC_30427 = 2112
  integer, parameter :: nGC_18180 = 2113
  integer, parameter :: nGC_13757 = 2114
  integer, parameter :: nGC_TS_GC_39_Hl = 2115
  integer, parameter :: nGC_14521 = 2116
  integer, parameter :: nGC_13620 = 2117
  integer, parameter :: nGC_13571 = 2118
  integer, parameter :: nGC_13579 = 2119
  integer, parameter :: nGC_13030 = 2120
  integer, parameter :: nGC_8714 = 2121
  integer, parameter :: nGC_8715 = 2122
  integer, parameter :: nGC_13194 = 2123
  integer, parameter :: nGC_22274 = 2124
  integer, parameter :: nGC_8882 = 2125
  integer, parameter :: nGC_8883 = 2126
  integer, parameter :: nGC_8880 = 2127
  integer, parameter :: nGC_12717 = 2128
  integer, parameter :: nGC_8887 = 2129
  integer, parameter :: nGC_8884 = 2130
  integer, parameter :: nGC_12713 = 2131
  integer, parameter :: nGC_8888 = 2132
  integer, parameter :: nGC_8889 = 2133
  integer, parameter :: nGC_12718 = 2134
  integer, parameter :: nGC_12719 = 2135
  integer, parameter :: nGC_9444 = 2136
  integer, parameter :: nGC_9441 = 2137
  integer, parameter :: nGC_9440 = 2138
  integer, parameter :: nGC_9443 = 2139
  integer, parameter :: nGC_9442 = 2140
  integer, parameter :: nGC_1313 = 2141
  integer, parameter :: nGC_12806 = 2142
  integer, parameter :: nGC_12807 = 2143
  integer, parameter :: nGC_12808 = 2144
  integer, parameter :: nGC_12629 = 2145
  integer, parameter :: nGC_9049 = 2146
  integer, parameter :: nGC_23703 = 2147
  integer, parameter :: nGC_9048 = 2148
  integer, parameter :: nGC_TS_GC_104_Hl = 2149
  integer, parameter :: nGC_9041 = 2150
  integer, parameter :: nGC_9040 = 2151
  integer, parameter :: nGC_9043 = 2152
  integer, parameter :: nGC_9042 = 2153
  integer, parameter :: nGC_9045 = 2154
  integer, parameter :: nGC_9044 = 2155
  integer, parameter :: nGC_9047 = 2156
  integer, parameter :: nGC_9046 = 2157
  integer, parameter :: nGC_16472 = 2158
  integer, parameter :: nGC_9131 = 2159
  integer, parameter :: nGC_9130 = 2160
  integer, parameter :: nGC_9133 = 2161
  integer, parameter :: nGC_9135 = 2162
  integer, parameter :: nGC_9134 = 2163
  integer, parameter :: nGC_9137 = 2164
  integer, parameter :: nGC_9136 = 2165
  integer, parameter :: nGC_9139 = 2166
  integer, parameter :: nGC_9138 = 2167
  integer, parameter :: nGC_29283 = 2168
  integer, parameter :: nGC_15281 = 2169
  integer, parameter :: nGC_13451 = 2170
  integer, parameter :: nGC_14085 = 2171
  integer, parameter :: nGC_13616 = 2172
  integer, parameter :: nGC_14646 = 2173
  integer, parameter :: nGC_14065 = 2174
  integer, parameter :: nGC_21841 = 2175
  integer, parameter :: nGC_12968 = 2176
  integer, parameter :: nGC_12964 = 2177
  integer, parameter :: nGC_14396 = 2178
  integer, parameter :: nGC_14397 = 2179
  integer, parameter :: nGC_14395 = 2180
  integer, parameter :: nGC_14398 = 2181
  integer, parameter :: nGC_13382 = 2182
  integer, parameter :: nGC_13383 = 2183
  integer, parameter :: nGC_13384 = 2184
  integer, parameter :: nGC_13385 = 2185
  integer, parameter :: nGC_8879 = 2186
  integer, parameter :: nGC_8878 = 2187
  integer, parameter :: nGC_8877 = 2188
  integer, parameter :: nGC_8876 = 2189
  integer, parameter :: nGC_8875 = 2190
  integer, parameter :: nGC_8874 = 2191
  integer, parameter :: nGC_8873 = 2192
  integer, parameter :: nGC_8872 = 2193
  integer, parameter :: nGC_8871 = 2194
  integer, parameter :: nGC_8870 = 2195
  integer, parameter :: nGC_9454 = 2196
  integer, parameter :: nGC_12635 = 2197
  integer, parameter :: nGC_8988 = 2198
  integer, parameter :: nGC_8983 = 2199
  integer, parameter :: nGC_8982 = 2200
  integer, parameter :: nGC_8981 = 2201
  integer, parameter :: nGC_8980 = 2202
  integer, parameter :: nGC_8987 = 2203
  integer, parameter :: nGC_8986 = 2204
  integer, parameter :: nGC_8985 = 2205
  integer, parameter :: nGC_8984 = 2206
  integer, parameter :: nGC_9056 = 2207
  integer, parameter :: nGC_9057 = 2208
  integer, parameter :: nGC_9054 = 2209
  integer, parameter :: nGC_9055 = 2210
  integer, parameter :: nGC_9052 = 2211
  integer, parameter :: nGC_9053 = 2212
  integer, parameter :: nGC_9050 = 2213
  integer, parameter :: nGC_9058 = 2214
  integer, parameter :: nGC_9059 = 2215
  integer, parameter :: nGC_18897 = 2216
  integer, parameter :: nGC_20393 = 2217
  integer, parameter :: nGC_TS_GC_105_Hh = 2218
  integer, parameter :: nGC_12678 = 2219
  integer, parameter :: nGC_9460 = 2220
  integer, parameter :: nGC_16642 = 2221
  integer, parameter :: nGC_16643 = 2222
  integer, parameter :: nGC_9128 = 2223
  integer, parameter :: nGC_9129 = 2224
  integer, parameter :: nGC_9126 = 2225
  integer, parameter :: nGC_13217 = 2226
  integer, parameter :: nGC_TS_GC_121_Hh = 2227
  integer, parameter :: nGC_9132 = 2228
  integer, parameter :: nGC_29453 = 2229
  integer, parameter :: nGC_16666 = 2230
  integer, parameter :: nGC_20410 = 2231
  integer, parameter :: nGC_20411 = 2232
  integer, parameter :: nGC_21274 = 2233
  integer, parameter :: nGC_8833 = 2234
  integer, parameter :: nGC_8832 = 2235
  integer, parameter :: nGC_14895 = 2236
  integer, parameter :: nGC_15634 = 2237
  integer, parameter :: nGC_15635 = 2238
  integer, parameter :: nGC_15632 = 2239
  integer, parameter :: nGC_15633 = 2240
  integer, parameter :: nGC_13562 = 2241
  integer, parameter :: nGC_8835 = 2242
  integer, parameter :: nGC_8782 = 2243
  integer, parameter :: nGC_14652 = 2244
  integer, parameter :: nGC_14651 = 2245
  integer, parameter :: nGC_15705 = 2246
  integer, parameter :: nGC_14078 = 2247
  integer, parameter :: nGC_14072 = 2248
  integer, parameter :: nGC_14070 = 2249
  integer, parameter :: nGC_14074 = 2250
  integer, parameter :: nGC_TS_GC_128_Hl = 2251
  integer, parameter :: nGC_14479 = 2252
  integer, parameter :: nGC_8868 = 2253
  integer, parameter :: nGC_8869 = 2254
  integer, parameter :: nGC_8864 = 2255
  integer, parameter :: nGC_8865 = 2256
  integer, parameter :: nGC_8866 = 2257
  integer, parameter :: nGC_8867 = 2258
  integer, parameter :: nGC_8860 = 2259
  integer, parameter :: nGC_8861 = 2260
  integer, parameter :: nGC_8862 = 2261
  integer, parameter :: nGC_8863 = 2262
  integer, parameter :: nGC_13158 = 2263
  integer, parameter :: nGC_23036 = 2264
  integer, parameter :: nGC_23033 = 2265
  integer, parameter :: nGC_23038 = 2266
  integer, parameter :: nGC_14279 = 2267
  integer, parameter :: nGC_14278 = 2268
  integer, parameter :: nGC_13555 = 2269
  integer, parameter :: nGC_13554 = 2270
  integer, parameter :: nGC_14277 = 2271
  integer, parameter :: nGC_14276 = 2272
  integer, parameter :: nGC_13553 = 2273
  integer, parameter :: nGC_8998 = 2274
  integer, parameter :: nGC_8999 = 2275
  integer, parameter :: nGC_8990 = 2276
  integer, parameter :: nGC_8991 = 2277
  integer, parameter :: nGC_8992 = 2278
  integer, parameter :: nGC_8993 = 2279
  integer, parameter :: nGC_8994 = 2280
  integer, parameter :: nGC_8995 = 2281
  integer, parameter :: nGC_8996 = 2282
  integer, parameter :: nGC_8997 = 2283
  integer, parameter :: nGC_9023 = 2284
  integer, parameter :: nGC_9022 = 2285
  integer, parameter :: nGC_9027 = 2286
  integer, parameter :: nGC_9026 = 2287
  integer, parameter :: nGC_9025 = 2288
  integer, parameter :: nGC_9024 = 2289
  integer, parameter :: nGC_9029 = 2290
  integer, parameter :: nGC_9028 = 2291
  integer, parameter :: nGC_12733 = 2292
  integer, parameter :: nGC_12736 = 2293
  integer, parameter :: nGC_12737 = 2294
  integer, parameter :: nGC_9269 = 2295
  integer, parameter :: nGC_17380 = 2296
  integer, parameter :: nGC_17381 = 2297
  integer, parameter :: nGC_9268 = 2298
  integer, parameter :: nGC_9487 = 2299
  integer, parameter :: nGC_9338 = 2300
  integer, parameter :: nGC_9337 = 2301
  integer, parameter :: nGC_9488 = 2302
  integer, parameter :: nGC_9334 = 2303
  integer, parameter :: nGC_9332 = 2304
  integer, parameter :: nGC_17817 = 2305
  integer, parameter :: nGC_24344 = 2306
  integer, parameter :: nGC_24341 = 2307
  integer, parameter :: nGC_9149 = 2308
  integer, parameter :: nGC_9158 = 2309
  integer, parameter :: nGC_9153 = 2310
  integer, parameter :: nGC_9152 = 2311
  integer, parameter :: nGC_17254 = 2312
  integer, parameter :: nGC_17252 = 2313
  integer, parameter :: nGC_9156 = 2314
  integer, parameter :: nGC_9155 = 2315
  integer, parameter :: nGC_17251 = 2316
  integer, parameter :: nGC_17929 = 2317
  integer, parameter :: nGC_TS_GC_130_Hl = 2318
  integer, parameter :: nGC_TS_GC_112_Hh = 2319
  integer, parameter :: nGC_16819 = 2320
  integer, parameter :: nGC_20409 = 2321
  integer, parameter :: nGC_15138 = 2322
  integer, parameter :: nGC_16729 = 2323
  integer, parameter :: nGC_15393 = 2324
  integer, parameter :: nGC_TS_GC_9_Hl = 2325
  integer, parameter :: nGC_TS_GC_9_Hh = 2326
  integer, parameter :: nGC_15403 = 2327
  integer, parameter :: nGC_15402 = 2328
  integer, parameter :: nGC_15405 = 2329
  integer, parameter :: nGC_15404 = 2330
  integer, parameter :: nGC_15409 = 2331
  integer, parameter :: nGC_14663 = 2332
  integer, parameter :: nGC_13011 = 2333
  integer, parameter :: nGC_12941 = 2334
  integer, parameter :: nGC_12948 = 2335
  integer, parameter :: nGC_13708 = 2336
  integer, parameter :: nGC_19363 = 2337
  integer, parameter :: nGC_19364 = 2338
  integer, parameter :: nGC_19365 = 2339
  integer, parameter :: nGC_19366 = 2340
  integer, parameter :: nGC_8859 = 2341
  integer, parameter :: nGC_8858 = 2342
  integer, parameter :: nGC_8851 = 2343
  integer, parameter :: nGC_8850 = 2344
  integer, parameter :: nGC_8853 = 2345
  integer, parameter :: nGC_8852 = 2346
  integer, parameter :: nGC_8855 = 2347
  integer, parameter :: nGC_8854 = 2348
  integer, parameter :: nGC_8857 = 2349
  integer, parameter :: nGC_8856 = 2350
  integer, parameter :: nGC_877 = 2351
  integer, parameter :: nGC_TS_GC_106_Hh = 2352
  integer, parameter :: nGC_12837 = 2353
  integer, parameter :: nGC_TS_GC_106_Hl = 2354
  integer, parameter :: nGC_13238 = 2355
  integer, parameter :: nGC_13234 = 2356
  integer, parameter :: nGC_9030 = 2357
  integer, parameter :: nGC_9031 = 2358
  integer, parameter :: nGC_9033 = 2359
  integer, parameter :: nGC_12720 = 2360
  integer, parameter :: nGC_9328 = 2361
  integer, parameter :: nGC_9329 = 2362
  integer, parameter :: nGC_9496 = 2363
  integer, parameter :: nGC_9325 = 2364
  integer, parameter :: nGC_9327 = 2365
  integer, parameter :: nGC_9490 = 2366
  integer, parameter :: nGC_9323 = 2367
  integer, parameter :: nGC_20060 = 2368
  integer, parameter :: nGC_9148 = 2369
  integer, parameter :: nGC_17712 = 2370
  integer, parameter :: nGC_9140 = 2371
  integer, parameter :: nGC_9141 = 2372
  integer, parameter :: nGC_9142 = 2373
  integer, parameter :: nGC_9143 = 2374
  integer, parameter :: nGC_9144 = 2375
  integer, parameter :: nGC_9145 = 2376
  integer, parameter :: nGC_9146 = 2377
  integer, parameter :: nGC_9147 = 2378
  integer, parameter :: nGC_31530 = 2379
  integer, parameter :: nGC_17932 = 2380
  integer, parameter :: nGC_17930 = 2381
  integer, parameter :: nGC_19424 = 2382
  integer, parameter :: nGC_30687 = 2383
  integer, parameter :: nGC_16753 = 2384
  integer, parameter :: nGC_14705 = 2385
  integer, parameter :: nGC_14704 = 2386
  integer, parameter :: nGC_14707 = 2387
  integer, parameter :: nGC_14706 = 2388
  integer, parameter :: nGC_14701 = 2389
  integer, parameter :: nGC_15093 = 2390
  integer, parameter :: nGC_13681 = 2391
  integer, parameter :: nGC_13951 = 2392
  integer, parameter :: nGC_13957 = 2393
  integer, parameter :: nGC_13956 = 2394
  integer, parameter :: nGC_23699 = 2395
  integer, parameter :: nGC_TS_GC_23_Hl = 2396
  integer, parameter :: nGC_8910 = 2397
  integer, parameter :: nGC_8911 = 2398
  integer, parameter :: nGC_14455 = 2399
  integer, parameter :: nGC_14456 = 2400
  integer, parameter :: nGC_8914 = 2401
  integer, parameter :: nGC_19370 = 2402
  integer, parameter :: nGC_865 = 2403
  integer, parameter :: nGC_12995 = 2404
  integer, parameter :: nGC_12993 = 2405
  integer, parameter :: nGC_13139 = 2406
  integer, parameter :: nGC_12842 = 2407
  integer, parameter :: nGC_12663 = 2408
  integer, parameter :: nGC_9393 = 2409
  integer, parameter :: nGC_TS_GC_133_Hh = 2410
  integer, parameter :: nGC_9009 = 2411
  integer, parameter :: nGC_9008 = 2412
  integer, parameter :: nGC_9003 = 2413
  integer, parameter :: nGC_9002 = 2414
  integer, parameter :: nGC_8846 = 2415
  integer, parameter :: nGC_8847 = 2416
  integer, parameter :: nGC_8844 = 2417
  integer, parameter :: nGC_8845 = 2418
  integer, parameter :: nGC_8842 = 2419
  integer, parameter :: nGC_8843 = 2420
  integer, parameter :: nGC_8840 = 2421
  integer, parameter :: nGC_8841 = 2422
  integer, parameter :: nGC_TS_GC_113_Hl = 2423
  integer, parameter :: nGC_8848 = 2424
  integer, parameter :: nGC_8849 = 2425
  integer, parameter :: nGC_19952 = 2426
  integer, parameter :: nGC_9319 = 2427
  integer, parameter :: nGC_9318 = 2428
  integer, parameter :: nGC_9311 = 2429
  integer, parameter :: nGC_9310 = 2430
  integer, parameter :: nGC_9312 = 2431
  integer, parameter :: nGC_9315 = 2432
  integer, parameter :: nGC_9314 = 2433
  integer, parameter :: nGC_9175 = 2434
  integer, parameter :: nGC_19880 = 2435
  integer, parameter :: nGC_19883 = 2436
  integer, parameter :: nGC_9171 = 2437
  integer, parameter :: nGC_9170 = 2438
  integer, parameter :: nGC_9173 = 2439
  integer, parameter :: nGC_9172 = 2440
  integer, parameter :: nGC_20053 = 2441
  integer, parameter :: nGC_14907 = 2442
  integer, parameter :: nGC_14846 = 2443
  integer, parameter :: nGC_14847 = 2444
  integer, parameter :: nGC_9495 = 2445
  integer, parameter :: nGC_30582 = 2446
  integer, parameter :: nGC_14848 = 2447
  integer, parameter :: nGC_14849 = 2448
  integer, parameter :: nGC_9322 = 2449
  integer, parameter :: nGC_14605 = 2450
  integer, parameter :: nGC_14606 = 2451
  integer, parameter :: nGC_15261 = 2452
  integer, parameter :: nGC_15263 = 2453
  integer, parameter :: nGC_15262 = 2454
  integer, parameter :: nGC_13035 = 2455
  integer, parameter :: nGC_14022 = 2456
  integer, parameter :: nGC_13722 = 2457
  integer, parameter :: nGC_13729 = 2458
  integer, parameter :: nGC_13102 = 2459
  integer, parameter :: nGC_13103 = 2460
  integer, parameter :: nGC_13452 = 2461
  integer, parameter :: nGC_13104 = 2462
  integer, parameter :: nGC_13105 = 2463
  integer, parameter :: nGC_12854 = 2464
  integer, parameter :: nGC_13587 = 2465
  integer, parameter :: nGC_13581 = 2466
  integer, parameter :: nGC_13588 = 2467
  integer, parameter :: nGC_13589 = 2468
  integer, parameter :: nGC_8949 = 2469
  integer, parameter :: nGC_8948 = 2470
  integer, parameter :: nGC_8947 = 2471
  integer, parameter :: nGC_8946 = 2472
  integer, parameter :: nGC_8945 = 2473
  integer, parameter :: nGC_12679 = 2474
  integer, parameter :: nGC_8940 = 2475
  integer, parameter :: nGC_13219 = 2476
  integer, parameter :: nGC_18767 = 2477
  integer, parameter :: nGC_13215 = 2478
  integer, parameter :: nGC_18763 = 2479
  integer, parameter :: nGC_9018 = 2480
  integer, parameter :: nGC_9019 = 2481
  integer, parameter :: nGC_9010 = 2482
  integer, parameter :: nGC_9011 = 2483
  integer, parameter :: nGC_9016 = 2484
  integer, parameter :: nGC_9017 = 2485
  integer, parameter :: nGC_9014 = 2486
  integer, parameter :: nGC_8785 = 2487
  integer, parameter :: nGC_8784 = 2488
  integer, parameter :: nGC_8787 = 2489
  integer, parameter :: nGC_8830 = 2490
  integer, parameter :: nGC_8781 = 2491
  integer, parameter :: nGC_8836 = 2492
  integer, parameter :: nGC_8783 = 2493
  integer, parameter :: nGC_8834 = 2494
  integer, parameter :: nGC_8839 = 2495
  integer, parameter :: nGC_8838 = 2496
  integer, parameter :: nGC_9306 = 2497
  integer, parameter :: nGC_9305 = 2498
  integer, parameter :: nGC_9301 = 2499
  integer, parameter :: nGC_16196 = 2500
  integer, parameter :: nGC_9163 = 2501
  integer, parameter :: nGC_9166 = 2502
  integer, parameter :: nGC_9167 = 2503
  integer, parameter :: nGC_9164 = 2504
  integer, parameter :: nGC_9165 = 2505
  integer, parameter :: nGC_9168 = 2506
  integer, parameter :: nGC_9169 = 2507
  integer, parameter :: nGC_29632 = 2508
  integer, parameter :: nGC_16512 = 2509
  integer, parameter :: nGC_16513 = 2510
  integer, parameter :: nGC_TS_GC_36_Hh = 2511
  integer, parameter :: nGC_8802 = 2512
  integer, parameter :: nGC_20454 = 2513
  integer, parameter :: nGC_8803 = 2514
  integer, parameter :: nGC_8776 = 2515
  integer, parameter :: nGC_8777 = 2516
  integer, parameter :: nGC_14937 = 2517
  integer, parameter :: nGC_8771 = 2518
  integer, parameter :: nGC_8804 = 2519
  integer, parameter :: nGC_8805 = 2520
  integer, parameter :: nGC_9357 = 2521
  integer, parameter :: nGC_9351 = 2522
  integer, parameter :: nGC_13931 = 2523
  integer, parameter :: nGC_14036 = 2524
  integer, parameter :: nGC_8711 = 2525
  integer, parameter :: nGC_19782 = 2526
  integer, parameter :: nGC_21923 = 2527
  integer, parameter :: nGC_21889 = 2528
  integer, parameter :: nGC_21924 = 2529
  integer, parameter :: nGC_14534 = 2530
  integer, parameter :: nGC_14535 = 2531
  integer, parameter :: nGC_13736 = 2532
  integer, parameter :: nGC_9151 = 2533
  integer, parameter :: nGC_17255 = 2534
  integer, parameter :: nGC_15457 = 2535
  integer, parameter :: nGC_9154 = 2536
  integer, parameter :: nGC_13294 = 2537
  integer, parameter :: nGC_13295 = 2538
  integer, parameter :: nGC_13118 = 2539
  integer, parameter :: nGC_9159 = 2540
  integer, parameter :: nGC_8709 = 2541
  integer, parameter :: nGC_13590 = 2542
  integer, parameter :: nGC_16130 = 2543
  integer, parameter :: nGC_16131 = 2544
  integer, parameter :: nGC_16132 = 2545
  integer, parameter :: nGC_13025 = 2546
  integer, parameter :: nGC_31731 = 2547
  integer, parameter :: nGC_8894 = 2548
  integer, parameter :: nGC_18121 = 2549
  integer, parameter :: nGC_18122 = 2550
  integer, parameter :: nGC_20214 = 2551
  integer, parameter :: nGC_12881 = 2552
  integer, parameter :: nGC_8953 = 2553
  integer, parameter :: nGC_14815 = 2554
  integer, parameter :: nGC_13200 = 2555
  integer, parameter :: nGC_14817 = 2556
  integer, parameter :: nGC_14816 = 2557
  integer, parameter :: nGC_14818 = 2558
  integer, parameter :: nGC_13064 = 2559
  integer, parameter :: nGC_8821 = 2560
  integer, parameter :: nGC_8823 = 2561
  integer, parameter :: nGC_8794 = 2562
  integer, parameter :: nGC_8828 = 2563
  integer, parameter :: nGC_17442 = 2564
  integer, parameter :: nGC_9078 = 2565
  integer, parameter :: nGC_9079 = 2566
  integer, parameter :: nGC_15148 = 2567
  integer, parameter :: nGC_12641 = 2568
  integer, parameter :: nGC_30606 = 2569
  integer, parameter :: nGC_12645 = 2570
  integer, parameter :: nGC_17698 = 2571
  integer, parameter :: nGC_31861 = 2572
  integer, parameter :: nGC_19425 = 2573
  integer, parameter :: nGC_16615 = 2574
  integer, parameter :: nGC_16614 = 2575
  integer, parameter :: nGC_16616 = 2576
  integer, parameter :: nGC_9199 = 2577
  integer, parameter :: nGC_9196 = 2578
  integer, parameter :: nGC_9195 = 2579
  integer, parameter :: nGC_9194 = 2580
  integer, parameter :: nGC_9209 = 2581
  integer, parameter :: nGC_9208 = 2582
  integer, parameter :: nGC_9207 = 2583
  integer, parameter :: nGC_9206 = 2584
  integer, parameter :: nGC_9205 = 2585
  integer, parameter :: nGC_9204 = 2586
  integer, parameter :: nGC_9203 = 2587
  integer, parameter :: nGC_9202 = 2588
  integer, parameter :: nGC_9201 = 2589
  integer, parameter :: nGC_9200 = 2590
  integer, parameter :: nGC_13018 = 2591
  integer, parameter :: nGC_13796 = 2592
  integer, parameter :: nGC_13987 = 2593
  integer, parameter :: nGC_9104 = 2594
  integer, parameter :: nGC_9105 = 2595
  integer, parameter :: nGC_9106 = 2596
  integer, parameter :: nGC_9107 = 2597
  integer, parameter :: nGC_9100 = 2598
  integer, parameter :: nGC_9101 = 2599
  integer, parameter :: nGC_17441 = 2600
  integer, parameter :: nGC_9108 = 2601
  integer, parameter :: nGC_9109 = 2602
  integer, parameter :: nGC_13240 = 2603
  integer, parameter :: nGC_13120 = 2604
  integer, parameter :: nGC_13121 = 2605
  integer, parameter :: nGC_13080 = 2606
  integer, parameter :: nGC_13084 = 2607
  integer, parameter :: nGC_14929 = 2608
  integer, parameter :: nGC_14928 = 2609
  integer, parameter :: nGC_12932 = 2610
  integer, parameter :: nGC_16161 = 2611
  integer, parameter :: nGC_14654 = 2612
  integer, parameter :: nGC_23892 = 2613
  integer, parameter :: nGC_12757 = 2614
  integer, parameter :: nGC_8811 = 2615
  integer, parameter :: nGC_20846 = 2616
  integer, parameter :: nGC_12831 = 2617
  integer, parameter :: nGC_8912 = 2618
  integer, parameter :: nGC_8916 = 2619
  integer, parameter :: nGC_29754 = 2620
  integer, parameter :: nGC_13777 = 2621
  integer, parameter :: nGC_23940 = 2622
  integer, parameter :: nGC_14620 = 2623
  integer, parameter :: nGC_19216 = 2624
  integer, parameter :: nGC_9244 = 2625
  integer, parameter :: nGC_9085 = 2626
  integer, parameter :: nGC_9084 = 2627
  integer, parameter :: nGC_9087 = 2628
  integer, parameter :: nGC_9086 = 2629
  integer, parameter :: nGC_9081 = 2630
  integer, parameter :: nGC_9080 = 2631
  integer, parameter :: nGC_9083 = 2632
  integer, parameter :: nGC_9082 = 2633
  integer, parameter :: nGC_9089 = 2634
  integer, parameter :: nGC_9088 = 2635
  integer, parameter :: nGC_14634 = 2636
  integer, parameter :: nGC_15434 = 2637
  integer, parameter :: nGC_13694 = 2638
  integer, parameter :: nGC_13916 = 2639
  integer, parameter :: nGC_31859 = 2640
  integer, parameter :: nGC_14480 = 2641
  integer, parameter :: nGC_14481 = 2642
  integer, parameter :: nGC_15197 = 2643
  integer, parameter :: nGC_14318 = 2644
  integer, parameter :: nGC_13476 = 2645
  integer, parameter :: nGC_17931 = 2646
  integer, parameter :: nGC_14311 = 2647
  integer, parameter :: nGC_12874 = 2648
  integer, parameter :: nGC_8718 = 2649
  integer, parameter :: nGC_8719 = 2650
  integer, parameter :: nGC_12870 = 2651
  integer, parameter :: nGC_12873 = 2652
  integer, parameter :: nGC_12872 = 2653
  integer, parameter :: nGC_12974 = 2654
  integer, parameter :: nGC_8713 = 2655
  integer, parameter :: nGC_13871 = 2656
  integer, parameter :: nGC_8716 = 2657
  integer, parameter :: nGC_8717 = 2658
  integer, parameter :: nGC_14002 = 2659
  integer, parameter :: nGC_14003 = 2660
  integer, parameter :: nGC_12893 = 2661
  integer, parameter :: nGC_8960 = 2662
  integer, parameter :: nGC_17933 = 2663
  integer, parameter :: nGC_8965 = 2664
  integer, parameter :: nGC_12896 = 2665
  integer, parameter :: nGC_12895 = 2666
  integer, parameter :: nGC_13274 = 2667
  integer, parameter :: nGC_29240 = 2668
  integer, parameter :: nGC_13271 = 2669
  integer, parameter :: nGC_19429 = 2670
  integer, parameter :: nGC_19428 = 2671
  integer, parameter :: nGC_13171 = 2672
  integer, parameter :: nGC_13170 = 2673
  integer, parameter :: nGC_18749 = 2674
  integer, parameter :: nGC_20803 = 2675
  integer, parameter :: nGC_17407 = 2676
  integer, parameter :: nGC_15024 = 2677
  integer, parameter :: nGC_8769 = 2678
  integer, parameter :: nGC_8768 = 2679
  integer, parameter :: nGC_8767 = 2680
  integer, parameter :: nGC_8814 = 2681
  integer, parameter :: nGC_8765 = 2682
  integer, parameter :: nGC_8764 = 2683
  integer, parameter :: nGC_8763 = 2684
  integer, parameter :: nGC_8813 = 2685
  integer, parameter :: nGC_12626 = 2686
  integer, parameter :: nGC_8891 = 2687
  integer, parameter :: nGC_13307 = 2688
  integer, parameter :: nGC_15794 = 2689
  integer, parameter :: nGC_24537 = 2690
  integer, parameter :: nGC_24536 = 2691
  integer, parameter :: nGC_16514 = 2692
  integer, parameter :: nGC_12769 = 2693
  integer, parameter :: nGC_8955 = 2694
  integer, parameter :: nGC_14684 = 2695
  integer, parameter :: nGC_13652 = 2696
  integer, parameter :: nGC_13653 = 2697
  integer, parameter :: nGC_21799 = 2698
  integer, parameter :: nGC_14679 = 2699
  integer, parameter :: nGC_9188 = 2700
  integer, parameter :: nGC_9189 = 2701
  integer, parameter :: nGC_9185 = 2702
  integer, parameter :: nGC_9187 = 2703
  integer, parameter :: nGC_9180 = 2704
  integer, parameter :: nGC_9181 = 2705
  integer, parameter :: nGC_9182 = 2706
  integer, parameter :: nGC_9183 = 2707
  integer, parameter :: nGC_9218 = 2708
  integer, parameter :: nGC_9219 = 2709
  integer, parameter :: nGC_9214 = 2710
  integer, parameter :: nGC_9215 = 2711
  integer, parameter :: nGC_9213 = 2712
  integer, parameter :: nGC_29561 = 2713
  integer, parameter :: nGC_13006 = 2714
  integer, parameter :: nGC_16562 = 2715
  integer, parameter :: nGC_12848 = 2716
  integer, parameter :: nGC_16082 = 2717
  integer, parameter :: nGC_14457 = 2718
  integer, parameter :: nGC_16671 = 2719
  integer, parameter :: nGC_16670 = 2720
  integer, parameter :: nGC_14519 = 2721
  integer, parameter :: nGC_14128 = 2722
  integer, parameter :: nGC_8720 = 2723
  integer, parameter :: nGC_8727 = 2724
  integer, parameter :: nGC_18947 = 2725
  integer, parameter :: nGC_8729 = 2726
  integer, parameter :: nGC_8728 = 2727
  integer, parameter :: nGC_14958 = 2728
  integer, parameter :: nGC_12924 = 2729
  integer, parameter :: nGC_14425 = 2730
  integer, parameter :: nGC_12694 = 2731
  integer, parameter :: nGC_15056 = 2732
  integer, parameter :: nGC_8925 = 2733
  integer, parameter :: nGC_8924 = 2734
  integer, parameter :: nGC_8926 = 2735
  integer, parameter :: nGC_8923 = 2736
  integer, parameter :: nGC_13959 = 2737
  integer, parameter :: nGC_19953 = 2738
  integer, parameter :: nGC_9250 = 2739
  integer, parameter :: nGC_9251 = 2740
  integer, parameter :: nGC_9252 = 2741
  integer, parameter :: nGC_9253 = 2742
  integer, parameter :: nGC_9254 = 2743
  integer, parameter :: nGC_9092 = 2744
  integer, parameter :: nGC_9093 = 2745
  integer, parameter :: nGC_9090 = 2746
  integer, parameter :: nGC_9091 = 2747
  integer, parameter :: nGC_9096 = 2748
  integer, parameter :: nGC_9097 = 2749
  integer, parameter :: nGC_9094 = 2750
  integer, parameter :: nGC_9098 = 2751
  integer, parameter :: nGC_9099 = 2752
  integer, parameter :: nGC_15542 = 2753
  integer, parameter :: nGC_15543 = 2754
  integer, parameter :: nGC_13687 = 2755
  integer, parameter :: nGC_15548 = 2756
  integer, parameter :: nGC_13769 = 2757
  integer, parameter :: nGC_14930 = 2758
  integer, parameter :: nGC_9174 = 2759
  integer, parameter :: nGC_15973 = 2760
  integer, parameter :: nGC_14127 = 2761
  integer, parameter :: nGC_13960 = 2762
  integer, parameter :: nGC_17722 = 2763
  integer, parameter :: nGC_17721 = 2764
  integer, parameter :: nGC_13460 = 2765
  integer, parameter :: nGC_21846 = 2766
  integer, parameter :: nGC_14308 = 2767
  integer, parameter :: nGC_13869 = 2768
  integer, parameter :: nGC_16446 = 2769
  integer, parameter :: nGC_16447 = 2770
  integer, parameter :: nGC_13048 = 2771
  integer, parameter :: nGC_12708 = 2772
  integer, parameter :: nGC_26927 = 2773
  integer, parameter :: nGC_12797 = 2774
  integer, parameter :: nGC_8778 = 2775
  integer, parameter :: nGC_8779 = 2776
  integer, parameter :: nGC_8774 = 2777
  integer, parameter :: nGC_8775 = 2778
  integer, parameter :: nGC_13812 = 2779
  integer, parameter :: nGC_8801 = 2780
  integer, parameter :: nGC_8806 = 2781
  integer, parameter :: nGC_8807 = 2782
  integer, parameter :: nGC_8772 = 2783
  integer, parameter :: nGC_8773 = 2784
  integer, parameter :: nGC_30670 = 2785
  integer, parameter :: nGC_8989 = 2786
  integer, parameter :: nGC_23320 = 2787
  integer, parameter :: nGC_15348 = 2788
  integer, parameter :: nGC_9229 = 2789
  integer, parameter :: nGC_9228 = 2790
  integer, parameter :: nGC_9221 = 2791
  integer, parameter :: nGC_9220 = 2792
  integer, parameter :: nGC_9223 = 2793
  integer, parameter :: nGC_9222 = 2794
  integer, parameter :: nGC_9225 = 2795
  integer, parameter :: nGC_9224 = 2796
  integer, parameter :: nGC_9227 = 2797
  integer, parameter :: nGC_9226 = 2798
  integer, parameter :: nGC_14024 = 2799
  integer, parameter :: nGC_14023 = 2800
  integer, parameter :: nGC_16098 = 2801
  integer, parameter :: nGC_29997 = 2802
  integer, parameter :: nGC_16565 = 2803
  integer, parameter :: nGC_30309 = 2804
  integer, parameter :: nGC_17253 = 2805
  integer, parameter :: nGC_9127 = 2806
  integer, parameter :: nGC_9124 = 2807
  integer, parameter :: nGC_9125 = 2808
  integer, parameter :: nGC_9122 = 2809
  integer, parameter :: nGC_9123 = 2810
  integer, parameter :: nGC_9120 = 2811
  integer, parameter :: nGC_9121 = 2812
  integer, parameter :: nGC_29423 = 2813
  integer, parameter :: nGC_19369 = 2814
  integer, parameter :: nGC_30385 = 2815
  integer, parameter :: nGC_14941 = 2816
  integer, parameter :: nGC_14940 = 2817
  integer, parameter :: nGC_16143 = 2818
  integer, parameter :: nGC_16142 = 2819
  integer, parameter :: nGC_16145 = 2820
  integer, parameter :: nGC_16144 = 2821
  integer, parameter :: nGC_17942 = 2822
  integer, parameter :: nGC_29457 = 2823
  integer, parameter :: nGC_13216 = 2824
  integer, parameter :: nGC_18766 = 2825
  integer, parameter :: nGC_8831 = 2826
  integer, parameter :: nGC_8837 = 2827
  integer, parameter :: nGC_8932 = 2828
  integer, parameter :: nGC_8933 = 2829
  integer, parameter :: nGC_8931 = 2830
  integer, parameter :: nGC_16325 = 2831
  integer, parameter :: nGC_16322 = 2832
  integer, parameter :: nGC_23258 = 2833
  integer, parameter :: nGC_23928 = 2834
  integer, parameter :: nGC_19300 = 2835
  integer, parameter :: nGC_14153 = 2836
  integer, parameter :: nGC_14653 = 2837
  integer, parameter :: nGC_15315 = 2838
  integer, parameter :: nGC_17635 = 2839
  integer, parameter :: nGC_17636 = 2840
  integer, parameter :: nGC_15316 = 2841
  integer, parameter :: nGC_13979 = 2842
  integer, parameter :: nGC_15706 = 2843
  integer, parameter :: nGC_13414 = 2844
  integer, parameter :: nGC_13415 = 2845
  integer, parameter :: nGC_15097 = 2846
  integer, parameter :: nGC_14073 = 2847
  integer, parameter :: nGC_9193 = 2848
  integer, parameter :: nGC_14077 = 2849
  integer, parameter :: nGC_14076 = 2850
  integer, parameter :: nGC_14075 = 2851
  integer, parameter :: nGC_12959 = 2852
  integer, parameter :: nGC_18263 = 2853
  integer, parameter :: nGC_9117 = 2854
  integer, parameter :: nGC_9116 = 2855
  integer, parameter :: nGC_9115 = 2856
  integer, parameter :: nGC_9114 = 2857
  integer, parameter :: nGC_9113 = 2858
  integer, parameter :: nGC_9112 = 2859
  integer, parameter :: nGC_9111 = 2860
  integer, parameter :: nGC_14470 = 2861
  integer, parameter :: nGC_9119 = 2862
  integer, parameter :: nGC_9118 = 2863
  integer, parameter :: nGC_31569 = 2864
  integer, parameter :: nGC_13250 = 2865
  integer, parameter :: nGC_23116 = 2866
  integer, parameter :: nGC_8800 = 2867
  integer, parameter :: nGC_23037 = 2868
  integer, parameter :: nGC_30058 = 2869
  integer, parameter :: nGC_8770 = 2870
  integer, parameter :: nGC_12781 = 2871
  integer, parameter :: nGC_14931 = 2872
  integer, parameter :: nGC_30064 = 2873
  integer, parameter :: nGC_29893 = 2874
  integer, parameter :: nGC_30061 = 2875
  integer, parameter :: nGC_20090 = 2876
  integer, parameter :: nGC_28168 = 2877
  integer, parameter :: nGC_24963 = 2878
  integer, parameter :: nGC_13326 = 2879
  integer, parameter :: nGC_23682 = 2880
  integer, parameter :: nGC_9021 = 2881
  integer, parameter :: nGC_9020 = 2882
  integer, parameter :: nGC_18711 = 2883
  integer, parameter :: nGC_8903 = 2884
  integer, parameter :: nGC_8901 = 2885
  integer, parameter :: nGC_29760 = 2886
  integer, parameter :: nGC_9234 = 2887
  integer, parameter :: nGC_9235 = 2888
  integer, parameter :: nGC_9230 = 2889
  integer, parameter :: nGC_8712 = 2890
  integer, parameter :: nGC_8954 = 2891
  integer, parameter :: nGC_8710 = 2892
  integer, parameter :: nGC_31869 = 2893
  integer, parameter :: nGC_13461 = 2894
  integer, parameter :: nGC_32531 = 2895
  integer, parameter :: nGC_29407 = 2896
  integer, parameter :: nGC_16324 = 2897
  integer, parameter :: nGC_12871 = 2898
  integer, parameter :: nGC_13870 = 2899
  integer, parameter :: nGC_29966 = 2900
  integer, parameter :: nGC_31223 = 2901
  integer, parameter :: nGC_15458 = 2902
  integer, parameter :: nGC_13988 = 2903
  integer, parameter :: nGC_16162 = 2904
  integer, parameter :: nGC_30346 = 2905
  integer, parameter :: nGC_31524 = 2906
  integer, parameter :: nGC_13654 = 2907
  integer, parameter :: nGC_31620 = 2908
  integer, parameter :: nGC_12758 = 2909
  integer, parameter :: nGC_13790 = 2910
  integer, parameter :: nGC_23259 = 2911
  integer, parameter :: nGC_15025 = 2912
  integer, parameter :: nGC_16564 = 2913
  integer, parameter :: nGC_14520 = 2914
  integer, parameter :: nGC_30147 = 2915
  integer, parameter :: nGC_15317 = 2916
  integer, parameter :: nGC_18264 = 2917
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
