!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_8228) = -3d0*cima*sb**4d0
      coupl(nGC_8229) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8222) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_8223) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_8220) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_8221) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_8226) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8227) = -3d0*cb**4d0*cima
      coupl(nGC_8224) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_8225) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_7906) = 2d0*cima*ee**2d0/sw
      coupl(nGC_7907) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_7905) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_7900) = -cima*cw*ee/sw**2d0
      coupl(nGC_7901) = cima*ee/sw
      coupl(nGC_7908) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_8316) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8317) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8314) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_8315) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_8312) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_8313) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_8310) = -cima*cw*ee/sw
      coupl(nGC_8311) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8318) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8319) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8488) = sqrt(2d0)*cb/2d0
      coupl(nGC_8550) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8551) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8552) = -cima*ee*(ca*sb - cb*sa)/(4d0*cMW*sw)
      coupl(nGC_8553) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8554) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8007) = -ca*cb**2d0*cima*sa
      coupl(nGC_8004) = sqrt(2d0)*sb/2d0
      coupl(nGC_8005) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8558) = sqrt(2d0)*sb/2d0
      coupl(nGC_8559) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8008) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_8009) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8110) = cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(  &
                        2d0*cw*sw**2d0)
      coupl(nGC_8111) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(4d0* &
                        cMW*cw*sw)
      coupl(nGC_8386) = sqrt(2d0)*sb/2d0
      coupl(nGC_8112) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/( &
                        2d0*cw*sw)
      coupl(nGC_8114) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca&
                        *cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                        vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**  &
                        2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb&
                        *vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_8115) = -ca*cb*cima*sb*vev2
      coupl(nGC_8178) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8179) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_8176) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8177) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_8172) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_8173) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_8170) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_8388) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_8389) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_7902) = cima*cw*ee/sw
      coupl(nGC_7903) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_7909) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_349) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_347) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_345) = -ca*cb**2d0*cima*vev2
      coupl(nGC_343) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_8605) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_168) = sqrt(2d0)*cb*ym1/2d0 + sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_169) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_162) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_163) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_160) = sqrt(2d0)*cb*ye1/2d0 + sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_161) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_166) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_167) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_164) = sqrt(2d0)*cb*ym2/2d0 - sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_165) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_8608) = cima*sb
      coupl(nGC_8609) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_7973) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_7972) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_7971) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_7970) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_7977) = -ca*cb**2d0*cima*sa
      coupl(nGC_7976) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_7974) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_7978) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8363) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_8362) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8361) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_8360) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8367) = sqrt(2d0)*sb/2d0
      coupl(nGC_8366) = sqrt(2d0)*cb/2d0
      coupl(nGC_8365) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_8364) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_8369) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_8368) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_8569) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_8568) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8565) = -cima*sb
      coupl(nGC_8564) = -cb*cima
      coupl(nGC_8567) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8566) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_8561) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8560) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_8563) = -sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_8562) = sqrt(2d0)*cb/2d0
      coupl(nGC_8586) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8585) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8584) = cb*cima
      coupl(nGC_8582) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_8581) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8580) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_8589) = 3d0*cb**3d0*cima*sb
      coupl(nGC_8588) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8489) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_8109) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        2d0*cw**2d0*sw)
      coupl(nGC_8108) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*&
                        cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa +  &
                        ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 &
                         + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_8103) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_8102) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_8107) = -ca**2d0*cima*sb**2d0
      coupl(nGC_8104) = -cb**2d0*cima*sa**2d0
      coupl(nGC_8485) = -cb*cima
      coupl(nGC_8482) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8483) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_8480) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_8481) = sqrt(2d0)*cb/2d0
      coupl(nGC_8617) = sqrt(2d0)*cb/2d0
      coupl(nGC_8616) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8615) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_8614) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_8611) = -cb*cima
      coupl(nGC_8610) = cima*sb
      coupl(nGC_8618) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8002) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_8003) = sqrt(2d0)*cb/2d0
      coupl(nGC_8000) = cb*cima*sa**2d0*sb
      coupl(nGC_8001) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_8006) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_8555) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_8556) = -cima*sb
      coupl(nGC_8557) = cb*cima
      coupl(nGC_593) = cima/(2d0*cMW)
      coupl(nGC_597) = -cima/(2d0*cMW)
      coupl(nGC_359) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_355) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_357) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_351) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_353) = cima*sa*sb**2d0*vev1
      coupl(nGC_8484) = -cima*sb
      coupl(nGC_179) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_178) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_171) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_170) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_173) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_172) = sqrt(2d0)*cb*ys2/2d0 - sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_175) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_174) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_177) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_176) = sqrt(2d0)*cb*yd12x2/2d0 + sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_7962) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_7963) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_7964) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_7965) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_7968) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_8370) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8371) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
      coupl(nGC_8372) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8373) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_8374) = -cb*cima
      coupl(nGC_8375) = -cima*sb
      coupl(nGC_8376) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_8377) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_8378) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_8379) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_138) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_8578) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_8579) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8572) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_8573) = sqrt(2d0)*cb/2d0
      coupl(nGC_8570) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8577) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_8575) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_8594) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8595) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_8596) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8597) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_8590) = -3d0*cb*cima*sb**3d0
      coupl(nGC_8591) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8592) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8593) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_8598) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_8119) = -cb*cima*sa*sb*vev1
      coupl(nGC_99) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +  &
                      cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_98) = -cMW*cb**2d0*cima*cw*ee/(2d0*sw) + cMW*cb**2d0*cima*ee*sw&
                      /(2d0*cw) - cMW*cima*cw*ee*sb**2d0/(2d0*sw) + cMW*cima*ee&
                      *sb**2d0*sw/(2d0*cw)
      coupl(nGC_97) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw &
                       - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/ &
                      cw
      coupl(nGC_96) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw&
                      ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0&
                      *cw)
      coupl(nGC_95) = -cMZ*ca*cb*cima*cw*ee/(2d0*sw) - cMZ*ca*cb*cima*ee*sw/(  &
                      2d0*cw) - cMZ*cima*cw*ee*sa*sb/(2d0*sw) - cMZ*cima*ee*sa*&
                      sb*sw/(2d0*cw)
      coupl(nGC_94) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa* &
                      sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_93) = -cMZ*ca*cima*cw*ee*sb/(2d0*sw) - cMZ*ca*cima*ee*sb*sw/(  &
                      2d0*cw) + cMZ*cb*cima*cw*ee*sa/(2d0*sw) + cMZ*cb*cima*ee*&
                      sa*sw/(2d0*cw)
      coupl(nGC_92) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa&
                      /(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
