!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl5()
      coupl(nGC_8218) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_8449) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_7939) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_7938) = cima*ee*sw/(3d0*cw)
      coupl(nGC_7937) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_7936) = cima*ee/(3d0*cw)
      coupl(nGC_I) = cima
      coupl(nGC_7934) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_7933) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_7932) = -cima*sb**4d0
      coupl(nGC_7931) = -cb**4d0*cima
      coupl(nGC_8459) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8458) = -cb*cima*sb**3d0
      coupl(nGC_8329) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8328) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8326) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_8325) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8323) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8322) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_7930) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = cima*gs
      coupl(nGC_6) = -gs
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca &
                     **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1&
                     *sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0&
                      - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_8) = cima*gs**2d0
      coupl(nGC_8529) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_8528) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_8039) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb &
                        **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*&
                        l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_8038) = -cima*sa**2d0*sb**2d0
      coupl(nGC_8663) = ca*cb*cima*sb*vev1
      coupl(nGC_8454) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_8521) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8520) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_8523) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_8522) = sqrt(2d0)*cb/2d0
      coupl(nGC_8525) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8524) = sqrt(2d0)*sb/2d0
      coupl(nGC_8527) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8526) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8324) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8451) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8450) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_8321) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8320) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8147) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8146) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_8145) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8144) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_8149) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8148) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8106) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_3231) = -coupl(nGC_91)
      coupl(nGC_8628) = -sqrt(2d0)*sb/2d0
      coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_8444) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_8079) = -ca**2d0*cima*sb**2d0
      coupl(nGC_8445) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_8427) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_8132) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_8133) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_8037) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_8078) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_135) = -sqrt(2d0)*cb*yc1/2d0 - sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_137) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_131) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_133) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_8036) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_8138) = -cb**3d0*cima*sb
      coupl(nGC_8139) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8200) = -3d0*cb**4d0*cima
      coupl(nGC_8201) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8202) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8203) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_8204) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_8205) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_8206) = -ca*cb**2d0*cima*vev2
      coupl(nGC_8207) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_8208) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_8209) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                         - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_8033) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_7928) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_7929) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8032) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_7924) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_7925) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4  &
                         - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + &
                        l5*sa**2d0)
      coupl(nGC_7926) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_7927) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_7920) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_7921) = -3d0*ca**4d0*cima
      coupl(nGC_7922) = -3d0*cima*sa**4d0
      coupl(nGC_7923) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8448) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8030) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8338) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_8339) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_8334) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
      coupl(nGC_8335) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_8440) = -sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_8441) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8446) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_8447) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_8332) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8333) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8140) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8035) = -ca**2d0*cb**2d0*cima
      coupl(nGC_8034) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb&
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_8536) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8537) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8534) = sqrt(2d0)*sb/2d0
      coupl(nGC_8535) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_8532) = sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_8533) = sqrt(2d0)*cb/2d0
      coupl(nGC_8530) = -cb*cima
      coupl(nGC_8531) = -cima*sb
      coupl(nGC_8538) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8539) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8028) = -ca**2d0*cb*cima*sb
      coupl(nGC_8029) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_8020) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_8021) = -cb*cima*sa**2d0*sb
      coupl(nGC_8023) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8024) = ca**2d0*cb*cima*sb
      coupl(nGC_8025) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_8026) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8154) = -2d0*cb**3d0*cima*sb
      coupl(nGC_8155) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8156) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8157) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_8150) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_8151) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_8152) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8153) = 2d0*cb*cima*sb**3d0
      coupl(nGC_2153) = -coupl(nGC_179)
      coupl(nGC_8158) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_8159) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_7960) = -2d0*cima*sb**4d0
      coupl(nGC_8455) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_7961) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_7967) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_8457) = cb**3d0*cima*sb
      coupl(nGC_8456) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8100) = -ca*cb*cima*sa*sb
      coupl(nGC_7955) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_8453) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_8143) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_8142) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8141) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0* &
                        l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - &
                        6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0* &
                        cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                        4d0 + l5*sb**4d0)
      coupl(nGC_7954) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_8452) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8622) = cb*cima
      coupl(nGC_8623) = cima*sb
      coupl(nGC_8047) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_8272) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_8064) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_8044) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_104) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_8297) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_8042) = -cb*cima*sa**2d0*sb
      coupl(nGC_8239) = -cb**2d0*cima*sb**2d0
      coupl(nGC_8238) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_8235) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8234) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8237) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_8236) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8231) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_8230) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8233) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8232) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8043) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_8040) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_7919) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_7918) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_7911) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_7910) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_7913) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_7912) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_7915) = -3d0*cima*sa**4d0
      coupl(nGC_7914) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_7917) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8461) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5&
                         - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                        6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0* &
                        cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb** &
                        4d0 - l5*sb**4d0)
      coupl(nGC_8309) = -cima*ee/sw
    end subroutine fill_couplings_mdl5
end module fill_couplings5
