!******************************************************************************!
!                                                                              !
!    fill_couplings6.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings6.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl6()
      coupl(nGC_8308) = cima*cw*ee/sw**2d0
      coupl(nGC_8514) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_8041) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_8301) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8300) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8303) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_8302) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8305) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_8304) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8307) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_8306) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_8031) = cb*cima*sa**2d0*sb
      coupl(nGC_8462) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_8491) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8490) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8493) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_8492) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_8495) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8494) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_8497) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8496) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_8499) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_8498) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8700) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw)
      coupl(nGC_431) = sqrt(2d0)*cb/2d0
      coupl(nGC_8015) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_8014) = -ca*cima*sa*sb**2d0
      coupl(nGC_8017) = ca*cb**2d0*cima*sa
      coupl(nGC_8016) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8547) = cima*sb
      coupl(nGC_8546) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_8013) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_8012) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8549) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_8548) = -cb*cima
      coupl(nGC_8019) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8699) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_8464) = cima*sb
      coupl(nGC_8396) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_8465) = sqrt(2d0)*sb/2d0
      coupl(nGC_8189) = -cb**2d0*cima*sb**2d0
      coupl(nGC_8397) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_8161) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8160) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_8163) = -3d0*cb**3d0*cima*sb
      coupl(nGC_8162) = 3d0*cb*cima*sb**3d0
      coupl(nGC_8165) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8164) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8167) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_8166) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_8169) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_8168) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_8394) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8604) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_8336) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_8479) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8392) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8571) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8576) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_8574) = sqrt(2d0)*sb/2d0
      coupl(nGC_8393) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_8190) = -cb**2d0*cima*sb**2d0
      coupl(nGC_8607) = cb*cima
      coupl(nGC_8390) = cima*sb
      coupl(nGC_8391) = -cb*cima
      coupl(nGC_7966) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_8057) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_8540) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_8056) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                        sw)/(cw*sw)
      coupl(nGC_7969) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw)
      coupl(nGC_8059) = -ca**2d0*cb**2d0*cima
      coupl(nGC_118) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_8599) = -ca*cima*sb**2d0*vev2
      coupl(nGC_8058) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca** &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_8545) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_119) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_117) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_116) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_115) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_114) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_113) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_112) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_111) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_110) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_803) = -coupl(nGC_83)/2d0
      coupl(nGC_5227) = -2d0*coupl(nGC_8)
      coupl(nGC_1247) = -2d0*coupl(nGC_5)
      coupl(nGC_1529) = -coupl(nGC_17)
      coupl(nGC_5233) = 2d0*coupl(nGC_8)
      coupl(nGC_5231) = -coupl(nGC_8)
      coupl(nGC_827) = -coupl(nGC_4)
      coupl(nGC_1061) = -2d0*coupl(nGC_78)
      coupl(nGC_781) = -coupl(nGC_82)
      coupl(nGC_797) = -coupl(nGC_194)
      coupl(nGC_1913) = -coupl(nGC_6)
      coupl(nGC_1313) = -coupl(nGC_132)
      coupl(nGC_877) = -coupl(nGC_3)
      coupl(nGC_865) = -coupl(nGC_81)
    end subroutine fill_couplings_mdl6
end module fill_couplings6
