!******************************************************************************!
!                                                                              !
!    ctparameter1.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter1.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter1
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter1()
  if (dMB_QCD2_scheme .eq. 0) then
    dMB_QCD2 = (pi**2d0*(-2d0*Nc*aS*cMB**2d0*sq2**2d0/(pi*rMB) + 2d0*Nc*aS*rMB*&
               sq2**2d0/pi - Nc*cMB*coupl(nGC_7)**2d0*sq2**2d0/(4d0*pi**2d0) + &
               2d0*aS*cMB**2d0*sq2**2d0/(pi*Nc*rMB) - 2d0*aS*rMB*sq2**2d0/(pi* &
               Nc) + cMB*coupl(nGC_7)**2d0*sq2**2d0/(4d0*pi**2d0*Nc)) + Ten746*&
               cMB*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten752&
               *cMB*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) +     &
               Ten763*coupl(nGC_7)**2d0*rMB*sq2**2d0*(2d0*Nc**2d0*cMB**2d0 -   &
               3d0*Nc**2d0*cMB*rMB + Nc**2d0*rMB**2d0 - 2d0*cMB**2d0 + 3d0*cMB*&
               rMB - rMB**2d0)/Nc + Ten770*coupl(nGC_7)**2d0*rMB**2d0*sq2**2d0 &
               *(-Nc**2d0*cMB + Nc**2d0*rMB + cMB - rMB)/Nc)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMB_QCD2 = cone*real(dMB_QCD2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter1
end module ctparameter1
