!******************************************************************************!
!                                                                              !
!    ctparameter108.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter108.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter108
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter108()
  dZHh_QED2 = (-4d0*Nc*Ten168*coupl(nGC_195)**2d0 - 4d0*Nc*Ten170*coupl(nGC_195&
              )**2d0 - 4d0*Nc*Ten171*coupl(nGC_133)**2d0 - 4d0*Nc*Ten173*coupl(&
              nGC_133)**2d0 - 4d0*Nc*Ten174*coupl(nGC_180)**2d0 - 4d0*Nc*Ten176&
              *coupl(nGC_180)**2d0 - 4d0*Nc*Ten177*coupl(nGC_149)**2d0 - 4d0*Nc&
              *Ten179*coupl(nGC_149)**2d0 - 4d0*Nc*Ten180*coupl(nGC_173)**2d0  &
               - 4d0*Nc*Ten182*coupl(nGC_173)**2d0 - 4d0*Nc*Ten183*coupl(      &
              nGC_137)**2d0 - 4d0*Nc*Ten185*coupl(nGC_137)**2d0 - 4d0*Nc*Ten207&
              *cMU**2d0*coupl(nGC_195)**2d0 - 4d0*Nc*Ten208*cMC**2d0*coupl(    &
              nGC_133)**2d0 - 4d0*Nc*Ten209*cMT**2d0*coupl(nGC_180)**2d0 - 4d0*&
              Nc*Ten210*cMD**2d0*coupl(nGC_149)**2d0 - 4d0*Nc*Ten211*cMS**2d0* &
              coupl(nGC_173)**2d0 - 4d0*Nc*Ten212*cMB**2d0*coupl(nGC_137)**2d0 &
               - 4d0*Nc*Ten219*coupl(nGC_195)**2d0*rMHH**2d0 - 4d0*Nc*Ten220*  &
              coupl(nGC_133)**2d0*rMHH**2d0 - 4d0*Nc*Ten221*coupl(nGC_180)**2d0&
              *rMHH**2d0 - 4d0*Nc*Ten222*coupl(nGC_149)**2d0*rMHH**2d0 - 4d0*Nc&
              *Ten223*coupl(nGC_173)**2d0*rMHH**2d0 - 4d0*Nc*Ten224*coupl(     &
              nGC_137)**2d0*rMHH**2d0 - 16d0*Nc*Ten228*coupl(nGC_195)**2d0 -   &
              16d0*Nc*Ten229*coupl(nGC_133)**2d0 - 16d0*Nc*Ten230*coupl(nGC_180&
              )**2d0 - 16d0*Nc*Ten231*coupl(nGC_149)**2d0 - 16d0*Nc*Ten232*    &
              coupl(nGC_173)**2d0 - 16d0*Nc*Ten233*coupl(nGC_137)**2d0 - 4d0*Nc&
              *Ten237*coupl(nGC_195)**2d0*rMHH**2d0 - 4d0*Nc*Ten238*coupl(     &
              nGC_133)**2d0*rMHH**2d0 - 4d0*Nc*Ten239*coupl(nGC_180)**2d0*rMHH &
              **2d0 - 4d0*Nc*Ten240*coupl(nGC_149)**2d0*rMHH**2d0 - 4d0*Nc*    &
              Ten241*coupl(nGC_173)**2d0*rMHH**2d0 - 4d0*Nc*Ten242*coupl(      &
              nGC_137)**2d0*rMHH**2d0 + 5d0*Ten129*coupl(nGC_94)**2d0/2d0 + 4d0&
              *Ten130*coupl(nGC_92)**2d0 + 5d0*Ten132*coupl(nGC_68)*coupl(     &
              nGC_69) + 8d0*Ten133*coupl(nGC_63)*coupl(nGC_64) + Ten147*coupl( &
              nGC_94)**2d0 + Ten149*coupl(nGC_94)**2d0 + 4d0*Ten150*coupl(     &
              nGC_92)**2d0 + Ten152*coupl(nGC_92)**2d0 + 2d0*Ten153*coupl(     &
              nGC_68)*coupl(nGC_69) + 2d0*Ten155*coupl(nGC_68)*coupl(nGC_69) + &
              8d0*Ten156*coupl(nGC_63)*coupl(nGC_64) + 2d0*Ten158*coupl(nGC_63 &
              )*coupl(nGC_64) - 4d0*Ten159*coupl(nGC_157)**2d0 - 4d0*Ten161*   &
              coupl(nGC_157)**2d0 - 4d0*Ten162*coupl(nGC_165)**2d0 - 4d0*Ten164&
              *coupl(nGC_165)**2d0 - 4d0*Ten165*coupl(nGC_188)**2d0 - 4d0*     &
              Ten167*coupl(nGC_188)**2d0 + Ten186*(coupl(nGC_117)**2d0/2d0 +   &
              2d0*coupl(nGC_129)**2d0 + 5d0*coupl(nGC_94)**2d0*rMHH**2d0/2d0 - &
              coupl(nGC_95)**2d0) + Ten187*coupl(nGC_94)**2d0*rMHH**2d0 + 4d0* &
              Ten188*coupl(nGC_94)**2d0 + Ten189*coupl(nGC_94)**2d0*rMHH**2d0  &
               + Ten190*(coupl(nGC_112)**2d0 + 4d0*coupl(nGC_92)**2d0*rMHH**2d0&
              ) + 4d0*Ten191*coupl(nGC_92)**2d0*rMHH**2d0 + 4d0*Ten192*coupl(  &
              nGC_92)**2d0 + Ten193*coupl(nGC_92)**2d0*rMHH**2d0 + Ten194*(    &
              coupl(nGC_116)**2d0 + 4d0*coupl(nGC_125)**2d0 + 5d0*coupl(nGC_68 &
              )*coupl(nGC_69)*rMHH**2d0 - 2d0*coupl(nGC_71)**2d0) + 2d0*Ten195*&
              coupl(nGC_68)*coupl(nGC_69)*rMHH**2d0 + 8d0*Ten196*coupl(nGC_68)*&
              coupl(nGC_69) + 2d0*Ten197*coupl(nGC_68)*coupl(nGC_69)*rMHH**2d0 &
               + Ten198*(2d0*coupl(nGC_111)**2d0 + 8d0*coupl(nGC_63)*coupl(    &
              nGC_64)*rMHH**2d0) + 8d0*Ten199*coupl(nGC_63)*coupl(nGC_64)*rMHH &
              **2d0 + 8d0*Ten200*coupl(nGC_63)*coupl(nGC_64) + 2d0*Ten201*coupl&
              (nGC_63)*coupl(nGC_64)*rMHH**2d0 + Ten202*coupl(nGC_121)**2d0/2d0&
               + Ten203*coupl(nGC_118)**2d0 - 4d0*Ten204*cME**2d0*coupl(nGC_157&
              )**2d0 - 4d0*Ten205*cMM**2d0*coupl(nGC_165)**2d0 - 4d0*Ten206*   &
              cMTA**2d0*coupl(nGC_188)**2d0 + Ten213*coupl(nGC_106)**2d0/2d0 + &
              Ten214*coupl(nGC_103)**2d0 + Ten215*coupl(nGC_105)**2d0/2d0 - 4d0&
              *Ten216*coupl(nGC_157)**2d0*rMHH**2d0 - 4d0*Ten217*coupl(nGC_165 &
              )**2d0*rMHH**2d0 - 4d0*Ten218*coupl(nGC_188)**2d0*rMHH**2d0 -    &
              16d0*Ten225*coupl(nGC_157)**2d0 - 16d0*Ten226*coupl(nGC_165)**2d0&
               - 16d0*Ten227*coupl(nGC_188)**2d0 - 4d0*Ten234*coupl(nGC_157)** &
              2d0*rMHH**2d0 - 4d0*Ten235*coupl(nGC_165)**2d0*rMHH**2d0 - 4d0*  &
              Ten236*coupl(nGC_188)**2d0*rMHH**2d0 + pi**2d0*(-2d0*Nc*coupl(   &
              nGC_133)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_137)**2d0/(3d0*pi &
              **2d0) - 2d0*Nc*coupl(nGC_149)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(&
              nGC_173)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_180)**2d0/(3d0*pi &
              **2d0) - 2d0*Nc*coupl(nGC_195)**2d0/(3d0*pi**2d0) - 2d0*coupl(   &
              nGC_157)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_165)**2d0/(3d0*pi**  &
              2d0) - 2d0*coupl(nGC_188)**2d0/(3d0*pi**2d0) + coupl(nGC_63)*    &
              coupl(nGC_64)/(3d0*pi**2d0) + coupl(nGC_68)*coupl(nGC_69)/(3d0*pi&
              **2d0) + coupl(nGC_92)**2d0/(6d0*pi**2d0) + coupl(nGC_94)**2d0/( &
              6d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_QED2 = cone*real(dZHh_QED2,kind=dp)
    end if 
end subroutine set_ctparameter108
end module ctparameter108
