!******************************************************************************!
!                                                                              !
!    ctparameter115.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter115.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter115
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter115()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMW2_MS_QED2 = DeltaUV*(Nc*cMB**2d0*coupl(nGC_80)**2d0 + Nc*cMC**2d0*coupl(  &
                 nGC_80)**2d0 + Nc*cMD**2d0*coupl(nGC_80)**2d0 + Nc*cMS**2d0*  &
                 coupl(nGC_80)**2d0 + Nc*cMT**2d0*coupl(nGC_80)**2d0 + Nc*cMU**&
                 2d0*coupl(nGC_80)**2d0 - 2d0*Nc*cMW**2d0*coupl(nGC_80)**2d0 + &
                 cME**2d0*coupl(nGC_80)**2d0 - cima*cMHA**2d0*coupl(nGC_62)/2d0&
                  - cMHA**2d0*coupl(nGC_72)**2d0 - cima*cMHC**2d0*coupl(nGC_62 &
                 ) - cMHC**2d0*coupl(nGC_63)*coupl(nGC_64) - cMHC**2d0*coupl(  &
                 nGC_68)*coupl(nGC_69) - cMHC**2d0*coupl(nGC_72)**2d0 - cima*  &
                 cMHH**2d0*coupl(nGC_61)/2d0 - cMHH**2d0*coupl(nGC_63)*coupl(  &
                 nGC_64) - cMHH**2d0*coupl(nGC_68)*coupl(nGC_69) - cima*cMHL** &
                 2d0*coupl(nGC_61)/2d0 - cMHL**2d0*coupl(nGC_63)*coupl(nGC_64  &
                 ) - cMHL**2d0*coupl(nGC_68)*coupl(nGC_69) + cMM**2d0*coupl(   &
                 nGC_80)**2d0 + cMTA**2d0*coupl(nGC_80)**2d0 + 15d0*cMW**2d0*  &
                 coupl(nGC_3)**2d0/2d0 - cMW**2d0*coupl(nGC_4)**2d0/6d0 - cima*&
                 cMW**2d0*coupl(nGC_62) - cMW**2d0*coupl(nGC_63)*coupl(nGC_64)/&
                 3d0 - cMW**2d0*coupl(nGC_68)*coupl(nGC_69)/3d0 - cMW**2d0*    &
                 coupl(nGC_72)**2d0/3d0 + 3d0*cima*cMW**2d0*coupl(nGC_78) - 2d0&
                 *cMW**2d0*coupl(nGC_80)**2d0 - cMW**2d0*coupl(nGC_81)**2d0/6d0&
                  + 15d0*cMW**2d0*coupl(nGC_82)**2d0/2d0 - cima*cMZ**2d0*coupl(&
                 nGC_62)/2d0 - cMZ**2d0*coupl(nGC_72)**2d0 - 3d0*cima*cMZ**2d0*&
                 coupl(nGC_79) - cMZ**2d0*coupl(nGC_81)**2d0/4d0 + 17d0*cMZ**  &
                 2d0*coupl(nGC_82)**2d0/4d0 - coupl(nGC_102)**2d0 - coupl(     &
                 nGC_107)**2d0 - coupl(nGC_124)**2d0 - coupl(nGC_125)**2d0 -   &
                 coupl(nGC_126)**2d0 - coupl(nGC_127)**2d0)/(16d0*pi**2d0) -   &
                 cima*coupl(nGC_124)*dtHl_MS_QED1/cMHL**2d0 - cima*coupl(      &
                 nGC_125)*dtHh_MS_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMW2_MS_QED2 = cone*real(dMW2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter115
end module ctparameter115
