!******************************************************************************!
!                                                                              !
!    ctparameter139.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter139.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter139
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter139()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHA2_MS_QED2 = DeltaUV*(2d0*Nc*cMB**2d0*coupl(nGC_143)**2d0 + 8d0*Nc*cMB**  &
                  2d0*coupl(nGC_143)*coupl(nGC_144) + 2d0*Nc*cMB**2d0*coupl(   &
                  nGC_144)**2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_132)**2d0 + 2d0*Nc*&
                  cMD**2d0*coupl(nGC_147)**2d0 + 8d0*Nc*cMD**2d0*coupl(nGC_147 &
                  )*coupl(nGC_148) + 2d0*Nc*cMD**2d0*coupl(nGC_148)**2d0 + 2d0*&
                  Nc*cMHA**2d0*coupl(nGC_132)**2d0 - 2d0*Nc*cMHA**2d0*coupl(   &
                  nGC_143)*coupl(nGC_144) - 2d0*Nc*cMHA**2d0*coupl(nGC_147)*   &
                  coupl(nGC_148) - 2d0*Nc*cMHA**2d0*coupl(nGC_171)*coupl(      &
                  nGC_172) + 2d0*Nc*cMHA**2d0*coupl(nGC_179)**2d0 + 2d0*Nc*cMHA&
                  **2d0*coupl(nGC_194)**2d0 + 2d0*Nc*cMS**2d0*coupl(nGC_171)** &
                  2d0 + 8d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(nGC_172) + 2d0*Nc*&
                  cMS**2d0*coupl(nGC_172)**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_179 &
                  )**2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_194)**2d0 + 2d0*cME**2d0* &
                  coupl(nGC_155)**2d0 + 8d0*cME**2d0*coupl(nGC_155)*coupl(     &
                  nGC_156) + 2d0*cME**2d0*coupl(nGC_156)**2d0 - 2d0*cMHA**2d0* &
                  coupl(nGC_155)*coupl(nGC_156) - 2d0*cMHA**2d0*coupl(nGC_163)*&
                  coupl(nGC_164) - 2d0*cMHA**2d0*coupl(nGC_186)*coupl(nGC_187  &
                  ) + cima*cMHA**2d0*coupl(nGC_52)/2d0 - 4d0*cMHA**2d0*coupl(  &
                  nGC_72)**2d0 - 2d0*cMHA**2d0*coupl(nGC_92)**2d0 - 2d0*cMHA** &
                  2d0*coupl(nGC_94)**2d0 + cima*cMHC**2d0*coupl(nGC_50) - 2d0* &
                  cMHC**2d0*coupl(nGC_72)**2d0 + cima*cMHH**2d0*coupl(nGC_38)/ &
                  2d0 - cMHH**2d0*coupl(nGC_92)**2d0 + cima*cMHL**2d0*coupl(   &
                  nGC_31)/2d0 - cMHL**2d0*coupl(nGC_94)**2d0 + 2d0*cMM**2d0*   &
                  coupl(nGC_163)**2d0 + 8d0*cMM**2d0*coupl(nGC_163)*coupl(     &
                  nGC_164) + 2d0*cMM**2d0*coupl(nGC_164)**2d0 + 2d0*cMTA**2d0* &
                  coupl(nGC_186)**2d0 + 8d0*cMTA**2d0*coupl(nGC_186)*coupl(    &
                  nGC_187) + 2d0*cMTA**2d0*coupl(nGC_187)**2d0 + cima*cMW**2d0*&
                  coupl(nGC_56) - 4d0*cima*cMW**2d0*coupl(nGC_62) - 2d0*cMW**  &
                  2d0*coupl(nGC_72)**2d0 - 2d0*cima*cMZ**2d0*coupl(nGC_101) +  &
                  cima*cMZ**2d0*coupl(nGC_59)/2d0 - cMZ**2d0*coupl(nGC_92)**2d0&
                   - cMZ**2d0*coupl(nGC_94)**2d0 - coupl(nGC_112)**2d0 - coupl(&
                  nGC_113)**2d0 - coupl(nGC_120)**2d0 - coupl(nGC_121)**2d0 -  &
                  2d0*coupl(nGC_122)*coupl(nGC_123))/(16d0*pi**2d0) + cima*    &
                  coupl(nGC_113)*dtHl_MS_QED1/cMHL**2d0 + cima*coupl(nGC_121)* &
                  dtHh_MS_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHA2_MS_QED2 = cone*real(dMHA2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter139
end module ctparameter139
