!******************************************************************************!
!                                                                              !
!    ctparameter140.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter140.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter140
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter140()
  dZA_QED2 = (8d0*Nc*Ten569*cMU_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten570*    &
             cMC_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten571*cMT**2d0*coupl(    &
             nGC_2)**2d0 + 8d0*Nc*Ten572*cMD_reg**2d0*coupl(nGC_1)**2d0 + 8d0* &
             Nc*Ten573*cMS_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*Ten574*cMB_reg**&
             2d0*coupl(nGC_1)**2d0 - 16d0*Nc*Ten575*coupl(nGC_2)**2d0 - 16d0*Nc&
             *Ten576*coupl(nGC_2)**2d0 - 16d0*Nc*Ten577*coupl(nGC_2)**2d0 -    &
             16d0*Nc*Ten578*coupl(nGC_1)**2d0 - 16d0*Nc*Ten579*coupl(nGC_1)**  &
             2d0 - 16d0*Nc*Ten580*coupl(nGC_1)**2d0 - 4d0*Nc*Ten581*coupl(nGC_2&
             )**2d0/3d0 - 4d0*Nc*Ten582*coupl(nGC_2)**2d0/3d0 - 4d0*Nc*Ten583* &
             coupl(nGC_1)**2d0/3d0 - 4d0*Nc*Ten584*coupl(nGC_1)**2d0/3d0 - 4d0*&
             Nc*Ten585*coupl(nGC_1)**2d0/3d0 + Ten968*(-coupl(nGC_17)**2d0 -   &
             8d0*coupl(nGC_3)**2d0) + Ten969*(-4d0*coupl(nGC_17)**2d0 - 13d0*  &
             coupl(nGC_3)**2d0 + coupl(nGC_4)**2d0) + Ten970*(-4d0*coupl(nGC_17&
             )**2d0 - 13d0*coupl(nGC_3)**2d0 + coupl(nGC_4)**2d0) + Ten979*(-  &
             8d0*coupl(nGC_17)**2d0 - 34d0*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_4 &
             )**2d0) + 8d0*Ten980*cME_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten981* &
             cMM_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten982*cMTA_reg**2d0*coupl(  &
             nGC_4)**2d0 - 16d0*Ten983*coupl(nGC_4)**2d0 - 16d0*Ten984*coupl(  &
             nGC_4)**2d0 - 16d0*Ten985*coupl(nGC_4)**2d0 + 4d0*Ten986*coupl(   &
             nGC_127)**2d0 - 8d0*Ten988*coupl(nGC_17)**2d0 - 4d0*Ten989*coupl( &
             nGC_4)**2d0/3d0 - 4d0*Ten990*coupl(nGC_4)**2d0/3d0 - 4d0*Ten991*  &
             coupl(nGC_4)**2d0/3d0 - Ten992*coupl(nGC_17)**2d0 - 4d0*Ten993*   &
             coupl(nGC_17)**2d0 - 4d0*Ten994*coupl(nGC_17)**2d0 + pi**2d0*(-4d0&
             *Nc*coupl(nGC_2)**2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_3)**2d0/(3d0* &
             pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter140
end module ctparameter140
