!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  if (dZmuMinusR_QED2_scheme .eq. 1) then
    dZmuMinusR_QED2 = (2d0*Ten887*coupl(nGC_4)**2d0 + 2d0*Ten888*coupl(nGC_86  &
                      )**2d0 + 2d0*Ten892*coupl(nGC_4)**2d0 + 2d0*Ten895*coupl(&
                      nGC_86)**2d0 - 4d0*Ten902*cMM_reg**2d0*coupl(nGC_4)**2d0 &
                       + 4d0*Ten907*cMM_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-&
                      coupl(nGC_4)**2d0/pi**2d0 - coupl(nGC_86)**2d0/pi**2d0   &
                      ))/(16d0*pi**2d0)
    dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter143
end module ctparameter143
