!******************************************************************************!
!                                                                              !
!    ctparameter153.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter153.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter153
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter153()
  dMHL2_QED2 = (4d0*Nc*Ten105*coupl(nGC_192)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**&
               2d0) + 4d0*Nc*Ten106*coupl(nGC_130)**2d0*rMHL**2d0*(cMHL**2d0 - &
               rMHL**2d0) + 4d0*Nc*Ten107*coupl(nGC_177)**2d0*rMHL**2d0*(cMHL**&
               2d0 - rMHL**2d0) + 4d0*Nc*Ten108*coupl(nGC_145)**2d0*rMHL**2d0*(&
               cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten109*coupl(nGC_169)**2d0*rMHL &
               **2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten110*coupl(nGC_141)**  &
               2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten114*coupl(   &
               nGC_192)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten115*coupl(   &
               nGC_130)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten116*coupl(   &
               nGC_177)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten117*coupl(   &
               nGC_145)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten118*coupl(   &
               nGC_169)**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten119*coupl(   &
               nGC_141)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten123*coupl(    &
               nGC_192)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten124*&
               coupl(nGC_130)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc* &
               Ten125*coupl(nGC_177)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) +  &
               4d0*Nc*Ten126*coupl(nGC_145)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL** &
               2d0) + 4d0*Nc*Ten127*coupl(nGC_169)**2d0*rMHL**2d0*(cMHL**2d0 - &
               rMHL**2d0) + 4d0*Nc*Ten128*coupl(nGC_141)**2d0*rMHL**2d0*(cMHL**&
               2d0 - rMHL**2d0) + 4d0*Nc*Ten27*cMU**2d0*coupl(nGC_192)**2d0 +  &
               4d0*Nc*Ten28*cMC**2d0*coupl(nGC_130)**2d0 + 4d0*Nc*Ten29*cMT**  &
               2d0*coupl(nGC_177)**2d0 + 4d0*Nc*Ten30*cMD**2d0*coupl(nGC_145)**&
               2d0 + 4d0*Nc*Ten31*cMS**2d0*coupl(nGC_169)**2d0 + 4d0*Nc*Ten32* &
               cMB**2d0*coupl(nGC_141)**2d0 + 4d0*Nc*Ten54*cMHL**2d0*coupl(    &
               nGC_192)**2d0 + 16d0*Nc*Ten55*coupl(nGC_192)**2d0 + 4d0*Nc*Ten56&
               *cMHL**2d0*coupl(nGC_192)**2d0 + 4d0*Nc*Ten57*cMHL**2d0*coupl(  &
               nGC_130)**2d0 + 16d0*Nc*Ten58*coupl(nGC_130)**2d0 + 4d0*Nc*Ten59&
               *cMHL**2d0*coupl(nGC_130)**2d0 + 4d0*Nc*Ten60*cMHL**2d0*coupl(  &
               nGC_177)**2d0 + 16d0*Nc*Ten61*coupl(nGC_177)**2d0 + 4d0*Nc*Ten62&
               *cMHL**2d0*coupl(nGC_177)**2d0 + 4d0*Nc*Ten63*cMHL**2d0*coupl(  &
               nGC_145)**2d0 + 16d0*Nc*Ten64*coupl(nGC_145)**2d0 + 4d0*Nc*Ten65&
               *cMHL**2d0*coupl(nGC_145)**2d0 + 4d0*Nc*Ten66*cMHL**2d0*coupl(  &
               nGC_169)**2d0 + 16d0*Nc*Ten67*coupl(nGC_169)**2d0 + 4d0*Nc*Ten68&
               *cMHL**2d0*coupl(nGC_169)**2d0 + 4d0*Nc*Ten69*cMHL**2d0*coupl(  &
               nGC_141)**2d0 + 16d0*Nc*Ten70*coupl(nGC_141)**2d0 + 4d0*Nc*Ten71&
               *cMHL**2d0*coupl(nGC_141)**2d0 + 4d0*Nc*Ten93*cMU**2d0*coupl(   &
               nGC_192)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten94*cMC**2d0*  &
               coupl(nGC_130)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten95*cMT**&
               2d0*coupl(nGC_177)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten96* &
               cMD**2d0*coupl(nGC_145)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*  &
               Ten97*cMS**2d0*coupl(nGC_169)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0&
               *Nc*Ten98*cMB**2d0*coupl(nGC_141)**2d0*(cMHL**2d0 - rMHL**2d0   &
               ) + cima*Ten0*coupl(nGC_11)/2d0 + cima*Ten1*(coupl(nGC_39) - 4d0&
               *coupl(nGC_99))/2d0 + Ten100*coupl(nGC_106)**2d0*(-cMHL**2d0 +  &
               rMHL**2d0) + Ten101*coupl(nGC_103)**2d0*(-cMHL**2d0 + rMHL**2d0 &
               )/2d0 + 4d0*Ten102*coupl(nGC_153)**2d0*rMHL**2d0*(cMHL**2d0 -   &
               rMHL**2d0) + 4d0*Ten103*coupl(nGC_161)**2d0*rMHL**2d0*(cMHL**2d0&
                - rMHL**2d0) + 4d0*Ten104*coupl(nGC_184)**2d0*rMHL**2d0*(cMHL**&
               2d0 - rMHL**2d0) + 16d0*Ten111*coupl(nGC_153)**2d0*(cMHL**2d0 - &
               rMHL**2d0) + 16d0*Ten112*coupl(nGC_161)**2d0*(cMHL**2d0 - rMHL**&
               2d0) + 16d0*Ten113*coupl(nGC_184)**2d0*(cMHL**2d0 - rMHL**2d0   &
               ) + 4d0*Ten120*coupl(nGC_153)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**&
               2d0) + 4d0*Ten121*coupl(nGC_161)**2d0*rMHL**2d0*(cMHL**2d0 -    &
               rMHL**2d0) + 4d0*Ten122*coupl(nGC_184)**2d0*rMHL**2d0*(cMHL**2d0&
                - rMHL**2d0) + cima*Ten13*coupl(nGC_30) + cima*Ten14*coupl(    &
               nGC_31)/2d0 + Ten15*(-5d0*cMHL**2d0*coupl(nGC_91)**2d0/2d0 -    &
               coupl(nGC_109)**2d0/2d0 - 2d0*coupl(nGC_128)**2d0 + coupl(nGC_93&
               )**2d0) + Ten16*(-4d0*cMHL**2d0*coupl(nGC_94)**2d0 - coupl(     &
               nGC_120)**2d0) - Ten17*coupl(nGC_113)**2d0/2d0 + Ten18*(-5d0*   &
               cMHL**2d0*coupl(nGC_63)*coupl(nGC_64) - coupl(nGC_108)**2d0 -   &
               4d0*coupl(nGC_124)**2d0 + 2d0*coupl(nGC_67)**2d0) + Ten19*(-8d0*&
               cMHL**2d0*coupl(nGC_68)*coupl(nGC_69) - 2d0*coupl(nGC_119)**2d0 &
               ) + cima*Ten2*coupl(nGC_13)/2d0 - Ten20*coupl(nGC_110)**2d0 -   &
               Ten21*coupl(nGC_104)**2d0/2d0 - Ten22*coupl(nGC_106)**2d0 -     &
               Ten23*coupl(nGC_103)**2d0/2d0 + 4d0*Ten24*cME**2d0*coupl(nGC_153&
               )**2d0 + 4d0*Ten25*cMM**2d0*coupl(nGC_161)**2d0 + 4d0*Ten26*cMTA&
               **2d0*coupl(nGC_184)**2d0 + cima*Ten3*(coupl(nGC_35) - 4d0*coupl&
               (nGC_61)) - Ten33*cMHL**2d0*coupl(nGC_91)**2d0 - 4d0*Ten34*coupl&
               (nGC_91)**2d0 - Ten35*cMHL**2d0*coupl(nGC_91)**2d0 - 4d0*Ten36* &
               cMHL**2d0*coupl(nGC_94)**2d0 - 4d0*Ten37*coupl(nGC_94)**2d0 -   &
               Ten38*cMHL**2d0*coupl(nGC_94)**2d0 - 2d0*Ten39*cMHL**2d0*coupl( &
               nGC_63)*coupl(nGC_64) - 8d0*Ten40*coupl(nGC_63)*coupl(nGC_64) - &
               2d0*Ten41*cMHL**2d0*coupl(nGC_63)*coupl(nGC_64) - 8d0*Ten42*cMHL&
               **2d0*coupl(nGC_68)*coupl(nGC_69) - 8d0*Ten43*coupl(nGC_68)*    &
               coupl(nGC_69) - 2d0*Ten44*cMHL**2d0*coupl(nGC_68)*coupl(nGC_69  &
               ) + 4d0*Ten45*cMHL**2d0*coupl(nGC_153)**2d0 + 16d0*Ten46*coupl( &
               nGC_153)**2d0 + 4d0*Ten47*cMHL**2d0*coupl(nGC_153)**2d0 + 4d0*  &
               Ten48*cMHL**2d0*coupl(nGC_161)**2d0 + 16d0*Ten49*coupl(nGC_161  &
               )**2d0 + 4d0*Ten50*cMHL**2d0*coupl(nGC_161)**2d0 + 4d0*Ten51*   &
               cMHL**2d0*coupl(nGC_184)**2d0 + 16d0*Ten52*coupl(nGC_184)**2d0  &
                + 4d0*Ten53*cMHL**2d0*coupl(nGC_184)**2d0 + Ten72*(-cMHL**2d0* &
               coupl(nGC_109)**2d0/2d0 - 2d0*cMHL**2d0*coupl(nGC_128)**2d0 -   &
               5d0*cMHL**2d0*coupl(nGC_91)**2d0*rMHL**2d0/2d0 + cMHL**2d0*coupl&
               (nGC_93)**2d0 + coupl(nGC_109)**2d0*rMHL**2d0/2d0 + 2d0*coupl(  &
               nGC_128)**2d0*rMHL**2d0 + 5d0*coupl(nGC_91)**2d0*rMHL**4d0/2d0  &
                - coupl(nGC_93)**2d0*rMHL**2d0) + Ten73*coupl(nGC_91)**2d0*rMHL&
               **2d0*(-cMHL**2d0 + rMHL**2d0) + 4d0*Ten74*coupl(nGC_91)**2d0*(-&
               cMHL**2d0 + rMHL**2d0) + Ten75*coupl(nGC_91)**2d0*rMHL**2d0*(-  &
               cMHL**2d0 + rMHL**2d0) + Ten76*(-cMHL**2d0*coupl(nGC_120)**2d0  &
                - 4d0*cMHL**2d0*coupl(nGC_94)**2d0*rMHL**2d0 + coupl(nGC_120)**&
               2d0*rMHL**2d0 + 4d0*coupl(nGC_94)**2d0*rMHL**4d0) + 4d0*Ten77*  &
               coupl(nGC_94)**2d0*rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + 4d0*    &
               Ten78*coupl(nGC_94)**2d0*(-cMHL**2d0 + rMHL**2d0) + Ten79*coupl(&
               nGC_94)**2d0*rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + Ten80*(-cMHL**&
               2d0*coupl(nGC_108)**2d0 - 4d0*cMHL**2d0*coupl(nGC_124)**2d0 -   &
               5d0*cMHL**2d0*coupl(nGC_63)*coupl(nGC_64)*rMHL**2d0 + 2d0*cMHL**&
               2d0*coupl(nGC_67)**2d0 + coupl(nGC_108)**2d0*rMHL**2d0 + 4d0*   &
               coupl(nGC_124)**2d0*rMHL**2d0 + 5d0*coupl(nGC_63)*coupl(nGC_64)*&
               rMHL**4d0 - 2d0*coupl(nGC_67)**2d0*rMHL**2d0) + 2d0*Ten81*coupl(&
               nGC_63)*coupl(nGC_64)*rMHL**2d0*(-cMHL**2d0 + rMHL**2d0) + 8d0* &
               Ten82*coupl(nGC_63)*coupl(nGC_64)*(-cMHL**2d0 + rMHL**2d0) + 2d0&
               *Ten83*coupl(nGC_63)*coupl(nGC_64)*rMHL**2d0*(-cMHL**2d0 + rMHL &
               **2d0) + Ten84*(-2d0*cMHL**2d0*coupl(nGC_119)**2d0 - 8d0*cMHL** &
               2d0*coupl(nGC_68)*coupl(nGC_69)*rMHL**2d0 + 2d0*coupl(nGC_119)**&
               2d0*rMHL**2d0 + 8d0*coupl(nGC_68)*coupl(nGC_69)*rMHL**4d0) + 8d0&
               *Ten85*coupl(nGC_68)*coupl(nGC_69)*rMHL**2d0*(-cMHL**2d0 + rMHL &
               **2d0) + 8d0*Ten86*coupl(nGC_68)*coupl(nGC_69)*(-cMHL**2d0 +    &
               rMHL**2d0) + 2d0*Ten87*coupl(nGC_68)*coupl(nGC_69)*rMHL**2d0*(- &
               cMHL**2d0 + rMHL**2d0) + Ten88*coupl(nGC_113)**2d0*(-cMHL**2d0  &
                + rMHL**2d0)/2d0 + Ten89*coupl(nGC_110)**2d0*(-cMHL**2d0 + rMHL&
               **2d0) + 4d0*Ten90*cME**2d0*coupl(nGC_153)**2d0*(cMHL**2d0 -    &
               rMHL**2d0) + 4d0*Ten91*cMM**2d0*coupl(nGC_161)**2d0*(cMHL**2d0  &
                - rMHL**2d0) + 4d0*Ten92*cMTA**2d0*coupl(nGC_184)**2d0*(cMHL** &
               2d0 - rMHL**2d0) + Ten99*coupl(nGC_104)**2d0*(-cMHL**2d0 + rMHL &
               **2d0)/2d0 + pi**2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_141)**2d0/pi** &
               2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_130)**2d0/pi**2d0 - 4d0*Nc*cMD**&
               2d0*coupl(nGC_145)**2d0/pi**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_130&
               )**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHL**2d0*coupl(nGC_141)**2d0/(3d0&
               *pi**2d0) + 2d0*Nc*cMHL**2d0*coupl(nGC_145)**2d0/(3d0*pi**2d0   &
               ) + 2d0*Nc*cMHL**2d0*coupl(nGC_169)**2d0/(3d0*pi**2d0) + 2d0*Nc*&
               cMHL**2d0*coupl(nGC_177)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHL**2d0* &
               coupl(nGC_192)**2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(      &
               nGC_169)**2d0/pi**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_177)**2d0/pi**&
               2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_192)**2d0/pi**2d0 - 4d0*cME**2d0&
               *coupl(nGC_153)**2d0/pi**2d0 + cMHA**2d0*coupl(nGC_94)**2d0/(2d0&
               *pi**2d0) + cMHC**2d0*coupl(nGC_68)*coupl(nGC_69)/pi**2d0 + 2d0*&
               cMHL**2d0*coupl(nGC_153)**2d0/(3d0*pi**2d0) + 2d0*cMHL**2d0*    &
               coupl(nGC_161)**2d0/(3d0*pi**2d0) + 2d0*cMHL**2d0*coupl(nGC_184 &
               )**2d0/(3d0*pi**2d0) - cMHL**2d0*coupl(nGC_63)*coupl(nGC_64)/(  &
               3d0*pi**2d0) - cMHL**2d0*coupl(nGC_68)*coupl(nGC_69)/(3d0*pi**  &
               2d0) - cMHL**2d0*coupl(nGC_91)**2d0/(6d0*pi**2d0) - cMHL**2d0*  &
               coupl(nGC_94)**2d0/(6d0*pi**2d0) - 4d0*cMM**2d0*coupl(nGC_161)**&
               2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_184)**2d0/pi**2d0 + 2d0*  &
               cima*cMW**2d0*coupl(nGC_61)/pi**2d0 + 2d0*cMW**2d0*coupl(nGC_63 &
               )*coupl(nGC_64)/pi**2d0 + cMW**2d0*coupl(nGC_68)*coupl(nGC_69)/ &
               pi**2d0 + cMZ**2d0*coupl(nGC_91)**2d0/pi**2d0 + cMZ**2d0*coupl( &
               nGC_94)**2d0/(2d0*pi**2d0) + cima*cMZ**2d0*coupl(nGC_99)/pi**2d0&
                + 2d0*coupl(nGC_124)**2d0/pi**2d0 + coupl(nGC_128)**2d0/pi**2d0&
               ))/(16d0*pi**2d0) + cima*coupl(nGC_104)*dtHl_QED1/cMHL**2d0 +   &
               cima*coupl(nGC_106)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHL2_QED2 = cone*real(dMHL2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter153
end module ctparameter153
