!******************************************************************************!
!                                                                              !
!    ctparameter174.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter174.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter174
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter174()
  if (dME_QED2_scheme .eq. 0) then
    dME_QED2 = (2d0*Ten837*cME*coupl(nGC_4)**2d0 + Ten838*cME*(-coupl(nGC_159  &
               )**2d0 - 2d0*coupl(nGC_159)*coupl(nGC_160) - coupl(nGC_160)**2d0&
                - 2d0*coupl(nGC_86)**2d0 + 8d0*coupl(nGC_86)*coupl(nGC_89) -   &
               2d0*coupl(nGC_89)**2d0)/2d0 + Ten839*cME*coupl(nGC_155)*coupl(  &
               nGC_156) + Ten840*cME*coupl(nGC_153)**2d0 + Ten841*cME*coupl(   &
               nGC_157)**2d0 - 2d0*Ten842*cME*coupl(nGC_4)**2d0 + Ten843*cME*( &
               coupl(nGC_158)**2d0 + 2d0*coupl(nGC_80)**2d0)/2d0 + Ten844*cME* &
               coupl(nGC_154)**2d0/2d0 + Ten845*cME*(-coupl(nGC_159)*coupl(    &
               nGC_160) - coupl(nGC_86)**2d0 - coupl(nGC_89)**2d0) + Ten846*cME&
               *(-coupl(nGC_155)**2d0 - coupl(nGC_156)**2d0)/2d0 - Ten847*cME* &
               coupl(nGC_153)**2d0 - Ten848*cME*coupl(nGC_157)**2d0 + pi**2d0  &
               *(-cME*coupl(nGC_4)**2d0/pi**2d0 + cME*coupl(nGC_80)**2d0/(2d0* &
               pi**2d0) + cME*coupl(nGC_86)**2d0/(2d0*pi**2d0) - 2d0*cME*coupl(&
               nGC_86)*coupl(nGC_89)/pi**2d0 + cME*coupl(nGC_89)**2d0/(2d0*pi**&
               2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_153)*dtHl_QED1/cMHL**2d0 &
                + cima*coupl(nGC_157)*dtHh_QED1/cMHH**2d0
    dME_QED2 = cone*real(dME_QED2,kind=dp)
  end if 
end subroutine set_ctparameter174
end module ctparameter174
