!******************************************************************************!
!                                                                              !
!    ctparameter179.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter179.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter179
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter179()
  dMHA2_QED2 = (4d0*Nc*Ten395*cMU**2d0*coupl(nGC_194)**2d0 + 4d0*Nc*Ten396*cMC &
               **2d0*coupl(nGC_132)**2d0 + 4d0*Nc*Ten397*cMT**2d0*coupl(nGC_179&
               )**2d0 + 2d0*Nc*Ten398*cMD**2d0*(coupl(nGC_147)**2d0 + coupl(   &
               nGC_148)**2d0) + 2d0*Nc*Ten399*cMS**2d0*(coupl(nGC_171)**2d0 +  &
               coupl(nGC_172)**2d0) + 2d0*Nc*Ten400*cMB**2d0*(coupl(nGC_143)** &
               2d0 + coupl(nGC_144)**2d0) - 4d0*Nc*Ten406*cMHA**2d0*coupl(     &
               nGC_194)**2d0 - 4d0*Nc*Ten407*cMHA**2d0*coupl(nGC_132)**2d0 -   &
               4d0*Nc*Ten408*cMHA**2d0*coupl(nGC_179)**2d0 + 4d0*Nc*Ten409*cMHA&
               **2d0*coupl(nGC_147)*coupl(nGC_148) + 4d0*Nc*Ten410*cMHA**2d0*  &
               coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*Ten411*cMHA**2d0*coupl(  &
               nGC_143)*coupl(nGC_144) - 16d0*Nc*Ten417*coupl(nGC_194)**2d0 -  &
               16d0*Nc*Ten418*coupl(nGC_132)**2d0 - 16d0*Nc*Ten419*coupl(      &
               nGC_179)**2d0 + 16d0*Nc*Ten420*coupl(nGC_147)*coupl(nGC_148) +  &
               16d0*Nc*Ten421*coupl(nGC_171)*coupl(nGC_172) + 16d0*Nc*Ten422*  &
               coupl(nGC_143)*coupl(nGC_144) - 4d0*Nc*Ten428*cMHA**2d0*coupl(  &
               nGC_194)**2d0 - 4d0*Nc*Ten429*cMHA**2d0*coupl(nGC_132)**2d0 -   &
               4d0*Nc*Ten430*cMHA**2d0*coupl(nGC_179)**2d0 + 4d0*Nc*Ten431*cMHA&
               **2d0*coupl(nGC_147)*coupl(nGC_148) + 4d0*Nc*Ten432*cMHA**2d0*  &
               coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*Ten433*cMHA**2d0*coupl(  &
               nGC_143)*coupl(nGC_144) + 4d0*Nc*Ten451*cMU**2d0*coupl(nGC_194  &
               )**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten452*cMC**2d0*coupl(  &
               nGC_132)**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten453*cMT**2d0* &
               coupl(nGC_179)**2d0*(cMHA**2d0 - rMHA**2d0) + 2d0*Nc*Ten454*cMD &
               **2d0*(cMHA**2d0*coupl(nGC_147)**2d0 + cMHA**2d0*coupl(nGC_148  &
               )**2d0 - coupl(nGC_147)**2d0*rMHA**2d0 - coupl(nGC_148)**2d0*   &
               rMHA**2d0) + 2d0*Nc*Ten455*cMS**2d0*(cMHA**2d0*coupl(nGC_171)** &
               2d0 + cMHA**2d0*coupl(nGC_172)**2d0 - coupl(nGC_171)**2d0*rMHA**&
               2d0 - coupl(nGC_172)**2d0*rMHA**2d0) + 2d0*Nc*Ten456*cMB**2d0*( &
               cMHA**2d0*coupl(nGC_143)**2d0 + cMHA**2d0*coupl(nGC_144)**2d0 - &
               coupl(nGC_143)**2d0*rMHA**2d0 - coupl(nGC_144)**2d0*rMHA**2d0   &
               ) + 4d0*Nc*Ten460*coupl(nGC_194)**2d0*rMHA**2d0*(-cMHA**2d0 +   &
               rMHA**2d0) + 4d0*Nc*Ten461*coupl(nGC_132)**2d0*rMHA**2d0*(-cMHA &
               **2d0 + rMHA**2d0) + 4d0*Nc*Ten462*coupl(nGC_179)**2d0*rMHA**2d0&
               *(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten463*coupl(nGC_147)*coupl( &
               nGC_148)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten464*coupl&
               (nGC_171)*coupl(nGC_172)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0&
               *Nc*Ten465*coupl(nGC_143)*coupl(nGC_144)*rMHA**2d0*(cMHA**2d0 - &
               rMHA**2d0) + 16d0*Nc*Ten469*coupl(nGC_194)**2d0*(-cMHA**2d0 +   &
               rMHA**2d0) + 16d0*Nc*Ten470*coupl(nGC_132)**2d0*(-cMHA**2d0 +   &
               rMHA**2d0) + 16d0*Nc*Ten471*coupl(nGC_179)**2d0*(-cMHA**2d0 +   &
               rMHA**2d0) + 16d0*Nc*Ten472*coupl(nGC_147)*coupl(nGC_148)*(cMHA &
               **2d0 - rMHA**2d0) + 16d0*Nc*Ten473*coupl(nGC_171)*coupl(nGC_172&
               )*(cMHA**2d0 - rMHA**2d0) + 16d0*Nc*Ten474*coupl(nGC_143)*coupl(&
               nGC_144)*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten478*coupl(nGC_194  &
               )**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten479*coupl(&
               nGC_132)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc*Ten480&
               *coupl(nGC_179)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Nc&
               *Ten481*coupl(nGC_147)*coupl(nGC_148)*rMHA**2d0*(cMHA**2d0 -    &
               rMHA**2d0) + 4d0*Nc*Ten482*coupl(nGC_171)*coupl(nGC_172)*rMHA** &
               2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Nc*Ten483*coupl(nGC_143)*coupl&
               (nGC_144)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + cima*Ten0*coupl(  &
               nGC_31)/2d0 + cima*Ten1*(-4d0*coupl(nGC_101) + coupl(nGC_59))/  &
               2d0 + cima*Ten13*coupl(nGC_50) + cima*Ten14*coupl(nGC_52)/2d0 + &
               cima*Ten2*coupl(nGC_38)/2d0 + cima*Ten3*(coupl(nGC_56) - 4d0*   &
               coupl(nGC_62)) + Ten384*(-4d0*cMHA**2d0*coupl(nGC_94)**2d0 -    &
               coupl(nGC_120)**2d0) - 4d0*Ten385*cMHA**2d0*coupl(nGC_94)**2d0  &
                - 4d0*Ten386*coupl(nGC_94)**2d0 - Ten387*cMHA**2d0*coupl(nGC_94&
               )**2d0 + Ten388*(-4d0*cMHA**2d0*coupl(nGC_92)**2d0 - coupl(     &
               nGC_112)**2d0) - Ten389*coupl(nGC_113)**2d0 - Ten390*coupl(     &
               nGC_121)**2d0 + Ten391*(-8d0*cMHA**2d0*coupl(nGC_72)**2d0 - 2d0*&
               coupl(nGC_122)*coupl(nGC_123)) + 2d0*Ten392*cME**2d0*(coupl(    &
               nGC_155)**2d0 + coupl(nGC_156)**2d0) + 2d0*Ten393*cMM**2d0*(    &
               coupl(nGC_163)**2d0 + coupl(nGC_164)**2d0) + 2d0*Ten394*cMTA**  &
               2d0*(coupl(nGC_186)**2d0 + coupl(nGC_187)**2d0) - 4d0*Ten401*   &
               cMHA**2d0*coupl(nGC_92)**2d0 - 8d0*Ten402*cMHA**2d0*coupl(nGC_72&
               )**2d0 + 4d0*Ten403*cMHA**2d0*coupl(nGC_155)*coupl(nGC_156) +   &
               4d0*Ten404*cMHA**2d0*coupl(nGC_163)*coupl(nGC_164) + 4d0*Ten405*&
               cMHA**2d0*coupl(nGC_186)*coupl(nGC_187) - 4d0*Ten412*coupl(     &
               nGC_92)**2d0 - 8d0*Ten413*coupl(nGC_72)**2d0 + 16d0*Ten414*coupl&
               (nGC_155)*coupl(nGC_156) + 16d0*Ten415*coupl(nGC_163)*coupl(    &
               nGC_164) + 16d0*Ten416*coupl(nGC_186)*coupl(nGC_187) - Ten423*  &
               cMHA**2d0*coupl(nGC_92)**2d0 - 2d0*Ten424*cMHA**2d0*coupl(nGC_72&
               )**2d0 + 4d0*Ten425*cMHA**2d0*coupl(nGC_155)*coupl(nGC_156) +   &
               4d0*Ten426*cMHA**2d0*coupl(nGC_163)*coupl(nGC_164) + 4d0*Ten427*&
               cMHA**2d0*coupl(nGC_186)*coupl(nGC_187) + Ten434*(-cMHA**2d0*   &
               coupl(nGC_120)**2d0 - 4d0*cMHA**2d0*coupl(nGC_94)**2d0*rMHA**2d0&
                + coupl(nGC_120)**2d0*rMHA**2d0 + 4d0*coupl(nGC_94)**2d0*rMHA**&
               4d0) + 4d0*Ten435*coupl(nGC_94)**2d0*rMHA**2d0*(-cMHA**2d0 +    &
               rMHA**2d0) + 4d0*Ten436*coupl(nGC_94)**2d0*(-cMHA**2d0 + rMHA** &
               2d0) + Ten437*coupl(nGC_94)**2d0*rMHA**2d0*(-cMHA**2d0 + rMHA** &
               2d0) + Ten438*(-cMHA**2d0*coupl(nGC_112)**2d0 - 4d0*cMHA**2d0*  &
               coupl(nGC_92)**2d0*rMHA**2d0 + coupl(nGC_112)**2d0*rMHA**2d0 +  &
               4d0*coupl(nGC_92)**2d0*rMHA**4d0) + 4d0*Ten439*coupl(nGC_92)**  &
               2d0*rMHA**2d0*(-cMHA**2d0 + rMHA**2d0) + 4d0*Ten440*coupl(nGC_92&
               )**2d0*(-cMHA**2d0 + rMHA**2d0) + Ten441*coupl(nGC_92)**2d0*rMHA&
               **2d0*(-cMHA**2d0 + rMHA**2d0) + Ten442*(-2d0*cMHA**2d0*coupl(  &
               nGC_122)*coupl(nGC_123) - 8d0*cMHA**2d0*coupl(nGC_72)**2d0*rMHA &
               **2d0 + 2d0*coupl(nGC_122)*coupl(nGC_123)*rMHA**2d0 + 8d0*coupl(&
               nGC_72)**2d0*rMHA**4d0) + 8d0*Ten443*coupl(nGC_72)**2d0*rMHA**  &
               2d0*(-cMHA**2d0 + rMHA**2d0) + 8d0*Ten444*coupl(nGC_72)**2d0*(- &
               cMHA**2d0 + rMHA**2d0) + 2d0*Ten445*coupl(nGC_72)**2d0*rMHA**2d0&
               *(-cMHA**2d0 + rMHA**2d0) + Ten446*coupl(nGC_113)**2d0*(-cMHA** &
               2d0 + rMHA**2d0) + Ten447*coupl(nGC_121)**2d0*(-cMHA**2d0 + rMHA&
               **2d0) + 2d0*Ten448*cME**2d0*(cMHA**2d0*coupl(nGC_155)**2d0 +   &
               cMHA**2d0*coupl(nGC_156)**2d0 - coupl(nGC_155)**2d0*rMHA**2d0 - &
               coupl(nGC_156)**2d0*rMHA**2d0) + 2d0*Ten449*cMM**2d0*(cMHA**2d0*&
               coupl(nGC_163)**2d0 + cMHA**2d0*coupl(nGC_164)**2d0 - coupl(    &
               nGC_163)**2d0*rMHA**2d0 - coupl(nGC_164)**2d0*rMHA**2d0) + 2d0* &
               Ten450*cMTA**2d0*(cMHA**2d0*coupl(nGC_186)**2d0 + cMHA**2d0*    &
               coupl(nGC_187)**2d0 - coupl(nGC_186)**2d0*rMHA**2d0 - coupl(    &
               nGC_187)**2d0*rMHA**2d0) + 4d0*Ten457*coupl(nGC_155)*coupl(     &
               nGC_156)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Ten458*coupl(  &
               nGC_163)*coupl(nGC_164)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*&
               Ten459*coupl(nGC_186)*coupl(nGC_187)*rMHA**2d0*(cMHA**2d0 - rMHA&
               **2d0) + 16d0*Ten466*coupl(nGC_155)*coupl(nGC_156)*(cMHA**2d0 - &
               rMHA**2d0) + 16d0*Ten467*coupl(nGC_163)*coupl(nGC_164)*(cMHA**  &
               2d0 - rMHA**2d0) + 16d0*Ten468*coupl(nGC_186)*coupl(nGC_187)*(  &
               cMHA**2d0 - rMHA**2d0) + 4d0*Ten475*coupl(nGC_155)*coupl(nGC_156&
               )*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Ten476*coupl(nGC_163)*&
               coupl(nGC_164)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0) + 4d0*Ten477*  &
               coupl(nGC_186)*coupl(nGC_187)*rMHA**2d0*(cMHA**2d0 - rMHA**2d0  &
               ) + pi**2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_143)*coupl(nGC_144)/pi**&
               2d0 + 4d0*Nc*cMC**2d0*coupl(nGC_132)**2d0/pi**2d0 - 4d0*Nc*cMD**&
               2d0*coupl(nGC_147)*coupl(nGC_148)/pi**2d0 - 2d0*Nc*cMHA**2d0*   &
               coupl(nGC_132)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHA**2d0*coupl(     &
               nGC_143)*coupl(nGC_144)/(3d0*pi**2d0) + 2d0*Nc*cMHA**2d0*coupl( &
               nGC_147)*coupl(nGC_148)/(3d0*pi**2d0) + 2d0*Nc*cMHA**2d0*coupl( &
               nGC_171)*coupl(nGC_172)/(3d0*pi**2d0) - 2d0*Nc*cMHA**2d0*coupl( &
               nGC_179)**2d0/(3d0*pi**2d0) - 2d0*Nc*cMHA**2d0*coupl(nGC_194)** &
               2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(nGC_172&
               )/pi**2d0 + 4d0*Nc*cMT**2d0*coupl(nGC_179)**2d0/pi**2d0 + 4d0*Nc&
               *cMU**2d0*coupl(nGC_194)**2d0/pi**2d0 - 4d0*cME**2d0*coupl(     &
               nGC_155)*coupl(nGC_156)/pi**2d0 + 2d0*cMHA**2d0*coupl(nGC_155)* &
               coupl(nGC_156)/(3d0*pi**2d0) + 2d0*cMHA**2d0*coupl(nGC_163)*    &
               coupl(nGC_164)/(3d0*pi**2d0) + 2d0*cMHA**2d0*coupl(nGC_186)*    &
               coupl(nGC_187)/(3d0*pi**2d0) - cMHA**2d0*coupl(nGC_72)**2d0/(3d0&
               *pi**2d0) - cMHA**2d0*coupl(nGC_92)**2d0/(6d0*pi**2d0) - cMHA** &
               2d0*coupl(nGC_94)**2d0/(6d0*pi**2d0) + cMHC**2d0*coupl(nGC_72)**&
               2d0/pi**2d0 + cMHH**2d0*coupl(nGC_92)**2d0/(2d0*pi**2d0) + cMHL &
               **2d0*coupl(nGC_94)**2d0/(2d0*pi**2d0) - 4d0*cMM**2d0*coupl(    &
               nGC_163)*coupl(nGC_164)/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_186)* &
               coupl(nGC_187)/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_62)/pi**2d0&
                + cMW**2d0*coupl(nGC_72)**2d0/pi**2d0 + cima*cMZ**2d0*coupl(   &
               nGC_101)/pi**2d0 + cMZ**2d0*coupl(nGC_92)**2d0/(2d0*pi**2d0) +  &
               cMZ**2d0*coupl(nGC_94)**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) +    &
               cima*coupl(nGC_113)*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_121)*  &
               dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHA2_QED2 = cone*real(dMHA2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter179
end module ctparameter179
