!******************************************************************************!
!                                                                              !
!    ctparameter183.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter183.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter183
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter183()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZGMinusHMinus_MS_QED2 = DeltaUV*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(     &
                           nGC_142) - 4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(    &
                           nGC_181) - 4d0*Nc*cMB*cMT*coupl(nGC_138)*coupl(     &
                           nGC_178) - 4d0*Nc*cMB*cMT*coupl(nGC_142)*coupl(     &
                           nGC_181) - 4d0*Nc*cMC**2d0*coupl(nGC_131)*coupl(    &
                           nGC_134) - 4d0*Nc*cMC**2d0*coupl(nGC_170)*coupl(    &
                           nGC_174) - 4d0*Nc*cMC*cMS*coupl(nGC_131)*coupl(     &
                           nGC_174) - 4d0*Nc*cMC*cMS*coupl(nGC_134)*coupl(     &
                           nGC_170) - 4d0*Nc*cMD**2d0*coupl(nGC_146)*coupl(    &
                           nGC_150) - 4d0*Nc*cMD**2d0*coupl(nGC_193)*coupl(    &
                           nGC_196) - 4d0*Nc*cMD*cMU*coupl(nGC_146)*coupl(     &
                           nGC_196) - 4d0*Nc*cMD*cMU*coupl(nGC_150)*coupl(     &
                           nGC_193) + 2d0*Nc*cMHC**2d0*coupl(nGC_131)*coupl(   &
                           nGC_134) + 2d0*Nc*cMHC**2d0*coupl(nGC_138)*coupl(   &
                           nGC_142) + 2d0*Nc*cMHC**2d0*coupl(nGC_146)*coupl(   &
                           nGC_150) + 2d0*Nc*cMHC**2d0*coupl(nGC_170)*coupl(   &
                           nGC_174) + 2d0*Nc*cMHC**2d0*coupl(nGC_178)*coupl(   &
                           nGC_181) + 2d0*Nc*cMHC**2d0*coupl(nGC_193)*coupl(   &
                           nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131)*coupl(    &
                           nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl(    &
                           nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(    &
                           nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(    &
                           nGC_181) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(    &
                           nGC_150) - 4d0*Nc*cMU**2d0*coupl(nGC_193)*coupl(    &
                           nGC_196) - 4d0*cME**2d0*coupl(nGC_154)*coupl(nGC_158&
                           ) - cima*cMHA**2d0*coupl(nGC_42) + 2d0*cMHC**2d0*   &
                           coupl(nGC_154)*coupl(nGC_158) + 2d0*cMHC**2d0*coupl(&
                           nGC_162)*coupl(nGC_166) + 2d0*cMHC**2d0*coupl(      &
                           nGC_185)*coupl(nGC_189) - 2d0*cima*cMHC**2d0*coupl( &
                           nGC_44) - 4d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_68  &
                           ) - 4d0*cMHC**2d0*coupl(nGC_64)*coupl(nGC_68) - cima&
                           *cMHH**2d0*coupl(nGC_27) - 2d0*cMHH**2d0*coupl(     &
                           nGC_64)*coupl(nGC_68) - cima*cMHL**2d0*coupl(nGC_24 &
                           ) - 2d0*cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - 4d0*&
                           cMM**2d0*coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA** &
                           2d0*coupl(nGC_185)*coupl(nGC_189) - 2d0*cima*cMW**  &
                           2d0*coupl(nGC_45) - 2d0*cMW**2d0*coupl(nGC_63)*coupl&
                           (nGC_68) - 2d0*cMW**2d0*coupl(nGC_64)*coupl(nGC_68  &
                           ) - cima*cMZ**2d0*coupl(nGC_43) + 8d0*coupl(nGC_102 &
                           )*coupl(nGC_107) + 2d0*coupl(nGC_108)*coupl(nGC_119 &
                           ) + 2d0*coupl(nGC_110)*coupl(nGC_119) + 2d0*coupl(  &
                           nGC_111)*coupl(nGC_116) + 2d0*coupl(nGC_111)*coupl( &
                           nGC_118) + 8d0*coupl(nGC_126)*coupl(nGC_127))/(16d0*&
                           pi**2d0*cMHC**2d0) - 2d0*cima*coupl(nGC_119)*       &
                           dtHl_MS_QED1/(cMHC**2d0*cMHL**2d0) - 2d0*cima*coupl(&
                           nGC_111)*dtHh_MS_QED1/(cMHC**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZGMinusHMinus_MS_QED2 = cone*real(dZGMinusHMinus_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter183
end module ctparameter183
