!******************************************************************************!
!                                                                              !
!    ctparameter191.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter191.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter191
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter191()
  if (db_QED2_scheme .eq. 6) then
    db_QED2 = OS12_Hvv_db_QED2 - ca*cb*dZHhHl_QED2*sa*sb - ca*cb*dZHlHh_QED2*sa&
              *sb + cb*dZHh_QED2*sb*(ca**2d0 - sa**2d0)/2d0 + cb*dZHl_QED2*sb  &
              *(-ca**2d0 + sa**2d0)/2d0 + dZG0Ha_QED2/2d0
    if (.not. complex_mass_scheme) then
      db_QED2 = cone*real(db_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter191
end module ctparameter191
