!******************************************************************************!
!                                                                              !
!    ctparameter34.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter34.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter34
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter34()
  dZtL_QED2 = (2d0*Ten806*coupl(nGC_2)**2d0 + Ten807*(coupl(nGC_182)*coupl(    &
              nGC_183) + 2d0*coupl(nGC_88)**2d0) + Ten808*(coupl(nGC_138)**2d0 &
               + 2d0*coupl(nGC_80)**2d0) + Ten809*coupl(nGC_179)**2d0 - Ten810*&
              coupl(nGC_177)**2d0 - Ten811*coupl(nGC_180)**2d0 + 2d0*Ten812*   &
              coupl(nGC_2)**2d0 + Ten813*(coupl(nGC_182)*coupl(nGC_183) + 2d0* &
              coupl(nGC_88)**2d0) + Ten814*(coupl(nGC_138)**2d0 + 2d0*coupl(   &
              nGC_80)**2d0) - Ten815*coupl(nGC_142)**2d0 + 2d0*Ten820*cMT*coupl&
              (nGC_179)**2d0*rMT + 2d0*Ten821*cMT*coupl(nGC_177)**2d0*rMT + 2d0&
              *Ten822*cMT*coupl(nGC_180)**2d0*rMT + 4d0*Ten823*coupl(nGC_2)**  &
              2d0*rMT*(-2d0*cMT + rMT) + Ten824*rMT*(cMT*coupl(nGC_182)**2d0 + &
              cMT*coupl(nGC_183)**2d0 - 8d0*cMT*coupl(nGC_85)*coupl(nGC_88) +  &
              2d0*coupl(nGC_182)*coupl(nGC_183)*rMT + 2d0*coupl(nGC_85)**2d0*  &
              rMT + 2d0*coupl(nGC_88)**2d0*rMT) + Ten825*rMT*(2d0*cMB*coupl(   &
              nGC_138)*coupl(nGC_181) + coupl(nGC_138)**2d0*rMT + coupl(nGC_181&
              )**2d0*rMT + 2d0*coupl(nGC_80)**2d0*rMT) + 2d0*Ten826*cMB*coupl( &
              nGC_142)*coupl(nGC_178)*rMT + 2d0*Ten827*coupl(nGC_179)**2d0*rMT &
              **2d0 - 2d0*Ten828*coupl(nGC_177)**2d0*rMT**2d0 - 2d0*Ten829*    &
              coupl(nGC_180)**2d0*rMT**2d0 + 4d0*Ten830*coupl(nGC_2)**2d0*rMT**&
              2d0 + 2d0*Ten831*rMT**2d0*(coupl(nGC_182)*coupl(nGC_183) + coupl(&
              nGC_85)**2d0 + coupl(nGC_88)**2d0) + Ten832*rMT**2d0*(coupl(     &
              nGC_138)**2d0 + coupl(nGC_181)**2d0 + 2d0*coupl(nGC_80)**2d0) +  &
              Ten833*rMT**2d0*(-coupl(nGC_142)**2d0 - coupl(nGC_178)**2d0) + pi&
              **2d0*(-coupl(nGC_2)**2d0/pi**2d0 - coupl(nGC_80)**2d0/pi**2d0 - &
              coupl(nGC_88)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtL_QED2 = cone*real(dZtL_QED2,kind=dp)
    end if 
end subroutine set_ctparameter34
end module ctparameter34
