!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dcab_QED2 = da_QED2*(ca*sb - cb*sa) + db_QED2*(-ca*sb + cb*sa)
  dydo2_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
                    *sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dydo2_QED3 = sqrt(2d0)*cMD*cb*db_QED2*gw*h2d*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW&
               *sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMD*        &
               dZee_QED2*gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0  &
                - 2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMD*cw**4d0*dMZ2_QED2*gw*h2d*&
               sw**2d0/(4d0*cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt( &
               2d0)*cMD*dMW2_QED2*gw*h2d*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**&
               3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMD_QED2*gw*  &
               h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 &
                + 1d0))
  dydo1_QED3 = sqrt(2d0)*cMD*dZee_QED2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
               *cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMD*db_QED2*gw*  &
               h1d*sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*&
               cw**2d0 + 1d0)) - sqrt(2d0)*cMD*cw**4d0*dMZ2_QED2*gw*h1d*sw**2d0&
               /(4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMD&
               *dMW2_QED2*gw*h1d*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(&
               cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMD_QED2*gw*h1d*sw**  &
               2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dydo1_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
                    *cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dvev1_QED1 = -2d0*cMW*cb*dZee_QED2/gw - 2d0*cMW*db_QED2*sb/gw + cb*cw**4d0*  &
               dMZ2_QED2/(cMW*gw*sw**2d0) + cb*dMW2_QED2*(-cw**2d0 + sw**2d0)/(&
               cMW*gw*sw**2d0)
  dvev2_QED1 = 2d0*cMW*cb*db_QED2/gw - 2d0*cMW*dZee_QED2*sb/gw + cw**4d0*      &
               dMZ2_QED2*sb/(cMW*gw*sw**2d0) + dMW2_QED2*sb*(-cw**2d0 + sw**2d0&
               )/(cMW*gw*sw**2d0)
  dg1_QED3 = -dZee_QED2*gw*sw/(2d0*cw) - cw*dMZ2_QED2*gw*sw/(4d0*cMW**2d0) +   &
             dMW2_QED2*gw*sw/(4d0*cMW**2d0*cw)
  dyt1_QED3 = sqrt(2d0)*cMT*dZee_QED2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
              cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMT*db_QED2*gw*h1u*&
              sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*cw** &
              2d0 + 1d0)) - sqrt(2d0)*cMT*cw**4d0*dMZ2_QED2*gw*h1u*sw**2d0/(4d0&
              *cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMT*     &
              dMW2_QED2*gw*h1u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMT_QED2*gw*h1u*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyt1_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyt2_QED3 = sqrt(2d0)*cMT*cb*db_QED2*gw*h2u*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMT*dZee_QED2*&
              gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cMT*cw**4d0*dMZ2_QED2*gw*h2u*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMT*     &
              dMW2_QED2*gw*h2u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMT_QED2*gw*h2u*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyt2_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dMPA_QED2 = sqrt(2d0)*dMHA2_QED2/(4d0*cMHA)
  dMPC_QED2 = sqrt(2d0)*dMHC2_QED2/(4d0*cMHC)
  dm12_QED2 = 8d0*cMW**2d0*cb*dZee_QED2*l5*sb*(cw**2d0 - 1d0)/(gw**2d0*sw**2d0 &
              ) + 4d0*cMW**2d0*cb*dl5_QED4*sb*(-cw**2d0 + 1d0)/(gw**2d0*sw**2d0&
              ) + 4d0*cb*cw**4d0*dMZ2_QED2*l5*sb/(gw**2d0*sw**2d0) + cb*       &
              dMHA2_QED2*sb + 4d0*cb*dMW2_QED2*l5*sb*(-2d0*cw**2d0 + 1d0)/(gw**&
              2d0*sw**2d0) + db_QED2*(cMHA**2d0*cb**2d0*gw**2d0*sw**2d0 - cMHA &
              **2d0*gw**2d0*sb**2d0*sw**2d0 - 4d0*cMW**2d0*cb**2d0*cw**2d0*l5  &
               + 4d0*cMW**2d0*cb**2d0*l5 + 4d0*cMW**2d0*cw**2d0*l5*sb**2d0 -   &
              4d0*cMW**2d0*l5*sb**2d0)/(gw**2d0*sw**2d0)
  dyc1_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyc1_QED3 = sqrt(2d0)*cMC*dZee_QED2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
              cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMC*db_QED2*gw*h1u*&
              sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*cw** &
              2d0 + 1d0)) - sqrt(2d0)*cMC*cw**4d0*dMZ2_QED2*gw*h1u*sw**2d0/(4d0&
              *cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMC*     &
              dMW2_QED2*gw*h1u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMC_QED2*gw*h1u*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyc2_QED3 = sqrt(2d0)*cMC*cb*db_QED2*gw*h2u*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMC*dZee_QED2*&
              gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cMC*cw**4d0*dMZ2_QED2*gw*h2u*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMC*     &
              dMW2_QED2*gw*h2u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMC_QED2*gw*h2u*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyc2_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dsw_QED2 = cw**4d0*dMZ2_QED2/(2d0*cMW**2d0*sw) - cw**2d0*dMW2_QED2/(2d0*cMW**&
             2d0*sw)
  dye2_QED3 = sqrt(2d0)*cME*cb*db_QED2*gw*h2l*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cME*dZee_QED2*&
              gw*h2l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cME*cw**4d0*dMZ2_QED2*gw*h2l*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cME*     &
              dMW2_QED2*gw*h2l*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dME_QED2*gw*h2l*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dye1_QED3 = sqrt(2d0)*cME*dZee_QED2*gw*h1l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
              cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cME*db_QED2*gw*h1l*&
              sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*cw** &
              2d0 + 1d0)) - sqrt(2d0)*cME*cw**4d0*dMZ2_QED2*gw*h1l*sw**2d0/(4d0&
              *cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cME*     &
              dMW2_QED2*gw*h1l*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dME_QED2*gw*h1l*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyup2_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
                    *sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyup2_QED3 = sqrt(2d0)*cMU*cb*db_QED2*gw*h2u*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW&
               *sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMU*        &
               dZee_QED2*gw*h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0  &
                - 2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMU*cw**4d0*dMZ2_QED2*gw*h2u*&
               sw**2d0/(4d0*cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt( &
               2d0)*cMU*dMW2_QED2*gw*h2u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**&
               3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMU_QED2*gw*  &
               h2u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 &
                + 1d0))
  dyup1_QED3 = sqrt(2d0)*cMU*dZee_QED2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
               *cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMU*db_QED2*gw*  &
               h1u*sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*&
               cw**2d0 + 1d0)) - sqrt(2d0)*cMU*cw**4d0*dMZ2_QED2*gw*h1u*sw**2d0&
               /(4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMU&
               *dMW2_QED2*gw*h1u*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(&
               cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMU_QED2*gw*h1u*sw**  &
               2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyup1_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw*h1u*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW&
                    *cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dym2_QED3 = sqrt(2d0)*cMM*cb*db_QED2*gw*h2l*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMM*dZee_QED2*&
              gw*h2l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cMM*cw**4d0*dMZ2_QED2*gw*h2l*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMM*     &
              dMW2_QED2*gw*h2l*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMM_QED2*gw*h2l*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dMSB2_QED2 = 8d0*cMW**2d0*dZee_QED2*l5*(cw**2d0 - 1d0)/(gw**2d0*sw**2d0) +   &
               4d0*cMW**2d0*dl5_QED4*(-cw**2d0 + 1d0)/(gw**2d0*sw**2d0) + 4d0* &
               cw**4d0*dMZ2_QED2*l5/(gw**2d0*sw**2d0) + dMHA2_QED2 + 4d0*      &
               dMW2_QED2*l5*(-2d0*cw**2d0 + 1d0)/(gw**2d0*sw**2d0)
  dym1_QED3 = sqrt(2d0)*cMM*dZee_QED2*gw*h1l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
              cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMM*db_QED2*gw*h1l*&
              sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - 2d0*cw** &
              2d0 + 1d0)) - sqrt(2d0)*cMM*cw**4d0*dMZ2_QED2*gw*h1l*sw**2d0/(4d0&
              *cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMM*     &
              dMW2_QED2*gw*h1l*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*cb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMM_QED2*gw*h1l*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dsw2_QED2 = cw**4d0*dMZ2_QED2/cMW**2d0 - cw**2d0*dMW2_QED2/cMW**2d0
  dl4_QED4 = dl5_QED4*(-cw**2d0 + 1d0)/sw**2d0 + dMHA2_QED2*gw**2d0*(-cw**2d0  &
              + 1d0)/(2d0*cMW**2d0*sw**2d0) + dMHC2_QED2*gw**2d0*(cw**2d0 - 1d0&
             )/(2d0*cMW**2d0*sw**2d0) + dZee_QED2*gw**2d0*(-cMHA**2d0*cw**2d0  &
              + cMHA**2d0 + cMHC**2d0*cw**2d0 - cMHC**2d0)/(cMW**2d0*sw**2d0   &
             ) + cw**4d0*dMZ2_QED2*gw**2d0*(-cMHA**2d0 + cMHC**2d0)/(2d0*cMW** &
             4d0*sw**2d0) + dMW2_QED2*gw**2d0*(2d0*cMHA**2d0*cw**2d0 - cMHA**  &
             2d0 - 2d0*cMHC**2d0*cw**2d0 + cMHC**2d0)/(2d0*cMW**4d0*sw**2d0)
  dsab_QED2 = da_QED2*(ca*cb + sa*sb) + db_QED2*(-ca*cb - sa*sb)
  dgw_QED3 = dZee_QED2*gw - cw**4d0*dMZ2_QED2*gw/(2d0*cMW**2d0*sw**2d0) + cw** &
             2d0*dMW2_QED2*gw/(2d0*cMW**2d0*sw**2d0)
  dcw_QED2 = -cw**3d0*dMZ2_QED2/(2d0*cMW**2d0) + cw*dMW2_QED2/(2d0*cMW**2d0)
  dyd12x2_QED3 = sqrt(2d0)*cMS*dZee_QED2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0* &
                 cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMS*db_QED2*&
                 gw*h1d*sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0  &
                  - 2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMS*cw**4d0*dMZ2_QED2*gw*  &
                 h1d*sw**2d0/(4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + &
                 sqrt(2d0)*cMS*dMW2_QED2*gw*h1d*sw**2d0*(2d0*cw**2d0 - 1d0)/(  &
                 4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*   &
                 dMS_QED2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 &
                  - 2d0*cw**2d0 + 1d0))
  dyd12x2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0* &
                      cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyb2_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dyb2_QED3 = sqrt(2d0)*cMB*cb*db_QED2*gw*h2d*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMB*dZee_QED2*&
              gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cMB*cw**4d0*dMZ2_QED2*gw*h2d*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMB*     &
              dMW2_QED2*gw*h2d*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMB_QED2*gw*h2d*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dytau1_QED3 = sqrt(2d0)*cMTA*dZee_QED2*gw*h1l*sw**2d0*(-cw**2d0 + 1d0)/(2d0* &
                cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMTA*db_QED2*&
                gw*h1l*sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0 - &
                2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMTA*cw**4d0*dMZ2_QED2*gw*h1l* &
                sw**2d0/(4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(&
                2d0)*cMTA*dMW2_QED2*gw*h1l*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW&
                **3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMTA_QED2* &
                gw*h1l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 - 2d0*cw**&
                2d0 + 1d0))
  dtb_QED2 = db_QED2/cb**2d0
  dMPS_QED2 = sqrt(2d0)*dMHH2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0)) + sqrt(2d0&
              )*dMHL2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0))
  dytau2_QED3 = sqrt(2d0)*cMTA*cb*db_QED2*gw*h2l*sw**2d0*(cw**2d0 - 1d0)/(2d0* &
                cMW*sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMTA*   &
                dZee_QED2*gw*h2l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 &
                 - 2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMTA*cw**4d0*dMZ2_QED2*gw*  &
                h2l*sw**2d0/(4d0*cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) +  &
                sqrt(2d0)*cMTA*dMW2_QED2*gw*h2l*sw**2d0*(2d0*cw**2d0 - 1d0)/(  &
                4d0*cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*    &
                dMTA_QED2*gw*h2l*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 &
                 - 2d0*cw**2d0 + 1d0))
  dys2_QED3 = sqrt(2d0)*cMS*cb*db_QED2*gw*h2d*sw**2d0*(cw**2d0 - 1d0)/(2d0*cMW*&
              sb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMS*dZee_QED2*&
              gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**  &
              2d0 + 1d0)) - sqrt(2d0)*cMS*cw**4d0*dMZ2_QED2*gw*h2d*sw**2d0/(4d0&
              *cMW**3d0*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMS*     &
              dMW2_QED2*gw*h2d*sw**2d0*(2d0*cw**2d0 - 1d0)/(4d0*cMW**3d0*sb*(cw&
              **4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*dMS_QED2*gw*h2d*sw**2d0  &
              *(-cw**2d0 + 1d0)/(2d0*cMW*sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dys2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw*h2d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*&
                   sb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dl3_QED4 = dl5_QED4*(cb**2d0*cw**2d0 - cb**2d0 - cw**2d0 + 1d0)/(sb**2d0*(cw &
             **2d0 - 1d0)) + ca*dMHH2_QED2*gw**2d0*sa/(4d0*cMW**2d0*cb*sb) + ca&
             *dMHL2_QED2*gw**2d0*sa*(-cw**2d0 + 1d0)/(4d0*cMW**2d0*cb*sb*(cw** &
             2d0 - 1d0)) + ca*db_QED2*gw**2d0*sa*(-2d0*cMHH**2d0*cb**2d0*cw**  &
             2d0 + 2d0*cMHH**2d0*cb**2d0 + cMHH**2d0*cw**2d0 - cMHH**2d0 + 2d0*&
             cMHL**2d0*cb**2d0*cw**2d0 - 2d0*cMHL**2d0*cb**2d0 - cMHL**2d0*cw**&
             2d0 + cMHL**2d0)/(4d0*cMW**2d0*cb**2d0*sb**2d0*(cw**2d0 - 1d0)) + &
             dMHA2_QED2*gw**2d0*(cb**2d0*cw**2d0 - cb**2d0 - cw**2d0 + 1d0)/(  &
             4d0*cMW**2d0*sb**2d0*(cw**2d0 - 1d0)) + dMHC2_QED2*gw**2d0*(-cb** &
             2d0*cw**2d0 + cb**2d0 + cw**2d0 - 1d0)/(2d0*cMW**2d0*sb**2d0*(cw**&
             2d0 - 1d0)) + dZee_QED2*gw**2d0*(cMHA**2d0*cb**3d0*cw**2d0 - cMHA &
             **2d0*cb**3d0 - cMHA**2d0*cb*cw**2d0 + cMHA**2d0*cb - 2d0*cMHC**  &
             2d0*cb**3d0*cw**2d0 + 2d0*cMHC**2d0*cb**3d0 + 2d0*cMHC**2d0*cb*cw &
             **2d0 - 2d0*cMHC**2d0*cb + cMHH**2d0*ca*cw**2d0*sa*sb - cMHH**2d0*&
             ca*sa*sb - cMHL**2d0*ca*cw**2d0*sa*sb + cMHL**2d0*ca*sa*sb)/(2d0* &
             cMW**2d0*cb*sb**2d0*(cw**2d0 - 1d0)) + da_QED2*gw**2d0*(-2d0*cMHH &
             **2d0*cw**2d0*sa**2d0 + cMHH**2d0*cw**2d0 + 2d0*cMHH**2d0*sa**2d0 &
              - cMHH**2d0 + 2d0*cMHL**2d0*cw**2d0*sa**2d0 - cMHL**2d0*cw**2d0  &
              - 2d0*cMHL**2d0*sa**2d0 + cMHL**2d0)/(4d0*cMW**2d0*cb*sb*(cw**2d0&
              - 1d0)) + cw**4d0*dMZ2_QED2*gw**2d0*(cMHA**2d0*cb**3d0 - cMHA**  &
             2d0*cb - 2d0*cMHC**2d0*cb**3d0 + 2d0*cMHC**2d0*cb + cMHH**2d0*ca* &
             sa*sb - cMHL**2d0*ca*sa*sb)/(4d0*cMW**4d0*cb*sb**2d0*(cw**2d0 -   &
             1d0)) + dMW2_QED2*gw**2d0*(-2d0*cMHA**2d0*cb**3d0*cw**2d0 + cMHA**&
             2d0*cb**3d0 + 2d0*cMHA**2d0*cb*cw**2d0 - cMHA**2d0*cb + 4d0*cMHC**&
             2d0*cb**3d0*cw**2d0 - 2d0*cMHC**2d0*cb**3d0 - 4d0*cMHC**2d0*cb*cw &
             **2d0 + 2d0*cMHC**2d0*cb - 2d0*cMHH**2d0*ca*cw**2d0*sa*sb + cMHH**&
             2d0*ca*sa*sb + 2d0*cMHL**2d0*ca*cw**2d0*sa*sb - cMHL**2d0*ca*sa*sb&
             )/(4d0*cMW**4d0*cb*sb**2d0*(cw**2d0 - 1d0))
  dl2_QED4 = cb**2d0*dl5_QED4*(-cw**2d0 + 1d0)/(sb**2d0*(cw**2d0 - 1d0)) + ca* &
             da_QED2*gw**2d0*sa*(cMHH**2d0*cw**2d0 - cMHH**2d0 - cMHL**2d0*cw**&
             2d0 + cMHL**2d0)/(2d0*cMW**2d0*sb**2d0*(cw**2d0 - 1d0)) + cb**2d0*&
             dMHA2_QED2*gw**2d0*(-cw**2d0 + 1d0)/(4d0*cMW**2d0*sb**2d0*(cw**2d0&
              - 1d0)) + cb*db_QED2*(cMHA**2d0*cw**2d0*gw**2d0 - cMHA**2d0*gw** &
             2d0 - cMHH**2d0*cw**2d0*gw**2d0*sa**2d0 + cMHH**2d0*gw**2d0*sa**  &
             2d0 + cMHL**2d0*cw**2d0*gw**2d0*sa**2d0 - cMHL**2d0*cw**2d0*gw**  &
             2d0 - cMHL**2d0*gw**2d0*sa**2d0 + cMHL**2d0*gw**2d0 + 4d0*cMW**2d0&
             *cw**2d0*l5 - 4d0*cMW**2d0*l5)/(2d0*cMW**2d0*sb**3d0*(cw**2d0 -   &
             1d0)) + dMHH2_QED2*gw**2d0*sa**2d0/(4d0*cMW**2d0*sb**2d0) +       &
             dMHL2_QED2*gw**2d0*(-cw**2d0*sa**2d0 + cw**2d0 + sa**2d0 - 1d0)/( &
             4d0*cMW**2d0*sb**2d0*(cw**2d0 - 1d0)) + dZee_QED2*gw**2d0*(-cMHA**&
             2d0*cb**2d0*cw**2d0 + cMHA**2d0*cb**2d0 + cMHH**2d0*cw**2d0*sa**  &
             2d0 - cMHH**2d0*sa**2d0 - cMHL**2d0*cw**2d0*sa**2d0 + cMHL**2d0*cw&
             **2d0 + cMHL**2d0*sa**2d0 - cMHL**2d0)/(2d0*cMW**2d0*sb**2d0*(cw**&
             2d0 - 1d0)) + cw**4d0*dMZ2_QED2*gw**2d0*(-cMHA**2d0*cb**2d0 + cMHH&
             **2d0*sa**2d0 - cMHL**2d0*sa**2d0 + cMHL**2d0)/(4d0*cMW**4d0*sb** &
             2d0*(cw**2d0 - 1d0)) + dMW2_QED2*gw**2d0*(2d0*cMHA**2d0*cb**2d0*cw&
             **2d0 - cMHA**2d0*cb**2d0 - 2d0*cMHH**2d0*cw**2d0*sa**2d0 + cMHH**&
             2d0*sa**2d0 + 2d0*cMHL**2d0*cw**2d0*sa**2d0 - 2d0*cMHL**2d0*cw**  &
             2d0 - cMHL**2d0*sa**2d0 + cMHL**2d0)/(4d0*cMW**4d0*sb**2d0*(cw**  &
             2d0 - 1d0))
  dl1_QED4 = dl5_QED4*(-cb**2d0*cw**2d0 + cb**2d0 + cw**2d0 - 1d0)/(cb**2d0*sw &
             **2d0) + ca*da_QED2*gw**2d0*sa*(cMHH**2d0*cw**2d0 - cMHH**2d0 -   &
             cMHL**2d0*cw**2d0 + cMHL**2d0)/(2d0*cMW**2d0*cb**2d0*sw**2d0) +   &
             dMHA2_QED2*gw**2d0*(-cb**2d0*cw**2d0 + cb**2d0 + cw**2d0 - 1d0)/( &
             4d0*cMW**2d0*cb**2d0*sw**2d0) + dMHH2_QED2*gw**2d0*(cw**2d0*sa**  &
             2d0 - cw**2d0 - sa**2d0 + 1d0)/(4d0*cMW**2d0*cb**2d0*sw**2d0) +   &
             dMHL2_QED2*gw**2d0*sa**2d0*(-cw**2d0 + 1d0)/(4d0*cMW**2d0*cb**2d0*&
             sw**2d0) + dZee_QED2*gw**2d0*(-cMHA**2d0*cb**2d0*cw**2d0 + cMHA** &
             2d0*cb**2d0 + cMHA**2d0*cw**2d0 - cMHA**2d0 + cMHH**2d0*cw**2d0*sa&
             **2d0 - cMHH**2d0*cw**2d0 - cMHH**2d0*sa**2d0 + cMHH**2d0 - cMHL**&
             2d0*cw**2d0*sa**2d0 + cMHL**2d0*sa**2d0)/(2d0*cMW**2d0*cb**2d0*sw &
             **2d0) + db_QED2*sb*(cMHA**2d0*cw**2d0*gw**2d0 - cMHA**2d0*gw**2d0&
              + cMHH**2d0*cw**2d0*gw**2d0*sa**2d0 - cMHH**2d0*cw**2d0*gw**2d0  &
              - cMHH**2d0*gw**2d0*sa**2d0 + cMHH**2d0*gw**2d0 - cMHL**2d0*cw** &
             2d0*gw**2d0*sa**2d0 + cMHL**2d0*gw**2d0*sa**2d0 + 4d0*cMW**2d0*cw &
             **2d0*l5 - 4d0*cMW**2d0*l5)/(2d0*cMW**2d0*cb**3d0*sw**2d0) + cw** &
             4d0*dMZ2_QED2*gw**2d0*(-cMHA**2d0*cb**2d0 + cMHA**2d0 + cMHH**2d0*&
             sa**2d0 - cMHH**2d0 - cMHL**2d0*sa**2d0)/(4d0*cMW**4d0*cb**2d0*sw &
             **2d0) + dMW2_QED2*gw**2d0*(2d0*cMHA**2d0*cb**2d0*cw**2d0 - cMHA**&
             2d0*cb**2d0 - 2d0*cMHA**2d0*cw**2d0 + cMHA**2d0 - 2d0*cMHH**2d0*cw&
             **2d0*sa**2d0 + 2d0*cMHH**2d0*cw**2d0 + cMHH**2d0*sa**2d0 - cMHH**&
             2d0 + 2d0*cMHL**2d0*cw**2d0*sa**2d0 - cMHL**2d0*sa**2d0)/(4d0*cMW &
             **4d0*cb**2d0*sw**2d0)
  dvev_QED1 = 2d0*cMW*dZee_QED2*(cw**2d0 - 1d0)/(gw*sw**2d0) + cw**4d0*        &
              dMZ2_QED2/(cMW*gw*sw**2d0) + dMW2_QED2*(-2d0*cw**2d0 + 1d0)/(cMW*&
              gw*sw**2d0)
  dyd13x3_QED3 = sqrt(2d0)*cMB*dZee_QED2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0* &
                 cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*cMB*db_QED2*&
                 gw*h1d*sb*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb**2d0*(cw**4d0  &
                  - 2d0*cw**2d0 + 1d0)) - sqrt(2d0)*cMB*cw**4d0*dMZ2_QED2*gw*  &
                 h1d*sw**2d0/(4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + &
                 sqrt(2d0)*cMB*dMW2_QED2*gw*h1d*sw**2d0*(2d0*cw**2d0 - 1d0)/(  &
                 4d0*cMW**3d0*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + sqrt(2d0)*   &
                 dMB_QED2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW*cb*(cw**4d0 &
                  - 2d0*cw**2d0 + 1d0))
  dyd13x3_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw*h1d*sw**2d0*(-cw**2d0 + 1d0)/(2d0* &
                      cMW*cb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
end subroutine set_derived_ctparameter
end module derived_ctparameter
